2008-03-31 16:27  unho

	* po/gl.po: update translation for galician

2008-03-31 15:43  unho

	* po/gl.po: update translation for galician

2008-03-31 14:36  Pixel <pixel at mandriva.com>

	* NEWS, urpm/args.pm, urpmf: - urpmf:
	  o check usage of -a, -! and the like instead of displaying the
	  ugly
	  "Internal error: syntax error ..."

2008-03-31 13:10  Pixel <pixel at mandriva.com>

	* urpm/args.pm: create add_urpmf_binary_op() and
	  add_urpmf_unary_op(),
	  nothing changed yet (see next commit)

2008-03-31 09:50  unho

	* po/gl.po: update translation for galician

2008-03-31 09:32  Pixel <pixel at mandriva.com>

	* NEWS, urpm/media.pm: - urpmi.addmedia:
	  o --mirrorlist: if the retrieved media.cfg is broken, try another
	  mirror
	  (#39591, it also workarounds #39592)

2008-03-31 09:10  Pixel <pixel at mandriva.com>

	* NEWS, urpm/media.pm: - urpmi.addmedia, urpmi.update:
	  o correctly handle media with no xml-info when using "xml-info:
	  always"
	  (#39521)

2008-03-31 09:08  Pixel <pixel at mandriva.com>

	* urpm/media.pm: create _maybe_in_statedir_MD5SUM() out of
	  _any_media_info__or_download() for next commit

2008-03-31 01:07  Jure Repinc

	* po/sl.po: Updated Slovenian translation

2008-03-30 21:26  Arpad Biro <biro_arpad at yahoo.com>

	* po/hu.po: update

2008-03-30 06:16  shiyu

	* po/zh_CN.po: update translation for Chinese Simplified

2008-03-30 01:36  unho

	* po/gl.po: update translation for galician

2008-03-29 19:04  unho

	* po/gl.po: update translation for galician

2008-03-28 17:49  Pixel <pixel at mandriva.com>

	* NEWS, urpm.pm: 5.17

2008-03-28 12:07  Pixel <pixel at mandriva.com>

	* NEWS, urpmq: - urpmq:
	  o do not use rpms on removable cdrom media (#39396)

2008-03-28 12:06  Pixel <pixel at mandriva.com>

	* .perl_checker: blacklist "bytes"

2008-03-28 11:42  Pixel <pixel at mandriva.com>

	* urpm/media.pm: add_distrib_media(): be sure to override
	  "with-dir" when calling add_medium()
	  (gurpmi.addmedia was plaggued by this, but it is fixed in
	  gurpmi.addmedia too)

2008-03-28 10:00  anssi

	* po/fi.po: update Finnish translation

2008-03-27 16:06  Pixel <pixel at mandriva.com>

	* NEWS, urpm/download.pm: - urpmi.update, urpmi.addmedia:
	  o do not restrict read on /etc/urpmi/proxy.cfg if it doesn't
	  contain
	  passwords (#39434)

2008-03-27 16:02  Pixel <pixel at mandriva.com>

	* NEWS: - urpmf, urpmq:
	  o display an error message when /etc/urpmi/proxy.cfg can't be
	  read

2008-03-27 15:29  Pixel <pixel at mandriva.com>

	* pod/proxy.cfg.5.pod: fix doc

2008-03-27 15:13  Pixel <pixel at mandriva.com>

	* urpm/download.pm: simple cleanup
	  (would need some more)

2008-03-27 15:07  Pixel <pixel at mandriva.com>

	* urpm/download.pm: display an error message when failing to read
	  proxy settings

2008-03-27 13:10  anssi

	* po/fi.po: update Finnish translation

2008-03-27 08:06  Pixel <pixel at mandriva.com>

	* pod/proxy.cfg.5.pod: make it clear that proxy.cfg allows to
	  override system global proxy settings

2008-03-27 01:17  Fabian Mandelbaum <fabman at mandriva.com>

	* po/es.po: Updated ES translation

2008-03-26 14:17  Wanderlei Antonio Cavassin <cavassin at mandriva.com>

	* po/pt_BR.po: fix translation

2008-03-25 17:31  Zé <ze at mandriva.org>

	* po/pt.po: update

2008-03-25 15:34  Pixel <pixel at mandriva.com>

	* NEWS, urpm/cdrom.pm: - urpmi:
	  o nice error message when hal daemon is not running and is needed
	  (#39327)

2008-03-25 15:14  Thierry Vignaud <tvignaud at mandriva.com>

	* po/af.po, po/ar.po, po/az.po, po/bg.po, po/bn.po, po/br.po,
	  po/bs.po, po/ca.po, po/cs.po, po/cy.po, po/da.po, po/de.po,
	  po/el.po, po/eo.po, po/es.po, po/et.po, po/eu.po, po/fa.po,
	  po/fi.po, po/fr.po, po/fur.po, po/ga.po, po/gl.po, po/he.po,
	  po/hi.po, po/hr.po, po/hu.po, po/id.po, po/is.po, po/it.po,
	  po/ja.po, po/ka.po, po/ko.po, po/ky.po, po/lt.po, po/lv.po,
	  po/mk.po, po/mn.po, po/ms.po, po/mt.po, po/nb.po, po/nl.po,
	  po/nn.po, po/pa_IN.po, po/pl.po, po/pt.po, po/pt_BR.po, po/ro.po,
	  po/ru.po, po/sc.po, po/sk.po, po/sl.po, po/sq.po, po/sr.po,
	  po/sr@Latn.po, po/sv.po, po/tg.po, po/th.po, po/tl.po, po/tr.po,
	  po/uk.po, po/urpmi.pot, po/uz.po, po/uz@cyrillic.po, po/vi.po,
	  po/wa.po, po/zh_CN.po, po/zh_TW.po: prevent fuzzying string

2008-03-25 13:13  Pixel <pixel at mandriva.com>

	* NEWS, urpm.pm: 5.16

2008-03-25 09:38  Pixel <pixel at mandriva.com>

	* urpm/lock.pm: fix typo reported on cooker-i18n@

2008-03-25 08:43  Pixel <pixel at mandriva.com>

	* NEWS, urpmq: - urpmq:
	  o fix --list -r (#39287) (regression introduced in 5.7)

2008-03-23 17:02  nikos

	* po/el.po: update greek translation (el) by Nikos

2008-03-22 13:58  Dotan Kamber <kamberd at yahoo.com>

	* po/he.po: update for Hebrew translation

2008-03-22 07:17  Shiva Huang <blueshiva at giga.net.tw>

	* po/zh_TW.po: Update zh_TW translation

2008-03-20 20:16  Pixel <pixel at mandriva.com>

	* NEWS, urpm/download.pm: o handle displaying utf8 download
	  progression in non-utf8 terminal
	  (ie clean the full line when we can't be sure of the number of
	  characters
	  that will be displayed)

2008-03-20 13:50  Karl Ove Hufthammer <karl at huftis.org>

	* po/nn.po: Updated Norwegian Nynorsk translation.

2008-03-20 13:25  Keld Jørn Simonsen <keld at dkuug.dk>

	* po/da.po: updates

2008-03-19 20:55  Michal Bukovjan <bukovjan at mbox.dkm.cz>

	* po/cs.po: Update Czech translation.

2008-03-19 16:04  Pixel <pixel at mandriva.com>

	* NEWS, urpm/cdrom.pm: - urpmi:
	  o fix getting rpms from different media on same DVD
	  
	  without it $blist->{medium}{mntpoint} is set during first
	  _find_blist_url_matching() and "$blist->{medium}{mntpoint} and
	  next" will
	  block everything.
	  
	  with this commit, it won't copy rpms on disk even if on different
	  media if
	  same DVD.

2008-03-19 13:03  Pixel <pixel at mandriva.com>

	* NEWS: add entry for urpmi.bash-completion commit

2008-03-19 12:52  Tomasz Bednarski <tbednarski at mandrivalinux.pl>

	* po/pl.po: update translation for Polish

2008-03-19 02:37  Pavel Maryanov <acid_jack at ukr.net>

	* po/ru.po: updated translation

2008-03-19 01:34  Zé <ze at mandriva.org>

	* po/pt.po: update

2008-03-18 21:57  kazancas

	* po/ru.po: update translation for ru

2008-03-18 20:16  Guillaume Rousse <guillomovitch at mandriva.org>

	* urpmi.bash-completion: don't complete on available packages if
	  completed item is clearly a file
	  only select available packages for selected medias
	  fix rurpmi completion

2008-03-18 14:34  Pixel <pixel at mandriva.com>

	* NEWS, urpm.pm: 5.15

2008-03-18 14:05  Pixel <pixel at mandriva.com>

	* NEWS, pod/urpmi.addmedia.8.pod, urpm/mirrors.pm, urpmq: -
	  urpmi.addmedia, urpmi.update:
	  o urpmi.addmedia --mirrorlist handles a list of
	  mirrors/mirrorlist:
	  you can specify a mirror to use inside a local network, but it
	  will
	  default to standard mirrors when the local mirror is not
	  available.

2008-03-18 13:55  Pixel <pixel at mandriva.com>

	* urpm/mirrors.pm: create _expand() out of _list()

2008-03-18 13:53  Pixel <pixel at mandriva.com>

	* urpm/mirrors.pm: create _pick_one_
	  (needed for next commit)

2008-03-18 13:51  Pixel <pixel at mandriva.com>

	* urpm/mirrors.pm: create _cache__may_clean_if_outdated() out of
	  _pick_one()

2008-03-18 09:13  Yukiko Bando <ybando at k6.dion.ne.jp>

	* po/ja.po: Japanese translation updated.

2008-03-18 09:12  Pixel <pixel at mandriva.com>

	* MANIFEST, t/data/SPECS/should-restart,
	  t/data/SPECS/should-restart/a.spec,
	  t/data/SPECS/should-restart/b.spec,
	  t/data/SPECS/should-restart/c.spec,
	  t/superuser--should-restart.t: add a test for "should-restart"

2008-03-18 09:11  Pixel <pixel at mandriva.com>

	* urpm/main_loop.pm, urpm/sys.pm: handle need_restart() rooted (not
	  very useful, except for tests!)

2008-03-18 08:36  Tomasz Bednarski <tbednarski at mandrivalinux.pl>

	* po/pl.po: update translation for Polish

2008-03-18 02:23  Funda Wang <fundawang at gmail.com>

	* po/zh_CN.po: Updated zh_CN translation

2008-03-18 00:21  Dotan Kamber <kamberd at yahoo.com>

	* po/he.po: update for Hebrew translation

2008-03-17 22:10  Inigo Salvador Azurmendi <xalba at euskalnet.net>

	* po/eu.po: Osatuta.

2008-03-17 22:00  Reinout van Schouwen <reinout at gmail.com>

	* po/nl.po: * 2008-03-17 Reinout van Schouwen <reinout@gmail.com>
	  
	  - nl.po : Updated Dutch translation

2008-03-17 20:43  Marek Laane <bald at starman.ee>

	* po/et.po: Updated Estonian translation.

2008-03-17 20:32  Christophe Berthelé <cpjc at free.fr>

	* po/fr.po: Update French translation

2008-03-17 19:38  Rhoslyn Prys<post at meddal.com>

	* po/cy.po: 20080317

2008-03-17 19:22  Wanderlei Antonio Cavassin <cavassin at mandriva.com>

	* po/pt_BR.po: more translations

2008-03-17 17:36  Andrea Celli <andrea.celli at libero.it>

	* po/it.po: update translation for Italian

2008-03-17 17:24  Pixel <pixel at mandriva.com>

	* NEWS, urpm.pm: 5.14

2008-03-17 17:23  Karl Ove Hufthammer <karl at huftis.org>

	* po/nn.po: Updated Norwegian Nynorsk translation.

2008-03-17 17:20  Pixel <pixel at mandriva.com>

	* NEWS, urpm/main_loop.pm, urpm/sys.pm, urpmi: - urpmi:
	  o tell the user to "restart system" when it is needed

2008-03-17 17:19  Pixel <pixel at mandriva.com>

	* urpm/util.pm: add intersection()

2008-03-17 17:18  Pixel <pixel at mandriva.com>

	* urpm/msg.pm: add N_()

2008-03-17 17:07  aleph

	* po/hu.po: hungarian translation update

2008-03-17 16:50  Thierry Vignaud <tvignaud at mandriva.com>

	* po/br.po: typo fix

2008-03-17 16:49  Thierry Vignaud <tvignaud at mandriva.com>

	* po/br.po, po/fr.po: update

2008-03-17 16:48  Thierry Vignaud <tvignaud at mandriva.com>

	* po/af.po, po/ar.po, po/az.po, po/bg.po, po/bn.po, po/br.po,
	  po/bs.po, po/ca.po, po/cs.po, po/cy.po, po/da.po, po/de.po,
	  po/el.po, po/eo.po, po/es.po, po/et.po, po/eu.po, po/fa.po,
	  po/fi.po, po/fr.po, po/fur.po, po/ga.po, po/gl.po, po/he.po,
	  po/hi.po, po/hr.po, po/hu.po, po/id.po, po/is.po, po/it.po,
	  po/ja.po, po/ka.po, po/ko.po, po/ky.po, po/lt.po, po/lv.po,
	  po/mk.po, po/mn.po, po/ms.po, po/mt.po, po/nb.po, po/nl.po,
	  po/nn.po, po/pa_IN.po, po/pl.po, po/pt.po, po/pt_BR.po, po/ro.po,
	  po/ru.po, po/sc.po, po/sk.po, po/sl.po, po/sq.po, po/sr.po,
	  po/sr@Latn.po, po/sv.po, po/tg.po, po/th.po, po/tl.po, po/tr.po,
	  po/uk.po, po/urpmi.pot, po/uz.po, po/uz@cyrillic.po, po/vi.po,
	  po/wa.po, po/zh_CN.po, po/zh_TW.po: sync with code

2008-03-17 16:08  Pixel <pixel at mandriva.com>

	* NEWS, urpm/lock.pm: - urpmi:
	  o nicer error message when database is locked (#38923)

2008-03-17 14:14  Pixel <pixel at mandriva.com>

	* NEWS, urpm.pm: 5.13

2008-03-17 13:16  Thierry Vignaud <tvignaud at mandriva.com>

	* NEWS, gurpmi.pm, urpm/args.pm: handle -p and -P like urpmi

2008-03-17 13:14  Thierry Vignaud <tvignaud at mandriva.com>

	* NEWS, gurpmi2: handle provides (spotted by salem)

2008-03-16 01:00  Dotan Kamber <kamberd at yahoo.com>

	* po/he.po: update for Hebrew translation

2008-03-15 13:23  Yukiko Bando <ybando at k6.dion.ne.jp>

	* po/ja.po: Japanese translation updated.

2008-03-15 10:26  Christophe Berthelé <cpjc at free.fr>

	* po/fr.po: Update French translation

2008-03-15 10:04  Christophe Berthelé <cpjc at free.fr>

	* po/fr.po: Update French translation

2008-03-15 09:50  anssi

	* po/fi.po: update Finnish translation

2008-03-15 08:18  Shiva Huang <blueshiva at giga.net.tw>

	* po/zh_TW.po: Update zh_TW translation

2008-03-14 23:05  Andrea Celli <andrea.celli at libero.it>

	* po/it.po: update translation for Italian

2008-03-14 17:10  Karl Ove Hufthammer <karl at huftis.org>

	* po/nn.po: Updated Norwegian Nynorsk translation.

2008-03-14 14:10  Tomasz Bednarski <tbednarski at mandrivalinux.pl>

	* po/pl.po: update translation for Polish

2008-03-14 13:08  Tomasz Bednarski <tbednarski at mandrivalinux.pl>

	* po/pl.po: update translation for Polish

2008-03-14 10:42  Thierry Vignaud <tvignaud at mandriva.com>

	* po/Makefile: (update_n_merge) split it out of (merge) ; now
	  (merge) only update po w/o updating main pot file

2008-03-14 08:24  Pixel <pixel at mandriva.com>

	* NEWS, urpmi: - urpmi:
	  o never suggest --install-src for spec file (#38876)
	  o do not allow "urpmi --install-src foo.spec"

2008-03-14 08:20  Rhoslyn Prys<post at meddal.com>

	* po/cy.po: 20080314

2008-03-14 07:04  Zé <ze at mandriva.org>

	* po/pt.po: update

2008-03-13 23:20  Reinout van Schouwen <reinout at gmail.com>

	* po/nl.po: msgfmt fix

2008-03-13 23:19  Reinout van Schouwen <reinout at gmail.com>

	* po/nl.po: 2008-03-14 Reinout van Schouwen <reinout@gmail.com>
	  
	  - nl.po: Updated Dutch translation

2008-03-13 20:55  Inigo Salvador Azurmendi <xalba at euskalnet.net>

	* po/eu.po: Osatuta eta akatsa ematen zuena zuzenduta

2008-03-13 16:59  Wanderlei Antonio Cavassin <cavassin at mandriva.com>

	* po/pt_BR.po: more translations

2008-03-13 14:45  Marek Laane <bald at starman.ee>

	* po/et.po: Updated Estonian translation.

2008-03-13 14:35  aleph

	* po/hu.po: hungarian translation update

2008-03-13 14:16  Thierry Vignaud <tvignaud at mandriva.com>

	* po/af.po, po/ar.po, po/az.po, po/bg.po, po/bn.po, po/br.po,
	  po/bs.po, po/ca.po, po/cs.po, po/cy.po, po/da.po, po/de.po,
	  po/el.po, po/eo.po, po/es.po, po/et.po, po/eu.po, po/fa.po,
	  po/fi.po, po/fr.po, po/fur.po, po/ga.po, po/gl.po, po/he.po,
	  po/hi.po, po/hr.po, po/hu.po, po/id.po, po/is.po, po/it.po,
	  po/ja.po, po/ka.po, po/ko.po, po/ky.po, po/lt.po, po/lv.po,
	  po/mk.po, po/mn.po, po/ms.po, po/mt.po, po/nb.po, po/nl.po,
	  po/nn.po, po/pa_IN.po, po/pl.po, po/pt.po, po/pt_BR.po, po/ro.po,
	  po/ru.po, po/sc.po, po/sk.po, po/sl.po, po/sq.po, po/sr.po,
	  po/sr@Latn.po, po/sv.po, po/tg.po, po/th.po, po/tl.po, po/tr.po,
	  po/uk.po, po/urpmi.pot, po/uz.po, po/uz@cyrillic.po, po/vi.po,
	  po/wa.po, po/zh_CN.po, po/zh_TW.po, urpm/cdrom.pm: CD-ROM is an
	  acronym; let's make it clear

2008-03-13 14:15  Thierry Vignaud <tvignaud at mandriva.com>

	* po/br.po, po/fr.po: update

2008-03-13 14:14  Thierry Vignaud <tvignaud at mandriva.com>

	* gurpmi.pm, po/af.po, po/ar.po, po/az.po, po/bg.po, po/bn.po,
	  po/br.po, po/bs.po, po/ca.po, po/cs.po, po/cy.po, po/da.po,
	  po/de.po, po/el.po, po/eo.po, po/es.po, po/et.po, po/eu.po,
	  po/fa.po, po/fi.po, po/fr.po, po/fur.po, po/ga.po, po/gl.po,
	  po/he.po, po/hi.po, po/hr.po, po/hu.po, po/id.po, po/is.po,
	  po/it.po, po/ja.po, po/ka.po, po/ko.po, po/ky.po, po/lt.po,
	  po/lv.po, po/mk.po, po/mn.po, po/ms.po, po/mt.po, po/nb.po,
	  po/nl.po, po/nn.po, po/pa_IN.po, po/pl.po, po/pt.po, po/pt_BR.po,
	  po/ro.po, po/ru.po, po/sc.po, po/sk.po, po/sl.po, po/sq.po,
	  po/sr.po, po/sr@Latn.po, po/sv.po, po/tg.po, po/th.po, po/tl.po,
	  po/tr.po, po/uk.po, po/urpmi.pot, po/uz.po, po/uz@cyrillic.po,
	  po/vi.po, po/wa.po, po/zh_CN.po, po/zh_TW.po: (usage) use english
	  typography

2008-03-13 14:13  Thierry Vignaud <tvignaud at mandriva.com>

	* gurpmi.pm, po/af.po, po/ar.po, po/az.po, po/bg.po, po/bn.po,
	  po/br.po, po/bs.po, po/ca.po, po/cs.po, po/cy.po, po/da.po,
	  po/de.po, po/el.po, po/eo.po, po/es.po, po/et.po, po/eu.po,
	  po/fa.po, po/fi.po, po/fr.po, po/fur.po, po/ga.po, po/gl.po,
	  po/he.po, po/hi.po, po/hr.po, po/hu.po, po/id.po, po/is.po,
	  po/it.po, po/ja.po, po/ka.po, po/ko.po, po/ky.po, po/lt.po,
	  po/lv.po, po/mk.po, po/mn.po, po/ms.po, po/mt.po, po/nb.po,
	  po/nl.po, po/nn.po, po/pa_IN.po, po/pl.po, po/pt.po, po/pt_BR.po,
	  po/ro.po, po/ru.po, po/sc.po, po/sk.po, po/sl.po, po/sq.po,
	  po/sr.po, po/sr@Latn.po, po/sv.po, po/tg.po, po/th.po, po/tl.po,
	  po/tr.po, po/uk.po, po/urpmi.pot, po/uz.po, po/uz@cyrillic.po,
	  po/vi.po, po/wa.po, po/zh_CN.po, po/zh_TW.po: (usage) factorize
	  string with urpmi (typo fix)

2008-03-13 14:10  Thierry Vignaud <tvignaud at mandriva.com>

	* NEWS, urpm.pm: 5.12

2008-03-13 14:10  Thierry Vignaud <tvignaud at mandriva.com>

	* po/br.po, po/fr.po: update

2008-03-13 14:06  Thierry Vignaud <tvignaud at mandriva.com>

	* po/af.po, po/ar.po, po/az.po, po/bg.po, po/bn.po, po/br.po,
	  po/bs.po, po/ca.po, po/cs.po, po/cy.po, po/da.po, po/de.po,
	  po/el.po, po/eo.po, po/es.po, po/et.po, po/eu.po, po/fa.po,
	  po/fi.po, po/fr.po, po/fur.po, po/ga.po, po/gl.po, po/he.po,
	  po/hi.po, po/hr.po, po/hu.po, po/id.po, po/is.po, po/it.po,
	  po/ja.po, po/ka.po, po/ko.po, po/ky.po, po/lt.po, po/lv.po,
	  po/mk.po, po/mn.po, po/ms.po, po/mt.po, po/nb.po, po/nl.po,
	  po/nn.po, po/pa_IN.po, po/pl.po, po/pt.po, po/pt_BR.po, po/ro.po,
	  po/ru.po, po/sc.po, po/sk.po, po/sl.po, po/sq.po, po/sr.po,
	  po/sr@Latn.po, po/sv.po, po/tg.po, po/th.po, po/tl.po, po/tr.po,
	  po/uk.po, po/urpmi.pot, po/uz.po, po/uz@cyrillic.po, po/vi.po,
	  po/wa.po, po/zh_CN.po, po/zh_TW.po: sync with code

2008-03-13 13:58  Thierry Vignaud <tvignaud at mandriva.com>

	* NEWS: sort

2008-03-13 13:55  Thierry Vignaud <tvignaud at mandriva.com>

	* gurpmi.pm, po/af.po, po/ar.po, po/az.po, po/bg.po, po/bn.po,
	  po/br.po, po/bs.po, po/ca.po, po/cs.po, po/cy.po, po/da.po,
	  po/de.po, po/el.po, po/eo.po, po/es.po, po/et.po, po/eu.po,
	  po/fa.po, po/fi.po, po/fr.po, po/fur.po, po/ga.po, po/gl.po,
	  po/he.po, po/hi.po, po/hr.po, po/hu.po, po/id.po, po/is.po,
	  po/it.po, po/ja.po, po/ka.po, po/ko.po, po/ky.po, po/lt.po,
	  po/lv.po, po/mk.po, po/mn.po, po/ms.po, po/mt.po, po/nb.po,
	  po/nl.po, po/nn.po, po/pa_IN.po, po/pl.po, po/pt.po, po/pt_BR.po,
	  po/ro.po, po/ru.po, po/sc.po, po/sk.po, po/sl.po, po/sq.po,
	  po/sr.po, po/sr@Latn.po, po/sv.po, po/tg.po, po/th.po, po/tl.po,
	  po/tr.po, po/uk.po, po/urpmi.pot, po/uz.po, po/uz@cyrillic.po,
	  po/vi.po, po/wa.po, po/zh_CN.po, po/zh_TW.po, urpme, urpmi: bump
	  copyright year

2008-03-13 13:50  Thierry Vignaud <tvignaud at mandriva.com>

	* gurpmi.pm: (usage) translate remaining bits of usage

2008-03-13 13:45  Thierry Vignaud <tvignaud at mandriva.com>

	* NEWS, gurpmi.pm: (usage) translate header (modulo s/^g// in
	  urpmi)

2008-03-13 13:39  Thierry Vignaud <tvignaud at mandriva.com>

	* gurpmi.pm: document --force

2008-03-13 13:38  Thierry Vignaud <tvignaud at mandriva.com>

	* NEWS, gurpmi2: (configure_urpm) return 1 like urpmi if package
	  doesn't exist

2008-03-13 13:37  Thierry Vignaud <tvignaud at mandriva.com>

	* NEWS, gurpmi2, urpm/args.pm: handle --force

2008-03-13 13:35  Thierry Vignaud <tvignaud at mandriva.com>

	* gurpmi2: actually declare the global variables used by urpm::args

2008-03-13 13:26  Thierry Vignaud <tvignaud at mandriva.com>

	* NEWS, gurpmi2: (do_install_3) return urpmi error code

2008-03-13 13:24  Thierry Vignaud <tvignaud at mandriva.com>

	* gurpmi2: (configure_urpm) do not convert manually in UTF-8, it's
	  cannot cover both
	  running with either a UTF-8 or a non UTF-8 locale; no we just
	  tell gettext we
	  expect UTF-8 messages

2008-03-13 13:21  Thierry Vignaud <tvignaud at mandriva.com>

	* NEWS, gurpmi.pm: ensure rpm error message are always in UTF-8

2008-03-13 13:21  Thierry Vignaud <tvignaud at mandriva.com>

	* NEWS, gurpmi.pm: ensure urpmi messages are always in UTF-8

2008-03-11 17:52  Rhoslyn Prys<post at meddal.com>

	* po/cy.po: 20080311

2008-03-11 16:02  Pixel <pixel at mandriva.com>

	* NEWS, urpm.pm: 5.11

2008-03-11 16:02  Pixel <pixel at mandriva.com>

	* NEWS, urpm/select.pm: o do handle suggests in priority upgrades
	  (#38778)
	  
	  otherwise perl-Hal-Cdroms suggest is not installed

2008-03-11 15:33  Pixel <pixel at mandriva.com>

	* urpm/cdrom.pm, urpmi: enhance cdrom fallback without
	  perl-Hal-Cdroms

2008-03-11 15:00  Pixel <pixel at mandriva.com>

	* NEWS, urpm.pm: 5.10

2008-03-11 14:29  Pixel <pixel at mandriva.com>

	* NEWS, urpm/cdrom.pm: - urpmi:
	  o have a nicer error message when perl-Hal-Cdroms is missing
	  (#38778)

2008-03-11 14:11  Pixel <pixel at mandriva.com>

	* NEWS, urpmi.bash-completion: - bash-completion:
	  o restore available-pkgs completion using "urpmq --list" by
	  default
	  (it needed COMP_URPMI_HDLISTS to be set, but it should be fast
	  enough now)

2008-03-10 15:47  Thierry Vignaud <tvignaud at mandriva.com>

	* ChangeLog: update

2008-03-10 15:41  Thierry Vignaud <tvignaud at mandriva.com>

	* gurpmi2: (do_install_2) perl_checker cleanups

2008-03-10 15:40  Thierry Vignaud <tvignaud at mandriva.com>

	* NEWS, gurpmi2: (configure_urpm) fix breakage introduced with
	  priority upgrades support (#38738)

2008-03-10 05:43  Funda Wang <fundawang at gmail.com>

	* po/zh_CN.po: Updated zh_CN translation

2008-03-10 01:04  Dotan Kamber <kamberd at yahoo.com>

	* po/he.po: update for Hebrew translation

2008-03-07 22:01  Andrea Celli <andrea.celli at libero.it>

	* po/it.po: update translation for Italian

2008-03-07 18:11  Thierry Vignaud <tvignaud at mandriva.com>

	* NEWS: fix date

2008-03-07 18:10  Thierry Vignaud <tvignaud at mandriva.com>

	* NEWS, urpm.pm: 5.9

2008-03-07 17:05  Pixel <pixel at mandriva.com>

	* t/data/SPECS/split-transactions--strict-require-1/e.spec,
	  t/data/SPECS/split-transactions--strict-require-1/f.spec,
	  t/data/SPECS/split-transactions--strict-require-1/g.spec,
	  t/data/SPECS/split-transactions--strict-require-2/e.spec,
	  t/data/SPECS/split-transactions--strict-require-2/f.spec,
	  t/data/SPECS/split-transactions--strict-require-2/g.spec,
	  t/data/SPECS/split-transactions--strict-require-2/h.spec,
	  t/superuser--split-transactions--strict-require.t: add a test
	  that is fixed in perl-URPM 3.12

2008-03-07 15:06  Pixel <pixel at mandriva.com>

	* t/superuser--split-transactions--strict-require.t: add a comment

2008-03-07 15:02  Pixel <pixel at mandriva.com>

	* t/superuser--provide-and-no-obsolete.t: - this bug is fixed
	  - add bug number (it was only in the commit log)

2008-03-07 13:43  Pixel <pixel at mandriva.com>

	* pod/urpmi.8.pod: adapt doc

2008-03-06 19:25  Pixel <pixel at mandriva.com>

	* NEWS, urpm/select.pm: - modify infrastructure so that rpmdrake
	  doesn't select all updates by
	  default (#38611)
	  
	  ie create resolve_priority_upgrades_after_auto_select() for use
	  in rpmdrake

2008-03-06 19:20  Pixel <pixel at mandriva.com>

	* urpm/select.pm: create _priority_upgrade_pkgs()
	  
	  (this may be a little bit slower, but it is needed for next
	  commit)

2008-03-06 19:15  Pixel <pixel at mandriva.com>

	* urpm/select.pm: fix previous commit

2008-03-06 19:14  Pixel <pixel at mandriva.com>

	* urpm/select.pm: move $resolve_priority_upgrades out of
	  resolve_dependencies() into its own
	  function _resolve_priority_upgrades()

2008-03-06 19:09  Pixel <pixel at mandriva.com>

	* urpm/select.pm: revert what tv added, will give rpmdrake a
	  special function for its needs

2008-03-06 16:49  Thierry Vignaud <tvignaud at mandriva.com>

	* NEWS, urpm.pm: 5.8.1

2008-03-06 16:45  Thierry Vignaud <tvignaud at mandriva.com>

	* NEWS, urpm/select.pm: (resolve_dependencies) add infrastructure
	  so that rpmdrake doesn't
	  select all updates by default (#38611)

2008-03-06 12:18  Marek Laane <bald at starman.ee>

	* po/et.po: Fixed non-sensical translation.

2008-03-06 11:57  Marek Laane <bald at starman.ee>

	* po/et.po: Updated Estonian translation.

2008-03-06 10:41  Pixel <pixel at mandriva.com>

	* urpm/media.pm, urpm/removable.pm: nicer error message

2008-03-05 09:01  Tomasz Bednarski <tbednarski at mandrivalinux.pl>

	* po/pl.po: update translation for Polish

2008-03-05 01:27  Thierry Vignaud <tvignaud at mandriva.com>

	* NEWS: one more typo fix

2008-03-05 01:26  Thierry Vignaud <tvignaud at mandriva.com>

	* NEWS: typo fix

2008-03-04 23:47  Thierry Vignaud <tvignaud at mandriva.com>

	* NEWS, urpm.pm: 5.8

2008-03-04 23:34  Michal Bukovjan <bukovjan at mbox.dkm.cz>

	* po/cs.po: Update Czech translation.

2008-03-04 21:48  Pixel <pixel at mandriva.com>

	* urpm/select.pm: cleanup

2008-03-04 21:03  Thierry Vignaud <tvignaud at mandriva.com>

	* ChangeLog: update

2008-03-04 19:35  Thierry Vignaud <tvignaud at mandriva.com>

	* urpm/select.pm: (add_packages_to_priority_upgrade_list) prevent
	  adding twice the same package

2008-03-04 19:32  Thierry Vignaud <tvignaud at mandriva.com>

	* NEWS, urpm/select.pm: (resolve_dependencies) add
	  'upgrade_callback' and
	  'resolve_req_callback' callbacks so that rpmdrake can reuse more
	  urpmi
	  code

2008-03-04 13:44  Thierry Vignaud <tvignaud at mandriva.com>

	* NEWS, urpm/install.pm: (install) do not pretent removing packages
	  from cache when there's
	  nothing to remove

2008-03-04 13:44  Thierry Vignaud <tvignaud at mandriva.com>

	* NEWS, gurpmi.pm, gurpmi2, urpm/args.pm: handle priority upgrade
	  list

2008-03-04 13:44  Thierry Vignaud <tvignaud at mandriva.com>

	* NEWS, urpm/select.pm: (add_packages_to_priority_upgrade_list)
	  introduce it so that gurpmi &
	  rpmdrake can handle priority upgrade list

2008-03-04 13:43  Thierry Vignaud <tvignaud at mandriva.com>

	* urpm/select.pm: (set_priority_upgrade_option) split default
	  priority upgrade list
	  needed for next commit

2008-03-04 13:43  Thierry Vignaud <tvignaud at mandriva.com>

	* urpm/args.pm: factorize common options between urpmi & gurpmi

2008-03-04 12:40  Yukiko Bando <ybando at k6.dion.ne.jp>

	* po/ja.po: Japanese translation updated.

2008-03-04 09:56  Pixel <pixel at mandriva.com>

	* NEWS: add bug number

2008-03-03 23:32  Zé <ze at mandriva.org>

	* po/pt.po: update

2008-03-03 22:57  Pavel Maryanov <acid_jack at ukr.net>

	* po/ru.po: updated translation

2008-03-03 22:45  Pixel <pixel at mandriva.com>

	* urpm/media.pm: simplify

2008-03-03 22:45  Pixel <pixel at mandriva.com>

	* urpm/bug_report.pm, urpm/media.pm: correctly name function since
	  it's outside of its module

2008-03-03 22:43  Pixel <pixel at mandriva.com>

	* urpm/cdrom.pm, urpm/removable.pm: correctly name function since
	  it's outside of its module

2008-03-03 22:41  Pixel <pixel at mandriva.com>

	* urpm/cdrom.pm: fix comment

2008-03-03 22:02  aleph

	* po/hu.po: update translation for hungarian language

2008-03-03 19:49  Karl Ove Hufthammer <karl at huftis.org>

	* po/nn.po: Updated Norwegian Nynorsk translation.

2008-03-03 19:27  Christophe Berthelé <cpjc at free.fr>

	* po/fr.po: Update French translation

2008-03-03 19:23  Keld Jørn Simonsen <keld at dkuug.dk>

	* po/da.po: updates

2008-03-03 19:01  Inigo Salvador Azurmendi <xalba at euskalnet.net>

	* po/eu.po: Osatuta.

2008-03-03 18:59  Wanderlei Antonio Cavassin <cavassin at mandriva.com>

	* po/pt_BR.po: more translations

2008-03-03 18:35  Pixel <pixel at mandriva.com>

	* MANIFEST: add urpm/cdrom.pm

2008-03-03 18:33  Pixel <pixel at mandriva.com>

	* NEWS, urpm.pm: 5.7

2008-03-03 17:22  Pixel <pixel at mandriva.com>

	* NEWS, urpm/media.pm, urpmq: - urpmq:
	  o --list: speed it up (2.5x faster, and 6x faster with
	  names.<medium>)
	  - all tools:
	  o restore generation of /var/lib/urpmi/names.<medium>, but it is
	  now done in
	  urpmq/urpmi/urpmf (and so only if used as root)

2008-03-03 17:15  Pixel <pixel at mandriva.com>

	* urpm.pm, urpm/media.pm, urpmf: - create non_modified_media() and
	  use it
	  - rename _parse_media() into parse_media() for next commit

2008-03-03 17:06  Thierry Vignaud <tvignaud at mandriva.com>

	* po/br.po: update

2008-03-03 17:05  Thierry Vignaud <tvignaud at mandriva.com>

	* po/fr.po: update

2008-03-03 17:03  Thierry Vignaud <tvignaud at mandriva.com>

	* po/af.po, po/ar.po, po/az.po, po/bg.po, po/bn.po, po/br.po,
	  po/bs.po, po/ca.po, po/cs.po, po/cy.po, po/da.po, po/de.po,
	  po/el.po, po/eo.po, po/es.po, po/et.po, po/eu.po, po/fa.po,
	  po/fi.po, po/fr.po, po/fur.po, po/ga.po, po/gl.po, po/he.po,
	  po/hi.po, po/hr.po, po/hu.po, po/id.po, po/is.po, po/it.po,
	  po/ja.po, po/ka.po, po/ko.po, po/ky.po, po/lt.po, po/lv.po,
	  po/mk.po, po/mn.po, po/ms.po, po/mt.po, po/nb.po, po/nl.po,
	  po/nn.po, po/pa_IN.po, po/pl.po, po/pt.po, po/pt_BR.po, po/ro.po,
	  po/ru.po, po/sc.po, po/sk.po, po/sl.po, po/sq.po, po/sr.po,
	  po/sr@Latn.po, po/sv.po, po/tg.po, po/th.po, po/tl.po, po/tr.po,
	  po/uk.po, po/urpmi.pot, po/uz.po, po/uz@cyrillic.po, po/vi.po,
	  po/wa.po, po/zh_CN.po, po/zh_TW.po: sync with code

2008-03-03 16:51  Thierry Vignaud <tvignaud at mandriva.com>

	* gurpmi2: (copy_removable) do not pass the device around (we don't
	  want to force a device anymore)

2008-03-03 16:19  Thierry Vignaud <tvignaud at mandriva.com>

	* gurpmi.pm: (usage) document --test like urpmi does

2008-03-03 16:18  Thierry Vignaud <tvignaud at mandriva.com>

	* gurpmi.pm: (parse_command_line) fix --auto-select option that got
	  broken in
	  r238215 ("fix --auto-select option" (was for main_loop))

2008-03-03 15:49  Thierry Vignaud <tvignaud at mandriva.com>

	* gurpmi2: better style

2008-03-03 15:38  Thierry Vignaud <tvignaud at mandriva.com>

	* urpm/args.pm: add a warning for gurpmi

2008-03-03 15:37  Thierry Vignaud <tvignaud at mandriva.com>

	* NEWS: sort & explain

2008-03-03 15:36  Thierry Vignaud <tvignaud at mandriva.com>

	* NEWS, urpm/args.pm: handle --test

2008-03-03 15:35  Thierry Vignaud <tvignaud at mandriva.com>

	* NEWS, gurpmi2: give the focus to buttons (Emmanuel Blindauer,
	  #38047)

2008-03-03 15:11  Thierry Vignaud <tvignaud at mandriva.com>

	* NEWS, urpm/args.pm: handle --allow-medium-change (needed for
	  do_pkgs)

2008-03-03 15:10  Thierry Vignaud <tvignaud at mandriva.com>

	* NEWS, urpm/args.pm: handle --expect-install (needed for do_pkgs)

2008-03-03 15:10  Thierry Vignaud <tvignaud at mandriva.com>

	* NEWS, urpm/args.pm: fix --expect-install (broken since 4.9.30!)

2008-03-03 15:09  Thierry Vignaud <tvignaud at mandriva.com>

	* urpm/ldap.pm: lazy load Net::LDAP

2008-03-03 15:09  Thierry Vignaud <tvignaud at mandriva.com>

	* NEWS, gurpmi2, urpm/args.pm: fix --auto-select option

2008-03-03 15:08  Thierry Vignaud <tvignaud at mandriva.com>

	* NEWS, gurpmi.pm, urpm/args.pm: (gurpmi::parse_command_line) reuse
	  common shared code of urpm::args,
	  thus fixing --root option

2008-03-03 15:08  Thierry Vignaud <tvignaud at mandriva.com>

	* NEWS, gurpmi2: (do_install_3) make completed() callback return
	  instead of waiting
	  while displaying a success message in automatic mode

2008-03-03 13:14  Pixel <pixel at mandriva.com>

	* NEWS, urpm/media.pm: - urpmf, urpmq:
	  o never display raw downloader output, otherwise output is very
	  messy (#38125)

2008-03-03 12:46  Pixel <pixel at mandriva.com>

	* NEWS, urpm/download.pm: fix download progression using wget:
	  
	  - the first line displays the date, not simply the time
	  - the "==> RETR" is only for ftp, also parse "200 OK"
	  - detecting size using /^Length/ is much simpler when wget output
	  is not
	  translated, so use LC_ALL=C
	  - "ETA" is now "eta" in my tests
	  - "eta" is not displayed at the beginning, do call
	  propagate_sync_callback
	  with precent and speed

2008-03-03 11:51  Pixel <pixel at mandriva.com>

	* t/superuser--split-transactions.t: "a" and "b" can be installed
	  in any order, so sometimes "a" is first,
	  sometimes "b" is first

2008-03-03 10:14  Pixel <pixel at mandriva.com>

	* NEWS, urpm/args.pm: - urpmf:
	  o fix searching for more than one pattern (#38286)

2008-03-02 20:32  aleph

	* po/hu.po: update translation for hungarian language

2008-03-01 23:19  Dotan Kamber <kamberd at yahoo.com>

	* po/he.po: update translation for Hebrew

2008-03-01 15:20  Marek Laane <bald at starman.ee>

	* po/et.po: Updated Estonian translation.

2008-03-01 12:29  Pixel <pixel at mandriva.com>

	* t/01compile.t: urpm/cdrom.pm has been added

2008-03-01 01:24  Per Øyvind Karlsen <peroyvind at mandriva.org>

	* t/superuser--file-conflicts.t: don't disable tests for jbj rpm

2008-03-01 01:05  Per Øyvind Karlsen <peroyvind at mandriva.org>

	* t/02create_pkgs.t, t/data/SPECS/buildroot_BuildRoot.spec,
	  t/data/SPECS/buildroot_default.spec: skip buildroot checks for
	  rpm5.org

2008-02-29 19:43  Zé <ze at mandriva.org>

	* po/pt.po: update

2008-02-29 17:10  Jure Repinc

	* po/sl.po: Updated Slovenian translation

2008-02-29 17:04  Pixel <pixel at mandriva.com>

	* urpm/cdrom.pm: HAL can fail to umount the cdrom if it was not
	  mounted by HAL.
	  in that case, use "umount" command directly.

2008-02-29 16:48  Pixel <pixel at mandriva.com>

	* urpm/removable.pm: require urpm::cdrom where needed

2008-02-29 16:47  Pixel <pixel at mandriva.com>

	* urpm/removable.pm: remove some functions that were moved to
	  urpm::cdrom

2008-02-29 16:45  Pixel <pixel at mandriva.com>

	* urpm/media.pm, urpm/removable.pm: move is_iso to urpm::media and
	  rename it

2008-02-29 16:41  Pixel <pixel at mandriva.com>

	* NEWS, urpm/cdrom.pm, urpm/removable.pm, urpmi: o use hal to
	  wait-for/mount cdroms:
	  you can now use more than one cdrom drive
	  
	  big commit, no time to split it... some details:
	  - split urpm::removable into urpm::removable and urpm::cdrom
	  - fix setting $urpm->{removable_mounted}
	  - in try_mounting_non_cdroms(), check for local url, simpler than
	  checking
	  is_cdrom_url and then checking file_from_local_medium
	  - fix _try_mounting_medium() not mounting non-cdrom anymore
	  (regression introduced during devel)
	  - even if urpmi says it wants cdroms in a given order, if you
	  make a mistake,
	  it will use the one you give (as a side-effect, it simplifies the
	  sort on
	  "already mounted" cdrom (cf _sort_media disappearing))

2008-02-29 16:16  Pixel <pixel at mandriva.com>

	* urpm.pm: kill deprecated download_source_packages

2008-02-29 15:47  Pixel <pixel at mandriva.com>

	* urpm/media.pm: do not download on the fly xml-info unless we know
	  if it is available
	  (useful for the cdrom case where there is no MD5SUM, but we take
	  care of
	  xml-info during urpmi.addmedia, never afterwards)

2008-02-29 15:44  Pixel <pixel at mandriva.com>

	* .perl_checker: blacklist Net::DBus (used by Hal::Cdroms)

2008-02-29 12:16  Tomasz Bednarski <tbednarski at mandrivalinux.pl>

	* po/pl.po: update translation for Polish

2008-02-29 11:13  Pixel <pixel at mandriva.com>

	* urpm/removable.pm, urpmi: do not pass the device around (we don't
	  want to force a device anymore)

2008-02-29 11:07  Pixel <pixel at mandriva.com>

	* urpm/removable.pm: if cdrom is not mounted, _check_notfound
	  should fail, but nicely

2008-02-29 10:24  Pixel <pixel at mandriva.com>

	* urpm/removable.pm: - rename _mount_it() into _mount_cdrom()
	  - rename _mount_and_check_notfound() into
	  _mount_cdrom_and_check_notfound()
	  - in _mount_cdrom_and_check_notfound, use _try_mounting_medium
	  since failure
	  to mount is not fatal

2008-02-29 10:22  Pixel <pixel at mandriva.com>

	* urpm/removable.pm: rename look_for_mounted_cdrom() into
	  _look_for_mounted_cdrom_in_mtab()

2008-02-29 10:20  Pixel <pixel at mandriva.com>

	* urpm/media.pm: fix --mirrorlist broken by
	  _migrate_removable_device

2008-02-28 22:17  Pixel <pixel at mandriva.com>

	* urpm.pm: use confess to get stacktrace (instead of croak)

2008-02-28 14:56  Tomasz Bednarski <tbednarski at mandrivalinux.pl>

	* po/pl.po: update translation for Polish

2008-02-28 14:45  Pixel <pixel at mandriva.com>

	* NEWS, urpm/media.pm: - urpmf, urpmq:
	  o do not try to download xml-info if it's not available (#38125)

2008-02-27 19:01  Pixel <pixel at mandriva.com>

	* NEWS, urpm/removable.pm: - urpmi
	  o do not copy rpms from cdrom if only one cdrom is used (#28083)

2008-02-27 18:54  Pixel <pixel at mandriva.com>

	* urpm/removable.pm: strictify prototype

2008-02-27 18:52  Pixel <pixel at mandriva.com>

	* urpm/removable.pm: drop useless check

2008-02-27 18:51  Pixel <pixel at mandriva.com>

	* urpm/removable.pm: _copy_from_cdrom() is a much better name than
	  _examine_removable_medium()

2008-02-27 18:50  thomas

	* po/sv.po: update Swedish translation

2008-02-27 18:40  Pixel <pixel at mandriva.com>

	* urpm/media.pm: fix typo

2008-02-27 18:40  Pixel <pixel at mandriva.com>

	* urpm/download.pm: {removable} is no more

2008-02-27 18:33  Pixel <pixel at mandriva.com>

	* NEWS, urpm/media.pm: - create _migrate_removable_url out of
	  _migrate_removable_device
	  - do keep our url scheme for cdroms (#30613)

2008-02-27 17:53  Pixel <pixel at mandriva.com>

	* urpm/media.pm: - adapt "we want to copy lzma from cds" to new
	  cdrom:// scheme
	  - missing lzma on cds is not a failure

2008-02-27 17:37  Pixel <pixel at mandriva.com>

	* .perl_checker, NEWS, pod/urpmi.addmedia.8.pod,
	  pod/urpmi.update.8.pod, pod/urpmihowto.8.pod, urpm.pm,
	  urpm/media.pm, urpm/removable.pm, urpmi.addmedia: - all tools:
	  o cdrom:// replaces removable://

2008-02-27 14:22  Pixel <pixel at mandriva.com>

	* urpm/sys.pm: create read_mtab()

2008-02-27 13:57  Pixel <pixel at mandriva.com>

	* urpm.pm, urpm/media.pm, urpm/removable.pm, urpmq: - create
	  file_from_local_medium(), and use it where possible instead of
	  file_from_local_url()
	  - in urpm::removable, this implies passing $blist around
	  
	  nb: for now file_from_local_medium() doesn't use the first
	  parameter if url is
	  given, but future commit will use both (needed for {url}
	  cdrom://)

2008-02-27 13:44  Pixel <pixel at mandriva.com>

	* urpm.pm, urpm/media.pm, urpm/removable.pm, urpmi.addmedia: create
	  is_local_medium() and is_local_url()

2008-02-27 11:43  Pixel <pixel at mandriva.com>

	* urpm/media.pm, urpm/removable.pm: internally use {iso} instead of
	  {removable} for iso files
	  (to make things more clear)

2008-02-27 11:32  Pixel <pixel at mandriva.com>

	* urpm/removable.pm: - fix typo in try_mounting_non_cdrom() (from
	  previous commit)
	  - copy_packages_of_removable_media() now only handles cdroms (no
	  more iso)

2008-02-27 11:27  Pixel <pixel at mandriva.com>

	* urpm/main_loop.pm, urpm/removable.pm: treat iso as non-removable

2008-02-27 11:19  Pixel <pixel at mandriva.com>

	* urpm/media.pm: there is no reason not to use {removable} only for
	  iso

2008-02-27 11:18  Pixel <pixel at mandriva.com>

	* urpm/media.pm: what we really want here is the place where the
	  synthesis is, so in the case
	  of {with_synthesis}, we want to check/mount there

2008-02-27 10:53  Pixel <pixel at mandriva.com>

	* urpm/main_loop.pm, urpm/removable.pm: rename
	  try_mounting_non_removable() into try_mounting_non_removables()
	  and create try_mounting_non_removable()

2008-02-27 10:46  Pixel <pixel at mandriva.com>

	* urpm/main_loop.pm, urpm/removable.pm: use blists to ensure we
	  only mount media which will be used

2008-02-27 09:45  Pixel <pixel at mandriva.com>

	* urpm/media.pm, urpm/removable.pm: create separate function to
	  mount iso

2008-02-27 07:46  Christophe Berthelé <cpjc at free.fr>

	* po/fr.po: Update fr translation on behalf of fr team

2008-02-26 23:02  Pixel <pixel at mandriva.com>

	* urpm/removable.pm: modify for the future

2008-02-26 23:02  Pixel <pixel at mandriva.com>

	* urpm/removable.pm: _mount_it() can't fail!

2008-02-26 22:46  Pixel <pixel at mandriva.com>

	* urpm/main_loop.pm, urpm/removable.pm: there is no reason
	  copy_packages_of_removable_media should mount non removable
	  media

2008-02-26 22:44  Pixel <pixel at mandriva.com>

	* urpm/removable.pm: simplify

2008-02-26 22:44  Pixel <pixel at mandriva.com>

	* urpm/removable.pm: simplify

2008-02-26 22:43  Pixel <pixel at mandriva.com>

	* urpm/removable.pm: fix comment

2008-02-26 22:42  Pixel <pixel at mandriva.com>

	* urpm/removable.pm: simplify

2008-02-26 22:42  Pixel <pixel at mandriva.com>

	* urpm/removable.pm: split _get_removables_or_check_mounted into
	  _try_mounting_non_removable and _get_removables

2008-02-26 22:38  Pixel <pixel at mandriva.com>

	* urpm/removable.pm: add comment

2008-02-26 22:37  Pixel <pixel at mandriva.com>

	* urpm/removable.pm: _check_notfound should be pure, there is no
	  reason for _sort_media should
	  mount any removable media. so introducing
	  _mount_and_check_notfound()

2008-02-26 22:26  Pixel <pixel at mandriva.com>

	* urpm/removable.pm: add some comments

2008-02-26 22:15  Pixel <pixel at mandriva.com>

	* urpm/media.pm, urpm/removable.pm, urpm/sys.pm: - since
	  find_mntpoints doesn't really return a list, make it clear
	  - return a struct instead of using %info + returned value

2008-02-26 22:11  Pixel <pixel at mandriva.com>

	* urpm/removable.pm: rename $_ into $mntpoint

2008-02-26 22:00  Pixel <pixel at mandriva.com>

	* urpm/sys.pm: simplify

2008-02-26 21:56  Pixel <pixel at mandriva.com>

	* urpm/sys.pm: create _expand_symlink() out of find_mntpoints()

2008-02-26 21:55  Pixel <pixel at mandriva.com>

	* urpm/sys.pm: simplify

2008-02-26 21:45  Pixel <pixel at mandriva.com>

	* urpm/sys.pm: make it more clear

2008-02-26 21:42  Pixel <pixel at mandriva.com>

	* urpm/sys.pm: remove not useful %fstab

2008-02-26 21:40  Pixel <pixel at mandriva.com>

	* urpm/sys.pm: create _read_fstab_or_mtab() to factorise

2008-02-26 21:34  Pixel <pixel at mandriva.com>

	* urpm/sys.pm: every callers give a hash ref, so remove unneeded
	  code

2008-02-26 21:28  Pixel <pixel at mandriva.com>

	* urpm/removable.pm: simplify

2008-02-26 21:19  Pixel <pixel at mandriva.com>

	* urpm/removable.pm: simplify

2008-02-26 21:17  Pixel <pixel at mandriva.com>

	* urpm/removable.pm: - re-indent
	  - do not call eject on isos

2008-02-26 21:10  Pixel <pixel at mandriva.com>

	* urpm/removable.pm: simplify: reduce_pathname is only
	  useful/needed for find_mntpoints

2008-02-26 21:02  Pixel <pixel at mandriva.com>

	* urpm/removable.pm: create _non_mounted_mntpoints() to make things
	  more clear

2008-02-26 20:58  Pixel <pixel at mandriva.com>

	* urpm/get_pkgs.pm: move removing bad file inside
	  verify_partial_rpm_and_move()
	  (it won't hurt urpm::removable::_do_the_copy())

2008-02-26 20:57  Pixel <pixel at mandriva.com>

	* urpm/get_pkgs.pm: simplify

2008-02-26 20:56  Pixel <pixel at mandriva.com>

	* urpm/get_pkgs.pm, urpm/removable.pm:
	  urpm::get_pkgs::verify_partial_rpm_and_move() return the final
	  rpm

2008-02-26 20:55  Pixel <pixel at mandriva.com>

	* urpm/removable.pm: create _do_the_copy() out of
	  _examine_removable_medium_()

2008-02-26 20:48  Pixel <pixel at mandriva.com>

	* urpm/removable.pm: i don't see any reason for this...

2008-02-26 20:32  Pixel <pixel at mandriva.com>

	* urpm/removable.pm: create _sort_media() out of
	  copy_packages_of_removable_media()

2008-02-26 20:30  Pixel <pixel at mandriva.com>

	* urpm/removable.pm: simplify

2008-02-26 20:28  Pixel <pixel at mandriva.com>

	* urpm/removable.pm: do not pass $device around, it's the same as
	  $medium->{removable}

2008-02-26 20:26  Pixel <pixel at mandriva.com>

	* urpm/removable.pm: create a "blist" which is both $list and
	  $urpm->{media}

2008-02-26 20:15  Pixel <pixel at mandriva.com>

	* urpm/removable.pm: fix typo in previous commit

2008-02-26 20:15  Pixel <pixel at mandriva.com>

	* urpm/removable.pm: simplify

2008-02-26 20:13  Pixel <pixel at mandriva.com>

	* urpm/removable.pm: simplify

2008-02-26 20:08  Pixel <pixel at mandriva.com>

	* urpm/removable.pm: use
	  urpm::get_pkgs::verify_partial_rpm_and_move()

2008-02-26 20:06  Pixel <pixel at mandriva.com>

	* urpm/get_pkgs.pm: create verify_partial_rpm_and_move() out of
	  download_packages_of_distant_media()

2008-02-26 20:03  Pixel <pixel at mandriva.com>

	* urpm/get_pkgs.pm: fix typo (introduced on 2008-02-24 r237346)

2008-02-26 20:02  Pixel <pixel at mandriva.com>

	* urpm/get_pkgs.pm: rename some vars

2008-02-26 19:54  Pixel <pixel at mandriva.com>

	* urpm/removable.pm: factorise

2008-02-26 19:53  Pixel <pixel at mandriva.com>

	* urpm/removable.pm: create _filepath() to remove duplicated code

2008-02-26 19:51  Pixel <pixel at mandriva.com>

	* urpm/removable.pm: create _mount_it() out of
	  _examine_removable_medium_()

2008-02-26 19:49  Pixel <pixel at mandriva.com>

	* urpm/removable.pm: create _examine_removable_medium_ out of
	  _examine_removable_medium

2008-02-26 19:43  Pixel <pixel at mandriva.com>

	* urpm/removable.pm: change _check_notfound() parameter

2008-02-26 19:41  Pixel <pixel at mandriva.com>

	* urpm/removable.pm: oops, revert previous commit

2008-02-26 19:40  Pixel <pixel at mandriva.com>

	* urpm/removable.pm: simplify

2008-02-26 19:36  Pixel <pixel at mandriva.com>

	* urpm/removable.pm: add comment

2008-02-26 19:30  Pixel <pixel at mandriva.com>

	* urpm/removable.pm: cleanup

2008-02-26 19:30  Pixel <pixel at mandriva.com>

	* urpm/removable.pm: s/unless/if (!/

2008-02-26 19:28  Pixel <pixel at mandriva.com>

	* urpm/removable.pm: create _get_removables_or_check_mounted() out
	  of copy_packages_of_removable_media()

2008-02-26 19:26  Pixel <pixel at mandriva.com>

	* urpm/removable.pm: move $examine_removable_medium sub out of
	  copy_packages_of_removable_media

2008-02-26 19:24  Pixel <pixel at mandriva.com>

	* urpm/removable.pm: - move $check_notfound sub out of
	  copy_packages_of_removable_media
	  - really fix _mounted_mntpoints()

2008-02-26 19:21  Pixel <pixel at mandriva.com>

	* urpm/removable.pm: add some comments

2008-02-26 19:20  Pixel <pixel at mandriva.com>

	* urpm/removable.pm: oops, fix previous "cleaning" commit,
	  introduce _mounted_mntpoints()

2008-02-26 19:18  Pixel <pixel at mandriva.com>

	* urpm/removable.pm: add some comments

2008-02-26 19:17  Pixel <pixel at mandriva.com>

	* urpm/removable.pm: cleanup

2008-02-26 19:11  Pixel <pixel at mandriva.com>

	* urpm/removable.pm: supermount is dead!

2008-02-26 19:10  Pixel <pixel at mandriva.com>

	* urpm/sys.pm: supermount is dead!

2008-02-26 15:40  Keld Jørn Simonsen <keld at dkuug.dk>

	* po/da.po: updates

2008-02-26 14:04  Inigo Salvador Azurmendi <xalba at euskalnet.net>

	* po/eu.po: Osatuta.

2008-02-26 13:55  Pavel Maryanov <acid_jack at ukr.net>

	* po/ru.po: updated translation

2008-02-26 11:10  Pixel <pixel at mandriva.com>

	* NEWS, urpm/download.pm: - urpmi:
	  o fix using proxy with curl (#38143)

2008-02-26 10:30  Sharuzzaman Ahmat Raslan <sharuzzaman at myrealbox.com>

	* po/ms.po: Updated Malay translation

2008-02-26 10:24  Yukiko Bando <ybando at k6.dion.ne.jp>

	* po/ja.po: Japanese translation updated.

2008-02-26 03:56  Thierry Vignaud <tvignaud at mandriva.com>

	* po/fr.po: update

2008-02-25 23:39  Pixel <pixel at mandriva.com>

	* NEWS, urpm.pm: 5.6

2008-02-25 23:33  Pixel <pixel at mandriva.com>

	* NEWS, urpmi: - urpmi:
	  o display "%s of packages will be retrieved."
	  (need perl-URPM 3.10 and synthesis built with @filesize@)

2008-02-25 20:06  Pixel <pixel at mandriva.com>

	* urpm/cfg.pm: do not die on bad ini file

2008-02-25 19:02  Pixel <pixel at mandriva.com>

	* urpm.pm, urpmi.addmedia, urpmi.bash-completion,
	  urpmi.removemedia, urpmi.update, urpmq: - -c option is no more
	  (only kept for compatibility in urpmi.update)
	  - {cachedir}/headers is not used anymore

2008-02-25 18:07  Karl Ove Hufthammer <karl at huftis.org>

	* po/nn.po: Updated Norwegian Nynorsk translation.

2008-02-25 16:54  Pixel <pixel at mandriva.com>

	* urpm/download.pm: download mirrorlist silently

2008-02-25 16:19  Pixel <pixel at mandriva.com>

	* NEWS, urpm/install.pm, urpm/main_loop.pm: - urpmi
	  o fix "using one big transaction" that occurs when using --keep
	  (#30198) (part of the fix is in perl-URPM 3.09)

2008-02-25 15:47  Pixel <pixel at mandriva.com>

	* urpmi: don't use global configs_dir when using --env

2008-02-25 15:24  Pixel <pixel at mandriva.com>

	* NEWS, urpmi.bash-completion: - bash-completion:
	  o restore available-pkgs completion using "urpmq --list"
	  (guillomovitch)
	  (but only if COMP_URPMI_HDLISTS is set since it's slow)

2008-02-25 15:03  Pixel <pixel at mandriva.com>

	* NEWS, urpm/main_loop.pm: - urpmi
	  o --test: only display "Installation is possible" when it is the
	  case (#29837)

2008-02-25 14:34  Pixel <pixel at mandriva.com>

	* NEWS, urpmq: make "urpmq --list xxx" display "use -l to list
	  files" and exit on error

2008-02-25 14:25  Wanderlei Antonio Cavassin <cavassin at mandriva.com>

	* po/pt_BR.po: more translations

2008-02-25 14:19  Pixel <pixel at mandriva.com>

	* NEWS, pod/urpmq.8.pod, urpm/args.pm, urpmi.bash-completion,
	  urpmq: - urpmq:
	  o add --conflicts

2008-02-25 14:16  Pixel <pixel at mandriva.com>

	* pod/urpmq.8.pod, urpmi.bash-completion, urpmq: need for previous
	  commit: document "urpmq --requires"

2008-02-25 14:10  Pixel <pixel at mandriva.com>

	* NEWS, urpm/args.pm, urpmq: - urpmq:
	  o --requires now display the raw requires, use
	  --requires-recursive to get
	  the old behaviour (#29176)

2008-02-25 13:48  Pixel <pixel at mandriva.com>

	* NEWS, urpm/mirrors.pm: - urpmi, urpmi.addmedia, urpmi.update:
	  o handle variables $ARCH/$RELEASE in mirrorlist

2008-02-25 13:40  Thierry Vignaud <tvignaud at mandriva.com>

	* urpm/main_loop.pm: typo fix

2008-02-25 13:20  Pixel <pixel at mandriva.com>

	* t/superuser--handle-conflict-deps.t: fixed in perl-URPM 3.09

2008-02-25 12:43  Pixel <pixel at mandriva.com>

	* NEWS, urpmf: - urpmf
	  o fix fallback on hdlist when xml-info not found

2008-02-25 12:21  Thierry Vignaud <tvignaud at mandriva.com>

	* urpmi: deffine 'message' callback

2008-02-25 12:20  Thierry Vignaud <tvignaud at mandriva.com>

	* NEWS, urpm/main_loop.pm: (run) kill 'bad_rpms' &
	  'missing_files_summary' callbacks, reusing
	  existing unused 'message' callback

2008-02-25 10:29  Thierry Vignaud <tvignaud at mandriva.com>

	* po/br.po: update

2008-02-25 10:17  Thierry Vignaud <tvignaud at mandriva.com>

	* po/fr.po: update

2008-02-25 10:15  Thierry Vignaud <tvignaud at mandriva.com>

	* po/af.po, po/ar.po, po/az.po, po/bg.po, po/bn.po, po/br.po,
	  po/bs.po, po/ca.po, po/cs.po, po/cy.po, po/da.po, po/de.po,
	  po/el.po, po/eo.po, po/es.po, po/et.po, po/eu.po, po/fa.po,
	  po/fi.po, po/fr.po, po/fur.po, po/ga.po, po/gl.po, po/he.po,
	  po/hi.po, po/hr.po, po/hu.po, po/id.po, po/is.po, po/it.po,
	  po/ja.po, po/ka.po, po/ko.po, po/ky.po, po/lt.po, po/lv.po,
	  po/mk.po, po/mn.po, po/ms.po, po/mt.po, po/nb.po, po/nl.po,
	  po/nn.po, po/pa_IN.po, po/pl.po, po/pt.po, po/pt_BR.po, po/ro.po,
	  po/ru.po, po/sc.po, po/sk.po, po/sl.po, po/sq.po, po/sr.po,
	  po/sr@Latn.po, po/sv.po, po/tg.po, po/th.po, po/tl.po, po/tr.po,
	  po/uk.po, po/urpmi.pot, po/uz.po, po/uz@cyrillic.po, po/vi.po,
	  po/wa.po, po/zh_CN.po, po/zh_TW.po: sync with code

2008-02-25 10:06  Thierry Vignaud <tvignaud at mandriva.com>

	* .perl_checker: blacklist Time::ZoneInfo

2008-02-25 09:30  Pixel <pixel at mandriva.com>

	* t/superuser--mirrorlist.t: add a simple test case for mirrorlist

2008-02-25 09:30  Pixel <pixel at mandriva.com>

	* MANIFEST, t/data/SPECS/best-versioned-provide,
	  t/data/SPECS/best-versioned-provide/a1.spec,
	  t/data/SPECS/best-versioned-provide/a_cc.spec,
	  t/data/SPECS/best-versioned-provide/a_dd.spec,
	  t/data/SPECS/best-versioned-provide/a_ee.spec,
	  t/data/SPECS/best-versioned-provide/b1.spec,
	  t/data/SPECS/best-versioned-provide/b2.spec,
	  t/data/SPECS/best-versioned-provide/b3.spec,
	  t/superuser--best-versioned-provide.t: add a test case for "sort
	  choices on virtual package by provided version (#12645)"

2008-02-25 09:30  Pixel <pixel at mandriva.com>

	* MANIFEST.SKIP: why is ExtUtils::Manifest now including default
	  rules in users's MANIFEST.SKIP?

2008-02-24 10:58  Pixel <pixel at mandriva.com>

	* NEWS, urpm/get_pkgs.pm, urpm/main_loop.pm: display a "bad rpms"
	  message instead of "files are missing" when the downloaded rpm is
	  bad.
	  
	  this adds a new callback for rpmdrake: "bad_rpms"
	  
	  this modifies the API of
	  urpm::get_pkgs::download_packages_of_distant_media
	  ($error_sources is now { url => reason } instead of { id => url
	  })

2008-02-24 10:49  Pixel <pixel at mandriva.com>

	* urpm/download.pm: create hide_password() (to be used in
	  urpm::main_loop to remove duplication)

2008-02-24 10:26  Pixel <pixel at mandriva.com>

	* urpm/get_pkgs.pm: further simplify (allowed by making "moving
	  file" fatal)

2008-02-24 10:22  Pixel <pixel at mandriva.com>

	* urpm/install.pm: fix typo in previous commit

2008-02-24 10:20  Pixel <pixel at mandriva.com>

	* NEWS, urpm/get_pkgs.pm, urpm/media.pm, urpm/removable.pm,
	  urpm/sys.pm: - urpmi, urpmi.addmedia, urpmi.update:
	  o have fatal errors on some errors that must not happen (eg:
	  moving rpm from
	  download dir to cachedir)

2008-02-24 10:06  Pixel <pixel at mandriva.com>

	* urpm/install.pm: make it fatal to fail to remove cachedir rpms

2008-02-24 10:00  Pixel <pixel at mandriva.com>

	* urpm/install.pm: - do not say "removing installed rpms" for rpms
	  which are not in cachedir
	  - do not say "removing installed rpms" for rpms which were not
	  scheduled to be
	  installed, instead remove those rpms from cachedir with a special
	  error
	  message

2008-02-23 22:37  Pixel <pixel at mandriva.com>

	* NEWS, urpm/media.pm: urpmf: fix mirrolist handling

2008-02-23 22:36  Pixel <pixel at mandriva.com>

	* urpmi.addmedia: at least display an error message on error

2008-02-23 22:35  Pixel <pixel at mandriva.com>

	* urpmi.addmedia: drop obsolete code (remove_failed function
	  already removed, and error handling
	  is now much better in urpmi: it won't write urpmi.cfg until
	  everything is ok)

2008-02-23 21:31  Pixel <pixel at mandriva.com>

	* NEWS: 5.5

2008-02-23 21:31  Pixel <pixel at mandriva.com>

	* MANIFEST, NEWS, pod/urpmi.addmedia.8.pod, pod/urpmi.cfg.5.pod,
	  t/01compile.t, urpm.pm, urpm/args.pm, urpm/cfg.pm, urpm/media.pm,
	  urpm/mirrors.pm, urpmi.addmedia, urpmq: - all tools:
	  o handle mirrorlist
	  (need perl-Zone-TimeInfo patched for geolocalisation)

2008-02-23 19:40  Pixel <pixel at mandriva.com>

	* NEWS, urpm/media.pm: - urpmi.addmedia
	  o don't fail on remaining statedir files (#36267)
	  (especially useful when using media.d/*.cfg)

2008-02-23 19:21  Pixel <pixel at mandriva.com>

	* urpm/media.pm: simplify ("list" is not used anymore)

2008-02-23 18:59  Pixel <pixel at mandriva.com>

	* t/data/SPECS/ordering-scriptlets/ash_1.spec: ash is no more
	  static in mandriva, use dash.static instead (for our test
	  purpose)

2008-02-23 18:54  Pixel <pixel at mandriva.com>

	* urpm/media.pm: fix typo calling _is_local_virtual

2008-02-22 21:36  Marek Laane <bald at starman.ee>

	* po/et.po: Fining some messages.

2008-02-22 20:28  Marek Laane <bald at starman.ee>

	* po/et.po: Updated Estonian translation.

2008-02-22 15:18  Pixel <pixel at mandriva.com>

	* urpm/download.pm: get_content() as a wrapper around sync() to get
	  file content

2008-02-22 10:30  Pixel <pixel at mandriva.com>

	* NEWS, urpmf: - urpmf
	  o fallback on hdlist when xml-info not found (useful for old
	  distribs)

2008-02-21 14:19  Pixel <pixel at mandriva.com>

	* t/helper.pm, urpm/cfg.pm, urpm/media.pm: rename
	  conf_file__rel_media into with-dir
	  (since it will be used in urpmi.cfg too, it needs a less verbose
	  name)

2008-02-21 14:14  Pixel <pixel at mandriva.com>

	* urpm/media.pm: create _new_distribconf_and_download() and use it
	  (for future commit)

2008-02-21 14:12  Pixel <pixel at mandriva.com>

	* urpm/media.pm: - fix typo _is_local_virtual() and
	  _is_remote_virtual()
	  - introduce _local_file()

2008-02-21 11:22  Tomasz Bednarski <tbednarski at mandrivalinux.pl>

	* po/pl.po: update translation for Polish

2008-02-21 10:50  Pixel <pixel at mandriva.com>

	* urpmi.addmedia: adapt --virtual usage description to its new
	  features

2008-02-21 10:32  Pixel <pixel at mandriva.com>

	* pod/urpmi.addmedia.8.pod: adapt --virtual description: it can now
	  handle remove distro
	  (and in that case /var/lib/urpmi is used)

2008-02-21 10:24  Pixel <pixel at mandriva.com>

	* urpm/download.pm: do not use an undefined value

2008-02-20 22:35  Michal Bukovjan <bukovjan at mbox.dkm.cz>

	* po/cs.po: Update Czech translation.

2008-02-20 17:07  Thierry Vignaud <tvignaud at mandriva.com>

	* po/cy.po: update (Rhoslyn Prys)

2008-02-18 16:00  Tomasz Bednarski <tbednarski at mandrivalinux.pl>

	* po/pl.po: update translation for Polish

2008-02-17 16:42  Inigo Salvador Azurmendi <xalba at euskalnet.net>

	* po/eu.po: Osatu gabe (1 falta da).

2008-02-17 11:28  Inigo Salvador Azurmendi <xalba at euskalnet.net>

	* po/eu.po: Osatu gabe (asko falta dira).

2008-02-16 13:49  Christophe Berthelé <cpjc at free.fr>

	* po/hu.po: Update hu translation on behalf of hu team

2008-02-16 00:53  Keld Jørn Simonsen <keld at dkuug.dk>

	* po/da.po: updates

2008-02-15 22:42  Karl Ove Hufthammer <karl at huftis.org>

	* po/nn.po: Updated Norwegian Nynorsk translation.

2008-02-15 17:27  Pixel <pixel at mandriva.com>

	* pod/urpmi.8.pod, urpmi: add --debug in usage and man page

2008-02-15 08:18  Christophe Berthelé <cpjc at free.fr>

	* po/fr.po: Update fr translation

2008-02-14 22:50  Pavel Maryanov <acid_jack at ukr.net>

	* po/ru.po: updated translation

2008-02-14 16:25  Wanderlei Antonio Cavassin <cavassin at mandriva.com>

	* po/pt_BR.po: updated brazilian portuguese

2008-02-14 12:05  Thierry Vignaud <tvignaud at mandriva.com>

	* po/af.po, po/ar.po, po/az.po, po/bg.po, po/bn.po, po/br.po,
	  po/bs.po, po/ca.po, po/cs.po, po/cy.po, po/da.po, po/de.po,
	  po/el.po, po/eo.po, po/es.po, po/et.po, po/eu.po, po/fa.po,
	  po/fi.po, po/fr.po, po/fur.po, po/ga.po, po/gl.po, po/he.po,
	  po/hi.po, po/hr.po, po/hu.po, po/id.po, po/is.po, po/it.po,
	  po/ja.po, po/ka.po, po/ko.po, po/ky.po, po/lt.po, po/lv.po,
	  po/mk.po, po/mn.po, po/ms.po, po/mt.po, po/nb.po, po/nl.po,
	  po/nn.po, po/pa_IN.po, po/pl.po, po/pt.po, po/pt_BR.po, po/ro.po,
	  po/ru.po, po/sc.po, po/sk.po, po/sl.po, po/sq.po, po/sr.po,
	  po/sr@Latn.po, po/sv.po, po/tg.po, po/th.po, po/tl.po, po/tr.po,
	  po/uk.po, po/urpmi.pot, po/uz.po, po/uz@cyrillic.po, po/vi.po,
	  po/wa.po, po/zh_CN.po, po/zh_TW.po: sync with code

2008-02-14 10:50  Pixel <pixel at mandriva.com>

	* NEWS: enhance misfeature description

2008-02-14 10:49  Pixel <pixel at mandriva.com>

	* NEWS: enhance feature description

2008-02-14 10:48  Pixel <pixel at mandriva.com>

	* NEWS: enhance feature description

2008-02-14 10:47  Pixel <pixel at mandriva.com>

	* .perl_checker, NEWS, t/helper.pm, t/superuser--addmedia.t,
	  urpm.pm, urpm/cfg.pm, urpm/media.pm: - urpmi handles
	  /etc/urpmi/media.d/*.cfg
	  as an alternative to using urpmi.addmedia
	  
	  nb: need documentation

2008-02-14 00:48  Inigo Salvador Azurmendi <xalba at euskalnet.net>

	* po/eu.po: Osatu gabe (asko falta dira).

2008-02-13 02:25  Per Øyvind Karlsen <peroyvind at mandriva.org>

	* urpm/download.pm: ensure that aria2 doesn't connect multiple
	  times to same host with different protocols

2008-02-07 07:47  Funda Wang <fundawang at gmail.com>

	* po/zh_CN.po: Updated zh_CN translation

2008-02-07 00:42  Inigo Salvador Azurmendi <xalba at euskalnet.net>

	* po/eu.po: Osatu gabe (asko falta dira).

2008-02-06 15:18  Pixel <pixel at mandriva.com>

	* NEWS: fix typo

2008-02-06 13:51  Pixel <pixel at mandriva.com>

	* NEWS, urpm/media.pm: - urpmi.update, urpmi.addmedia:
	  o handle --virtual for remove media
	  (a better name would be "auto-update", a la yum)

2008-02-06 09:13  Inigo Salvador Azurmendi <xalba at euskalnet.net>

	* po/eu.po: Osatu gabe (asko falta dira).

2008-02-05 17:47  Pixel <pixel at mandriva.com>

	* urpm/media.pm, urpmf, urpmi, urpmq: nocheck_access is quite wrong
	  nowadays afaik

2008-02-05 17:08  Pixel <pixel at mandriva.com>

	* NEWS, pod/urpmi.files.5.pod, urpm/media.pm,
	  urpmi.bash-completion: - urpmi.update, urpmi.addmedia:
	  o do not parse synthesis
	  o drop /var/lib/urpmi/names.<medium>

2008-02-05 17:05  Pixel <pixel at mandriva.com>

	* pod/urpmi.files.5.pod: update doc: list.<media_name> is dead for
	  some time now

2008-02-05 10:07  Pixel <pixel at mandriva.com>

	* NEWS, urpm.pm: 5.4

2008-02-05 10:06  Pixel <pixel at mandriva.com>

	* NEWS, t/superuser--addmedia.t, urpm/media.pm: - urpmi, urpme,
	  urpmq, urpmf:
	  o fix --use-distrib
	  
	  (and add test to ensure it never breaks again)

2008-02-05 09:31  Pixel <pixel at mandriva.com>

	* t/superuser--addmedia.t: simplify

2008-02-04 16:04  Pixel <pixel at mandriva.com>

	* NEWS, urpm.pm: 5.3

2008-02-04 16:03  Pixel <pixel at mandriva.com>

	* t/superuser--addmedia.t: adapt to "media_info_dir: media_info"
	  being the default

2008-02-04 16:03  Pixel <pixel at mandriva.com>

	* t/helper.pm: have urpmi quiet option "-q" for urpm_cmd()

2008-02-04 16:02  Pixel <pixel at mandriva.com>

	* t/02create_pkgs.t: do set _tmppath

2008-02-04 14:04  Pixel <pixel at mandriva.com>

	* NEWS, urpm/media.pm: - library:
	  o since any_xml_info can be slow, add a "callback" option
	  (#37264)

2008-02-04 13:57  Pixel <pixel at mandriva.com>

	* NEWS, urpm.pm, urpm/cfg.pm, urpm/media.pm: - urpmi.cfg:
	  o "media_info_dir: media_info" is the default
	  o "no-media-info" is used for media for which media_info must be
	  built from
	  rpms
	  
	  the goal of this change is to allow upcoming
	  /etc/urpmi/media.d/*.cfg (or
	  whatever they will be called) to skip mentionning media_info_dir,
	  but also to cleanup urpmi.cfg

2008-02-02 20:22  Karl Ove Hufthammer <karl at huftis.org>

	* po/nn.po: Updated Norwegian Nynorsk translation.

2008-02-01 16:03  Pixel <pixel at mandriva.com>

	* urpm/media.pm: simplify: _update_medium() and _update_medium_()
	  are always called with
	  $medium->{modified} set

2008-01-31 14:54  Yukiko Bando <ybando at k6.dion.ne.jp>

	* po/ja.po: Japanese translation updated.

2008-01-30 16:34  Pixel <pixel at mandriva.com>

	* NEWS, urpm/media.pm: changing the way --synthesis is done in
	  urpm::media::configure.
	  This is used by urpmi/urpmq/urpmf.
	  
	  --synthesis will now be more similar to using a virtual medium (a
	  la
	  --use-distrib), compared to really only using the given
	  synthesis.

2008-01-30 16:31  Pixel <pixel at mandriva.com>

	* NEWS, urpmf: - urpmf:
	  o fix --synthesis

2008-01-28 19:51  Pavel Maryanov <acid_jack at ukr.net>

	* po/ru.po: updated translation

2008-01-27 20:45  Christophe Berthelé <cpjc at free.fr>

	* po/fr.po: Update fr translation

2008-01-25 07:48  Pixel <pixel at mandriva.com>

	* NEWS, pod/urpmq.8.pod, urpm/args.pm, urpmi.bash-completion,
	  urpmq: - urpmq:
	  o add --no-suggests

2008-01-25 07:41  Pixel <pixel at mandriva.com>

	* urpmi: add --no-suggests to urpmi usage

2008-01-24 23:30  Zé <ze at mandriva.org>

	* po/pt.po: update

2008-01-24 22:01  Christophe Berthelé <cpjc at free.fr>

	* po/fr.po: Update fr translation

2008-01-23 17:42  Thierry Vignaud <tvignaud at mandriva.com>

	* po/af.po, po/ar.po, po/az.po, po/bg.po, po/bn.po, po/br.po,
	  po/bs.po, po/ca.po, po/cs.po, po/cy.po, po/da.po, po/de.po,
	  po/el.po, po/eo.po, po/es.po, po/et.po, po/eu.po, po/fa.po,
	  po/fi.po, po/fr.po, po/fur.po, po/ga.po, po/gl.po, po/he.po,
	  po/hi.po, po/hr.po, po/hu.po, po/id.po, po/is.po, po/it.po,
	  po/ja.po, po/ka.po, po/ko.po, po/ky.po, po/lt.po, po/lv.po,
	  po/mk.po, po/mn.po, po/ms.po, po/mt.po, po/nb.po, po/nl.po,
	  po/nn.po, po/pa_IN.po, po/pl.po, po/pt.po, po/pt_BR.po, po/ro.po,
	  po/ru.po, po/sc.po, po/sk.po, po/sl.po, po/sq.po, po/sr.po,
	  po/sr@Latn.po, po/sv.po, po/tg.po, po/th.po, po/tl.po, po/tr.po,
	  po/uk.po, po/urpmi.pot, po/uz.po, po/uz@cyrillic.po, po/vi.po,
	  po/wa.po, po/zh_CN.po, po/zh_TW.po: sync with code

2008-01-23 16:45  Pixel <pixel at mandriva.com>

	* t/data/SPECS/file-conflicts/h.spec,
	  t/data/SPECS/file-conflicts/i.spec,
	  t/superuser--file-conflicts.t: add a test case: conflicting
	  manpages

2008-01-23 16:45  Pixel <pixel at mandriva.com>

	* t/superuser--handle-conflict-deps.t: add bug number

2008-01-23 16:45  Pixel <pixel at mandriva.com>

	* t/superuser--split-transactions--strict-require.t: add bug number

2008-01-23 16:44  Pixel <pixel at mandriva.com>

	* NEWS, urpme: - urpme:
	  o enhance pkg list formatting for "The following packages contain
	  %s: %s"
	  error message (#29178)

2008-01-22 11:46  Pixel <pixel at mandriva.com>

	* NEWS, urpm/select.pm: - urpme, urpmi:
	  o add basesystem-minimal to prohibit-remove

2008-01-22 01:22  Pavel Maryanov <acid_jack at ukr.net>

	* po/ru.po: updated translation

2008-01-21 15:09  Pixel <pixel at mandriva.com>

	* pod/urpmi.cfg.5.pod: fix indentation of xml-info options

2008-01-19 12:41  Per Øyvind Karlsen <peroyvind at mandriva.org>

	* urpmi: add --aria2-options to --help output

2008-01-18 17:30  Pixel <pixel at mandriva.com>

	* NEWS, urpm.pm: 5.2

2008-01-18 17:30  Pixel <pixel at mandriva.com>

	* NEWS: sort

2008-01-18 17:29  Pixel <pixel at mandriva.com>

	* t/superuser--file-conflicts.t: adapt to rpm patch change:
	  
	  - allow conflicting ghost file types as sometimes the same ghost
	  file
	  is a file in one package and a symlink in another package
	  (modifies
	  rpm-4.4.2.2-allow-conflicting-ghost-files.patch)

2008-01-18 17:13  Pixel <pixel at mandriva.com>

	* NEWS: fix typo

2008-01-18 17:12  Pixel <pixel at mandriva.com>

	* NEWS, pod/urpmi.8.pod, urpm/args.pm, urpmi,
	  urpmi.bash-completion: - urpmi:
	  o --buildrequires deprecate --src, --src is kept for
	  compatibility but its
	  behaviour is changed a little (it doesn't download src.rpm
	  anymore)
	  
	  ie implement what i suggested on cooker mailing list:
	  
	  
	  Date: Thu, 15 Nov 2007 18:21:32 +0100
	  Subject: urpmi --src issues, suggesting replacing --src with
	  --buildrequires
	  
	  current situation:
	  
	  % urpmi /xxx/foo.src.rpm
	  #=> installs foo.src.rpm buildrequires
	  
	  % urpmi --install-src foo bar
	  #=> downloads foo.src.rpm bar.src.rpm and "rpm -i"
	  
	  % urpmi --help | grep -- --src
	  --src, -s - next package is a source package.
	  
	  % urpmi --src foo
	  #=> urpmi says it will install foo buildrequires + foo.src.rpm
	  #=> in fact, it only installs foo buildrequires
	  
	  weird cases in current urpmi:
	  
	  % urpmi --src foo bar
	  #=> equiv to "urpmi --src foo ; urpmi bar"
	  
	  % urpmi foo --src bar
	  #=> equiv to "urpmi --src foo bar" above :-(
	  
	  % urpmi --src foo --src bar
	  #=> equiv to "urpmi --src foo bar" :-(
	  
	  
	  suggestions:
	  
	  1) we could make --src a global option:
	  
	  % urpmi --src foo bar
	  #=> would install buildrequires of foo.src.rpm and bar.src.rpm
	  
	  cons: it breaks compatibility (though i'm quite sure noone uses
	  the
	  previous behaviour)
	  
	  2) deprecate --src, introduce with --buildrequires:
	  
	  % urpmi --buildrequires foo bar
	  #=> would install buildrequires of foo.src.rpm and bar.src.rpm
	  
	  3) when doing "urpmi /xxx/foo.src.rpm", warn the user that it
	  should
	  use either "--install-src" or "--buildrequires", and that urpmi
	  is
	  defaulting to "--buildrequires"
	  
	  2) and 3) are implemented now

2008-01-18 16:46  Pixel <pixel at mandriva.com>

	* NEWS, urpm.pm, urpm/main_loop.pm: - urpmi
	  o --install-src will succesfully installed src.rpm from
	  /var/cache/urpmi/rpms/* (unless post-clean is 0)
	  
	  we could not do that by default because "urpmi --install-src" as
	  user could
	  not download the file

2008-01-18 16:42  Pixel <pixel at mandriva.com>

	* urpm/util.pm: add begins_with()

2008-01-18 16:39  Pixel <pixel at mandriva.com>

	* urpm.pm: even if we don't want $urpm->{cachedir} to be userdir()
	  by default
	  (so that it doesn't always get created but only when needed),
	  when we create
	  it, we can really set $urpm->{cachedir}

2008-01-18 16:33  Pixel <pixel at mandriva.com>

	* NEWS, urpm/get_pkgs.pm: - urpmi:
	  o --install-src as user now works for remote medium

2008-01-18 16:11  Pixel <pixel at mandriva.com>

	* urpm/get_pkgs.pm: use var (for future commit)

2008-01-18 14:38  Pixel <pixel at mandriva.com>

	* NEWS, urpm/args.pm: - urpmf:
	  o display a warning when searching "xxx(yyy)" since it is handled
	  as a
	  regexp and so the parentheses are useless. suggest using
	  --literal

2008-01-18 14:34  Pixel <pixel at mandriva.com>

	* urpm/args.pm: factorize duplicated code

2008-01-18 13:43  Pixel <pixel at mandriva.com>

	* t/data/SPECS/handle-conflict-deps/c.spec,
	  t/data/SPECS/handle-conflict-deps/d.spec,
	  t/data/SPECS/handle-conflict-deps/e.spec,
	  t/data/SPECS/handle-conflict-deps/f.spec,
	  t/superuser--handle-conflict-deps.t: add some tests (including a
	  failing one)

2008-01-18 13:00  Pixel <pixel at mandriva.com>

	* NEWS, urpm/select.pm: - urpmq:
	  o fix option -a : display packages of all compatible archs
	  (#36942)
	  
	  this fixes another issue introduced in commit r231535 (urpmi
	  4.10.15,
	  2007-11-15), partially fixed in r231782 (2007-11-28)
	  
	  the commit has 2 parts:
	  - ensure all compatible archs are kept when {all} option is used
	  - display one pkg per line in urpmq

2008-01-18 10:49  Pixel <pixel at mandriva.com>

	* t/superuser--split-transactions--strict-require.t: it's not an
	  ERROR, urpmi really must do +a-2,+c-2,-b-1 in the same
	  transaction

2008-01-18 10:16  Pixel <pixel at mandriva.com>

	* t/data/SPECS/split-transactions--strict-require-1/d.spec,
	  t/data/SPECS/split-transactions--strict-require-1/dd.spec,
	  t/data/SPECS/split-transactions--strict-require-2/d.spec,
	  t/data/SPECS/split-transactions--strict-require-2/dd.spec,
	  t/superuser--split-transactions--strict-require.t: add a failing
	  test case

2008-01-18 10:10  Pixel <pixel at mandriva.com>

	* t/superuser--obsolete-and-conflict.t,
	  t/superuser--specify-media.t, t/superuser--split-transactions.t:
	  cleanup using run_urpm_cmd

2008-01-18 10:07  Pixel <pixel at mandriva.com>

	* t/superuser--README-urpmi.t, t/superuser--media_info_dir.t,
	  t/superuser--split-transactions--promote.t: cleanup using
	  run_urpm_cmd

2008-01-18 10:03  Pixel <pixel at mandriva.com>

	* t/superuser--media_info_dir.t: cleanup using run_urpm_cmd

2008-01-18 10:02  Pixel <pixel at mandriva.com>

	* t/helper.pm: only display the cmd when debugging

2008-01-18 10:00  Pixel <pixel at mandriva.com>

	* t/superuser--media_info_dir.t: check rpmv3 pkg files are
	  installed

2008-01-18 09:46  Pixel <pixel at mandriva.com>

	* NEWS, urpm/args.pm, urpm/xml_info.pm, urpmf: - urpmf:
	  o add special code for --files simple case, it makes urpmf 3x
	  faster for
	  this often used case

2008-01-17 15:26  Pixel <pixel at mandriva.com>

	* urpmi: fix using urpmi --env where the media are virtual (by
	  removing "virtual" from urpmi.cfg)

2008-01-17 13:55  Pixel <pixel at mandriva.com>

	* NEWS, urpm/lock.pm: o fix displaying error message when failing
	  to lock (regression in 5.1)
	  (thanks to blino)

2008-01-17 11:57  Pixel <pixel at mandriva.com>

	* NEWS, pod/urpmq.8.pod, urpm/args.pm, urpm/util.pm,
	  urpmi.bash-completion, urpmq: - urpmq:
	  o add --provides

2008-01-17 11:39  Pixel <pixel at mandriva.com>

	* NEWS, pod/urpmi.8.pod, urpm/args.pm, urpmi: - all tools:
	  o deprecate --curl and --wget in favor of --downloader curl
	  and --downloader --wget

2008-01-17 10:54  Per Øyvind Karlsen <peroyvind at mandriva.org>

	* urpmi: add missing --aria2 to --help

2008-01-16 14:49  Pixel <pixel at mandriva.com>

	* NEWS, urpm.pm: 5.1

2008-01-16 14:48  Pixel <pixel at mandriva.com>

	* t/superuser--http.t: test urpmq/urpmf correctly use info.xml.lzma
	  with exotic medium name

2008-01-16 14:47  Pixel <pixel at mandriva.com>

	* t/superuser--handle-conflict-deps.t: need real fix... urpmi one
	  or the other...

2008-01-15 16:24  Pixel <pixel at mandriva.com>

	* NEWS, urpm/xml_info.pm: - urpmf, urpmq:
	  o fix using xml info files with spaces in medium name
	  
	  (as reported in a comment of bug #36742)

2008-01-15 16:22  Pixel <pixel at mandriva.com>

	* t/helper.pm: add run_urpm_cmd()

2008-01-15 16:21  Pixel <pixel at mandriva.com>

	* t/02create_pkgs.t: use genhdlist2 and create xml info files

2008-01-15 16:19  Pixel <pixel at mandriva.com>

	* urpm.pm, urpm/lock.pm: fix calls to {fatal}

2008-01-15 16:01  Pixel <pixel at mandriva.com>

	* urpmq: fix commit adding --sourcerpm

2008-01-15 15:13  Pixel <pixel at mandriva.com>

	* t/data/SPECS/multi-line-macro.spec,
	  t/data/SPECS/multi-line-macro2.spec: rpm bug #27417 is fixed

2008-01-15 14:39  Pixel <pixel at mandriva.com>

	* t/superuser--media_info_dir.t: test "urpmq --list"

2008-01-15 14:35  Pixel <pixel at mandriva.com>

	* NEWS, urpmq: - urpmq
	  o fix --list (regression introduced in 5.0)
	  
	  (those lines were wrongly dropped in r232614 2007-12-19)

2008-01-14 13:57  Pixel <pixel at mandriva.com>

	* NEWS, urpm/args.pm: deprecate "urpmq --requires"

2008-01-14 13:18  Pixel <pixel at mandriva.com>

	* NEWS, urpm/args.pm: o deprecate "urpmq -R" and "urpmq -RR"

2008-01-14 13:13  Pixel <pixel at mandriva.com>

	* pod/urpmq.8.pod: fix documentation for "urpmq -d"

2008-01-14 12:51  Pixel <pixel at mandriva.com>

	* NEWS, pod/urpmq.8.pod, urpm/args.pm, urpmi.bash-completion,
	  urpmq: - urpmq:
	  o add --sourcerpm

2008-01-14 07:44  Pixel <pixel at mandriva.com>

	* NEWS, urpm/xml_info_pkg.pm: - urpmf:
	  o fix --license

2008-01-11 17:26  Pixel <pixel at mandriva.com>

	* .perl_checker, MANIFEST, NEWS, pod/urpmi.addmedia.8.pod,
	  pod/urpmi.cfg.5.pod, t/01compile.t, urpm.pm, urpm/args.pm,
	  urpm/cfg.pm, urpm/media.pm, urpm/xml_info.pm,
	  urpm/xml_info_pkg.pm, urpmf, urpmi.addmedia, urpmq: - 5.0
	  - urpmf, urpmq:
	  o use xml info instead of hdlist when possible
	  o "urpmq -l" is faster (3x)
	  o "urpmf -l" is slower (1.5x)
	  o "urpmf --sourcerpm" is much faster
	  o see "xml-info" option in urpmi.cfg(5) to see when those files
	  are downloaded
	  o new require: perl module XML::LibXML
	  - urpmq:
	  o use rpm file instead of hdlist/xml-info when file is local
	  o use URPM::Package->changelogs (need perl-URPM 3.06)
	  - urpmi.update, urpmi.addmedia, urpmi.removemedia:
	  o drop hdlist support replaced with xml media_info
	  (this imply file-deps are correctly handled, see genhdlist2(1))
	  - urpmi.addmedia
	  o new --xml-info option

2008-01-11 16:49  Pixel <pixel at mandriva.com>

	* urpm/media.pm: factorize code with statedir_media_info_file()

2008-01-11 16:47  Pixel <pixel at mandriva.com>

	* urpm/media.pm: create _copy_media_info_file() out of
	  _get_list_or_pubkey__local()

2008-01-11 11:09  Pixel <pixel at mandriva.com>

	* urpm/select.pm, urpmi: better fix for "always prompt before doing
	  a priority-upgrade transaction,
	  even if there is only one priority upgrade package (since there
	  will be
	  more packages to install after restarting urpmi)"
	  since we don't want to prompt if all pkgs have been especially
	  prompted on
	  command-line
	  
	  also not using suggests when selecting pkgs in priority-upgrade
	  (nb: this may by-pass some suggests in priority-upgrade pkgs,
	  need more
	  checking)

2008-01-11 09:48  Pixel <pixel at mandriva.com>

	* urpm.pm: enhance comment

2008-01-11 07:53  Pixel <pixel at mandriva.com>

	* NEWS, urpmq: - urpmq:
	  o use URPM::Package->changelogs (need perl-URPM 3.06)

2008-01-10 17:41  Pixel <pixel at mandriva.com>

	* urpmq: use a var name $id instead of $_

2008-01-10 17:35  Pixel <pixel at mandriva.com>

	* urpm/args.pm, urpmf: move the list of known tags out of
	  urpm/args.pm into urpmf,
	  and remove duplicated list (nb: conf_files has been added to
	  command-line, but
	  this won't hurt afaik)

2008-01-10 17:25  Pixel <pixel at mandriva.com>

	* urpm/args.pm, urpmq: normalize to fit xml_info names

2008-01-10 17:16  Pixel <pixel at mandriva.com>

	* urpm/media.pm, urpmf: no_second_pass option is no more (since
	  "drop hdlist support")

2008-01-10 17:13  Pixel <pixel at mandriva.com>

	* urpm/util.pm: add put_in_hash() for future use

2008-01-10 15:29  Pixel <pixel at mandriva.com>

	* NEWS, urpmf: - urpmf
	  o fix an *old* bug (since december 2002) making urpmf keeps
	  parsed
	  hdlist files in memory (was fixed for multitags, but not for
	  simple tags)

2008-01-10 15:00  Pixel <pixel at mandriva.com>

	* urpm/ldap.pm: fix regression (introduced long ago: 2006-11-15):
	  correctly detect ldap is not configured
	  (otherwise it introduces weird issues...)

2008-01-08 14:29  Pixel <pixel at mandriva.com>

	* NEWS, urpm/media.pm: when doing urpmi.addmedia on a remote
	  medium, we first look for
	  synthesis.hdlist.cz, but we should also download MD5SUM and check
	  synthesis.hdlist.cz (the checking was only done on urpmi.update)

2008-01-08 14:26  Pixel <pixel at mandriva.com>

	* urpm/media.pm: better error message: "copying" is not adapted for
	  something we downloaded, "retrieval" works better for both
	  copied/retrieved cases

2008-01-08 14:24  Pixel <pixel at mandriva.com>

	* urpm/media.pm: drop synthesis_for_virtual_medium() since it is
	  unused

2008-01-08 14:23  Pixel <pixel at mandriva.com>

	* urpm/media.pm: create _download_MD5SUM() out of
	  _update_medium__parse_if_unmodified__remote() for future use

2008-01-08 14:20  Pixel <pixel at mandriva.com>

	* urpm/media.pm: cosmetic: display "updated medium xxx" when we're
	  done with it

2008-01-08 14:18  Pixel <pixel at mandriva.com>

	* urpm/media.pm: - rename _get_list_or_pubkey__remote() into
	  _download_list_or_pubkey()
	  - create _download_media_info_file() out of
	  _download_list_or_pubkey() for future use

2008-01-08 14:15  Pixel <pixel at mandriva.com>

	* urpm/media.pm: create get_medium_option() for future use

2008-01-08 11:32  Pixel <pixel at mandriva.com>

	* NEWS, urpmi: - urpmi
	  o always prompt before doing a priority-upgrade transaction, even
	  if there
	  is only one priority upgrade package (since there will be more
	  packages to
	  install after restarting urpmi)
	  
	  see bug #36483 which mention this

2008-01-04 17:05  Zé <ze at mandriva.org>

	* po/pt.po: update

2008-01-01 11:36  Karl Ove Hufthammer <karl at huftis.org>

	* po/nn.po: Updated Norwegian Nynorsk translation.

2007-12-26 16:27  Karl Ove Hufthammer <karl at huftis.org>

	* po/nn.po: Updated Norwegian Nynorsk translation.

2007-12-25 11:29  Karl Ove Hufthammer <karl at huftis.org>

	* po/nn.po: Updated Norwegian Nynorsk translation.

2007-12-21 11:01  Pixel <pixel at mandriva.com>

	* NEWS: oops, fix previous commit

2007-12-21 11:00  Pixel <pixel at mandriva.com>

	* NEWS: add bug number

2007-12-20 18:49  Pixel <pixel at mandriva.com>

	* t/data/SPECS/multi-line-macro.spec,
	  t/data/SPECS/multi-line-macro2.spec: add a test case for #27417
	  (no fix yet)

2007-12-20 16:12  Pixel <pixel at mandriva.com>

	* urpm/md5sum.pm: reduce verbosity

2007-12-19 17:26  Pixel <pixel at mandriva.com>

	* NEWS, urpm/media.pm: - urpmi.update, urpmi.addmedia,
	  urpmi.removemedia:
	  o enhancement: only parse updated synthesis

2007-12-19 16:29  Pixel <pixel at mandriva.com>

	* urpm/media.pm: statedir_MD5SUM must be removed

2007-12-19 16:22  Pixel <pixel at mandriva.com>

	* NEWS, pod/urpmi.addmedia.8.pod, pod/urpmi.removemedia.8.pod,
	  pod/urpmi.update.8.pod, urpm.pm, urpm/args.pm, urpm/media.pm,
	  urpmi, urpmi.addmedia, urpmi.removemedia, urpmi.update: -
	  urpmi.update, urpmi.addmedia, urpmi.removemedia:
	  o drop option "-c" which used to clean /var/cache/urpmi/headers
	  
	  since we don't use that dir anymore :)

2007-12-19 16:00  Pixel <pixel at mandriva.com>

	* urpm/media.pm: rename functions (there is only one pass now)

2007-12-19 15:20  Pixel <pixel at mandriva.com>

	* urpm/media.pm: don't allow getting a different pubkey unless
	  using forcekey
	  (ie revert to behaviour prior to 2007-12-10)

2007-12-19 15:06  Pixel <pixel at mandriva.com>

	* urpm/media.pm: fix comment

2007-12-19 15:02  Pixel <pixel at mandriva.com>

	* urpm/media.pm: simplify

2007-12-19 14:57  Pixel <pixel at mandriva.com>

	* urpm/media.pm: move things where it should be done

2007-12-19 14:53  Pixel <pixel at mandriva.com>

	* urpm/media.pm: simplify

2007-12-19 14:50  Pixel <pixel at mandriva.com>

	* urpm/media.pm: small cleanup

2007-12-19 14:42  Pixel <pixel at mandriva.com>

	* NEWS, urpm/md5sum.pm, urpm/media.pm: o replace
	  /var/lib/urpmi/MD5SUM with /var/lib/urpmi/MD5SUM.<medium_name>
	  (this will allow checking xml media_info is up-to-date even if we
	  don't
	  update it at the same time as synthesis is updated)
	  
	  and further cleanup urpm::media code
	  (esp. modify {force} behaviour, may need some adjustments)

2007-12-19 12:32  Pixel <pixel at mandriva.com>

	* urpm/media.pm: since we check md5sum, don't also check size &
	  mtime

2007-12-19 12:16  Pixel <pixel at mandriva.com>

	* NEWS, pod/urpme.8.pod, pod/urpmf.8.pod, pod/urpmi.8.pod,
	  pod/urpmi.addmedia.8.pod, pod/urpmi.cfg.5.pod,
	  pod/urpmi.files.5.pod, pod/urpmi.update.8.pod, pod/urpmq.8.pod,
	  t/cfg.t, t/superuser--addmedia.t, urpm.pm, urpm/args.pm,
	  urpm/bug_report.pm, urpm/cfg.pm, urpm/md5sum.pm, urpm/media.pm,
	  urpme, urpmf, urpmi, urpmi.addmedia, urpmi.bash-completion,
	  urpmi.update, urpmq: - all tools:
	  o drop hdlist support (will be replaced with xml media_info)

2007-12-18 16:57  Pixel <pixel at mandriva.com>

	* t/data/SPECS/buildroot_BuildRoot.spec,
	  t/data/SPECS/buildroot_default.spec,
	  t/data/SPECS/buildroot_define.spec: also check the pkg correctly
	  builds with files

2007-12-18 14:06  Pixel <pixel at mandriva.com>

	* t/data/SPECS/file-conflicts/fa.spec,
	  t/data/SPECS/file-conflicts/fb.spec,
	  t/superuser--file-conflicts.t: add tests for %ghost conflicts
	  (which should be allowed)

2007-12-18 09:25  Pixel <pixel at mandriva.com>

	* NEWS, urpmi: - urpmi:
	  o do remove __db* on priority-upgrade
	  (fix regression introduced in 4.10.15)
	  
	  (may fix #36190)

2007-12-17 17:21  Pixel <pixel at mandriva.com>

	* t/data/SPECS/buildroot_BuildRoot.spec,
	  t/data/SPECS/buildroot_default.spec,
	  t/data/SPECS/buildroot_define.spec: add some tests for
	  %buildroot, %defaultbuildroot, BuildRoot

2007-12-16 05:37  Keld Jørn Simonsen <keld at dkuug.dk>

	* po/da.po: updates

2007-12-15 03:56  Keld Jørn Simonsen <keld at dkuug.dk>

	* po/da.po: updates

2007-12-14 14:54  Pixel <pixel at mandriva.com>

	* t/02create_pkgs.t, t/data/old-suggests-1-1.noarch.rpm,
	  t/superuser--suggests.t: - check "old suggests" are still
	  handled.
	  ie RPMTAG_REQUIRENAME + RPMSENSE_MISSINGOK,
	  instead of RPMTAG_SUGGESTSNAME (as done in SuSE and in Mandriva >
	  2008.0)

2007-12-12 12:28  Pixel <pixel at mandriva.com>

	* NEWS: enhance

2007-12-12 11:34  Pixel <pixel at mandriva.com>

	* NEWS, urpm.pm: 4.10.19

2007-12-12 11:33  Pixel <pixel at mandriva.com>

	* NEWS, gurpmi2, urpm.pm, urpm/media.pm: - urpmi:
	  o fix handling "post-clean: 0" in urpmi.cfg
	  (#36082, regression introduced 2007-11-28)
	  - library:
	  o urpm::media::read_config() doesn't read urpmi.cfg global
	  options anymore,
	  use urpm->get_global_options or urpm->new_parse_cmdline

2007-12-12 11:17  Pixel <pixel at mandriva.com>

	* urpm.pm, urpme, urpmf, urpmi, urpmi.addmedia, urpmi.removemedia,
	  urpmi.update, urpmq: create urpm->new_parse_cmdline and use it
	  (it may be a little stricter for urpmi since we exit(1) on
	  parse_cmdline error)

2007-12-11 15:47  Per Øyvind Karlsen <peroyvind at mandriva.org>

	* urpm/args.pm, urpm/download.pm: add support for aria2 (and thus
	  support for metalink handling as well:)

2007-12-11 10:32  Pixel <pixel at mandriva.com>

	* NEWS: perl-URPM 2.11 is in fact 3.00

2007-12-11 10:31  Pixel <pixel at mandriva.com>

	* MANIFEST: adapt to uz*.po renaming

2007-12-11 10:29  Pixel <pixel at mandriva.com>

	* NEWS, urpm.pm: 4.10.18

2007-12-11 09:35  Pixel <pixel at mandriva.com>

	* t/superuser--rpm.t: get rid of a "Use of uninitialized value"

2007-12-10 15:16  Pixel <pixel at mandriva.com>

	* urpm/media.pm: fix typo in previous commit

2007-12-10 15:11  Pixel <pixel at mandriva.com>

	* NEWS, urpm/media.pm: - urpmi.addmedia:
	  o adapt to perl-URPM 2.11 API to parse pubkey files
	  (nb: $urpm->{keys} is not used anymore)

2007-12-10 09:57  Pixel <pixel at mandriva.com>

	* urpm/cfg.pm: fix previous commit

2007-12-10 08:59  Pixel <pixel at mandriva.com>

	* NEWS, t/superuser--suggests.t, urpm/args.pm: - urpmi:
	  o handle --suggests (to override urpmi.cfg global option
	  "no-suggests") (#36007)

2007-12-10 08:57  Pixel <pixel at mandriva.com>

	* urpm/cfg.pm: fix writing no-suggests global option

2007-12-09 23:12  kmashrab

	* po/uz.po, po/uz@Latn.po, po/uz@cyrillic.po: Renamed Uzbek
	  translations to follow the libc standard. Aproved by Pixel. For
	  details, see bug #35090.

2007-12-06 13:04  Thierry Vignaud <tvignaud at mandriva.com>

	* urpm/select.pm: (find_packages_to_remove) fix comment

2007-12-06 13:04  Thierry Vignaud <tvignaud at mandriva.com>

	* po/br.po: make a message clearer

2007-12-05 16:31  Pixel <pixel at mandriva.com>

	* urpm/media.pm: not being able to access the medium directory (for
	  a local medium) is an error!

2007-12-05 16:30  Pixel <pixel at mandriva.com>

	* NEWS, urpm/media.pm, urpmi.addmedia: - urpmi.addmedia:
	  o exit code 1 when a medium can't be added
	  
	  and simplifies a mess in urpmi.addmedia: this mess is not needed
	  anymore since
	  update_media() will exit on error

2007-12-05 16:27  Pixel <pixel at mandriva.com>

	* urpmi.update: fix typo in previous commit

2007-12-05 16:16  Pixel <pixel at mandriva.com>

	* NEWS, urpm/media.pm, urpmi.update: - urpmi.update:
	  o exit code 1 when a (selected) medium can't be updated (#35952)
	  o leave early with error if no medium were successfull updated
	  
	  nb: also fix returning "unmodified" instead of "1" when a medium
	  is not updated

2007-12-05 15:31  Pixel <pixel at mandriva.com>

	* NEWS, urpm/download.pm: - urpmi.addmedia:
	  o enhance parsing of urls with login:password for logins with "@"
	  so that password doesn't end up in urpmi.cfg

2007-12-05 00:10  Per Øyvind Karlsen <peroyvind at mandriva.org>

	* po/nb.po: fix typos

2007-12-04 13:51  Pixel <pixel at mandriva.com>

	* MANIFEST, Makefile.PL, NEWS, man, pod/fr: - drop translated man
	  pages (they are too old)

2007-11-30 11:28  Pixel <pixel at mandriva.com>

	* NEWS, urpm.pm: 4.10.17

2007-11-30 10:14  Pixel <pixel at mandriva.com>

	* NEWS, t/helper.pm, t/superuser--file-conflicts.t,
	  t/superuser--media_info_dir.t, urpm/select.pm: - urpmi:
	  o fix regression introduced in 4.10.15:
	  "urpmi --force valid invalid" should warn about "invalid" but
	  still
	  install "valid"

2007-11-29 14:15  Pjetur G. Hjaltason <pjetur at pjetur.net>

	* po/is.po: 2008 updates

2007-11-28 17:31  Pixel <pixel at mandriva.com>

	* NEWS, urpm.pm: 4.10.16

2007-11-28 17:30  Pixel <pixel at mandriva.com>

	* gurpmi2, urpm.pm, urpm/media.pm, urpmi: factorize default
	  options, and have them by default in $urpm->{options}

2007-11-28 17:29  Pixel <pixel at mandriva.com>

	* t/superuser--split-transactions.t: adapt to "--split-length 8"
	  being the default

2007-11-28 16:36  Pixel <pixel at mandriva.com>

	* NEWS, gurpmi2, urpmi: - urpmi:
	  o small transactions should have at least 8 packages
	  (ie --split-length is now 8 by default)
	  o do not do a big transaction if installing less than 20 packages
	  (ie --split-level is now 1 by default)

2007-11-28 16:29  Pixel <pixel at mandriva.com>

	* t/superuser--media_info_dir.t: add a test for "urpmq --fuzzy"

2007-11-28 16:26  Pixel <pixel at mandriva.com>

	* urpm/select.pm: ensure "urpmq --fuzzy" displays each packages
	  alone on its line.
	  
	  this regression was introduced in commit r231535:
	  
	  there is no reason search_packages should return multiple
	  pkgs with same fullname when using {provides}, and should
	  not otherwise
	  
	  a "better" fix could be done in urpmq.
	  
	  nb: "urpmq -d basesystem" still use "|" for choices, but
	  "urpmq --sources -d basesystem" doesn't, so it's quite broken...

2007-11-28 16:21  Pixel <pixel at mandriva.com>

	* urpmq: factorize code

2007-11-28 16:21  Pixel <pixel at mandriva.com>

	* NEWS, urpm/select.pm: - urpmq:
	  o bugfix previous release: "urpmq --fuzzy foo" should display all
	  "*foo*" matches

2007-11-28 15:34  Pixel <pixel at mandriva.com>

	* NEWS: oops, fix previous commit

2007-11-28 15:34  Pixel <pixel at mandriva.com>

	* NEWS, pod/urpmq.8.pod, urpm/args.pm, urpmq: - urpmq:
	  o new option --requires-recursive (alias of option -d)

2007-11-26 14:06  Pixel <pixel at mandriva.com>

	* NEWS, urpm.pm: 4.10.15

2007-11-22 15:49  Pixel <pixel at mandriva.com>

	* NEWS, rpm-find-leaves, urpme, urpmf, urpmi, urpmi.addmedia,
	  urpmi.recover, urpmi.removemedia, urpmi.update, urpmq: - all
	  tools:
	  o exit with code 1 after displaying usage (instead of exit code
	  0)
	  
	  (urpmi exit code "1" is correctly documented in urpmi's manpage)

2007-11-21 03:54  Per Øyvind Karlsen <peroyvind at mandriva.org>

	* po/nb.po: fix typo

2007-11-20 22:49  Per Øyvind Karlsen <peroyvind at mandriva.org>

	* po/nb.po: grf, typo fixed again

2007-11-20 22:48  Per Øyvind Karlsen <peroyvind at mandriva.org>

	* po/nb.po: fix yet another typo

2007-11-20 22:47  Per Øyvind Karlsen <peroyvind at mandriva.org>

	* po/nb.po: fix another typo

2007-11-20 22:45  Per Øyvind Karlsen <peroyvind at mandriva.org>

	* po/nb.po: fix typo

2007-11-19 13:34  Pixel <pixel at mandriva.com>

	* NEWS, urpm/media.pm, urpmi: - urpmi
	  o --auto-update is quite unsafe, but at least now it should be
	  cleaner
	  (ensure $urpm doesn't have media twice)
	  
	  bug triggered by --auto-update --update. still --auto-update
	  --update should
	  not update non-update media...

2007-11-16 16:45  Pixel <pixel at mandriva.com>

	* NEWS, urpm/download.pm: - urpmi
	  o fix --limit-rate (regression introduced in 4.9.12)

2007-11-16 15:40  Pixel <pixel at mandriva.com>

	* pod/urpmi.cfg.5.pod: fix manpage for limit-rate option: the
	  default is bytes/second, not kb/sec

2007-11-15 15:36  Pixel <pixel at mandriva.com>

	* urpm/select.pm: remove unneeded code
	  (this fixes pubkey checks when a src.rpm is available in more
	  than one media)

2007-11-15 15:35  Pixel <pixel at mandriva.com>

	* t/superuser--srpm-bootstrapping.t: test "urpmi --src" and "urpmi
	  --install-src"

2007-11-15 14:57  Pixel <pixel at mandriva.com>

	* urpm/select.pm: fix resolve_dependencies for install_src
	  (broken since search_packages can return more than one src.rpm)
	  
	  anyway, this code is not needed and will be dropped

2007-11-15 14:55  Pixel <pixel at mandriva.com>

	* urpm/select.pm: factorize some code by creating search_packages

2007-11-15 13:12  Pixel <pixel at mandriva.com>

	* NEWS: add bug number

2007-11-15 13:06  Pixel <pixel at mandriva.com>

	* NEWS, urpm/get_pkgs.pm: - urpmi:
	  o fix "urpmi --install-src" (regression introduced in 4.10.9)
	  
	  nb: packages_by_name can't be used here since $urpm->{provides}
	  doesn't have src.rpm
	  so a full search is needed

2007-11-15 10:45  Pixel <pixel at mandriva.com>

	* urpmi: a somewhat better error message
	  (occurs when using --install-src and a buildrequire is missing)

2007-11-15 09:26  Pixel <pixel at mandriva.com>

	* urpmi: nicer error message

2007-11-15 08:56  Pixel <pixel at mandriva.com>

	* urpm/select.pm: there is no reason search_packages should return
	  multiple pkgs with same
	  fullname when using {provides}, and should not otherwise
	  
	  (will cleanup duplication in next commit)

2007-11-14 11:29  Pixel <pixel at mandriva.com>

	* urpm.pm, urpm/args.pm, urpm/install.pm: add undocumented &
	  unstable --tune-rpm option
	  (allow to test nofsync and private db)

2007-11-14 11:28  Pixel <pixel at mandriva.com>

	* t/helper.pm, t/superuser--file-conflicts.t,
	  t/superuser--media_info_dir.t, t/superuser--rpm.t,
	  t/superuser--rpmnew.t: allow to run tests on 4.4.2.2 which gives
	  a few different results

2007-11-14 11:14  Pixel <pixel at mandriva.com>

	* NEWS, urpm/download.pm: - urpmi:
	  o with rsync, use --copy-links (to have the same behaviour as
	  http/ftp, and
	  so allow symlinks on the server)

2007-11-02 22:07  Keld Jørn Simonsen <keld at dkuug.dk>

	* po/da.po: updates

2007-10-27 01:39  anssi

	* po/fi.po: update Finnish translation

2007-10-19 10:45  Pixel <pixel at mandriva.com>

	* t/superuser--suggests.t: run complex test later

2007-10-19 10:44  Pixel <pixel at mandriva.com>

	* t/superuser--suggests.t: remove debug code

2007-10-16 12:05  Pixel <pixel at mandriva.com>

	* t/02create_pkgs.t: use system_() from helper.pm

2007-10-15 10:51  Pixel <pixel at mandriva.com>

	* urpm/select.pm: - rename $_ into $v
	  - add some debug (it may help dvalin)

2007-10-12 18:43  Christophe Berthelé <cpjc at free.fr>

	* po/fr.po: Update fr translation

2007-10-09 13:11  Per Øyvind Karlsen <peroyvind at mandriva.org>

	* po/nb.po: fix typo

2007-10-08 18:53  Wanderlei Antonio Cavassin <cavassin at mandriva.com>

	* po/pt_BR.po: pt_BR translations

2007-10-06 14:32  Thierry Vignaud <tvignaud at mandriva.com>

	* po/br.po: typo fix

2007-10-04 14:06  Per Øyvind Karlsen <peroyvind at mandriva.org>

	* po/nb.po: fix another typo

2007-10-04 14:05  Per Øyvind Karlsen <peroyvind at mandriva.org>

	* po/nb.po: fix typo

2007-10-04 14:02  Per Øyvind Karlsen <peroyvind at mandriva.org>

	* po/nb.po: fix typo

2007-10-04 12:11  Pixel <pixel at mandriva.com>

	* NEWS, urpm.pm: 4.10.14

2007-10-04 11:59  Pixel <pixel at mandriva.com>

	* NEWS, urpm/media.pm: - library:
	  o urpm::media::add_distrib_media: add option "only_updates" for
	  rpmdrake

2007-10-03 14:07  Pixel <pixel at mandriva.com>

	* NEWS, urpm.pm: 4.10.13

2007-10-02 12:09  Pixel <pixel at mandriva.com>

	* NEWS, urpm/install.pm: - urpmi
	  o remove prefix/var/lib/rpm/__db* after installing pkgs rooted

2007-10-02 12:01  Pixel <pixel at mandriva.com>

	* urpm/sys.pm, urpmi: create
	  urpm::sys::clean_rpmdb_shared_regions() and use it

2007-10-02 12:01  Pixel <pixel at mandriva.com>

	* t/superuser--suggests.t: fixed in rpm-4.4.8-22mdv2008 :)

2007-10-02 11:43  Pixel <pixel at mandriva.com>

	* urpmi: $rpm_lock is undefined when we create the rpmdb from
	  scratch

2007-10-02 09:47  Pixel <pixel at mandriva.com>

	* t/data/SPECS/suggests/c2.spec, t/superuser--suggests.t: add a
	  test showing rpm failure (for #34342)

2007-10-02 09:34  Pixel <pixel at mandriva.com>

	* t/superuser--suggests.t: better doc

2007-10-02 09:34  Pixel <pixel at mandriva.com>

	* t/superuser--suggests.t: add doc

2007-09-30 18:01  Olivier Blin <oblin at mandriva.com>

	* po/fr.po: add missing space

2007-09-28 16:02  anssi

	* po/fi.po: update Finnish translation

2007-09-28 15:58  anssi

	* po/fi.po: update Finnish translation

2007-09-28 15:58  anssi

	* po/fi.po: update Finnish translation

2007-09-28 10:56  Pixel <pixel at mandriva.com>

	* t/data/SPECS/split-transactions--strict-require-1,
	  t/data/SPECS/split-transactions--strict-require-1/a.spec,
	  t/data/SPECS/split-transactions--strict-require-1/b.spec,
	  t/data/SPECS/split-transactions--strict-require-1/c.spec,
	  t/data/SPECS/split-transactions--strict-require-2,
	  t/data/SPECS/split-transactions--strict-require-2/a.spec,
	  t/data/SPECS/split-transactions--strict-require-2/c.spec,
	  t/superuser--split-transactions--strict-require.t: add a test
	  which currently triggers a big transaction

2007-09-28 08:57  Per Øyvind Karlsen <peroyvind at mandriva.org>

	* po/nb.po: fix typo

2007-09-27 19:05  Pascal Terjan <pterjan at mandriva.com>

	* rpm-find-leaves: Really fix rpm-find-leaves --help instead of
	  breaking it another way

2007-09-27 16:25  Pixel <pixel at mandriva.com>

	* NEWS, urpm.pm: 4.10.12

2007-09-27 16:23  Pixel <pixel at mandriva.com>

	* t/superuser--split-transactions--strict-require-and-obsolete.t,
	  urpm.pm: with perl-URPM 2.04, promote on obsoletes are properly
	  handled

2007-09-27 16:23  Pixel <pixel at mandriva.com>

	* NEWS, urpm/media.pm: - urpm::media::update_media:
	  o ensure a second pass is done even if media has not been
	  modified
	  (useful for the %trigger trick done in urpmi to rebuild synthesis
	  with
	  suggests)
	  
	  without it, file provides are not computed properly

2007-09-27 15:39  Pixel <pixel at mandriva.com>

	* urpmi: debug__do_not_install: better do it everywhere

2007-09-27 15:31  anssi

	* po/fi.po: update Finnish translation

2007-09-27 13:24  Pixel <pixel at mandriva.com>

	* urpmi: --env is used for debugging, so don't clobber urpmi.log
	  from bug report
	  (it also fixes fork mess when debugging)

2007-09-27 13:11  Pixel <pixel at mandriva.com>

	* urpmi: fix using debug__do_not_install

2007-09-27 12:35  Pixel <pixel at mandriva.com>

	* urpm/select.pm: use existing function (thanks titi)

2007-09-27 12:14  Pixel <pixel at mandriva.com>

	* t/data/SPECS/rpm-query-in-scriptlet.spec,
	  t/superuser--media_info_dir.t, t/superuser--rpm.t: - move some
	  test from superuser--media_info_dir.t into superuser--rpm.t
	  - add a test

2007-09-27 08:51  Pixel <pixel at mandriva.com>

	* t/superuser--media_info_dir.t: add a rebuilddb check (to detect
	  bugs like #34181)

2007-09-27 07:48  Pixel <pixel at mandriva.com>

	* urpmf: fix previous commit

2007-09-27 07:11  Pixel <pixel at mandriva.com>

	* NEWS, urpmf: - urpmf
	  o fix -a and -o

2007-09-27 02:08  Per Øyvind Karlsen <peroyvind at mandriva.org>

	* po/nb.po: fix typo

2007-09-26 21:57  Per Øyvind Karlsen <peroyvind at mandriva.org>

	* po/nb.po: fix typo

2007-09-26 21:34  kmashrab

	* po/uz.po, po/uz@Latn.po: This is better.

2007-09-26 18:07  Thierry Vignaud <tvignaud at mandriva.com>

	* po/ko.po: update (metq.com)

2007-09-26 12:02  Zé <ze at mandriva.org>

	* po/pt.po: up

2007-09-25 10:44  Per Øyvind Karlsen <peroyvind at mandriva.org>

	* po/nb.po: fix typo

2007-09-24 21:20  guclu

	* po/tr.po: update translation for Turkish

2007-09-24 19:54  guclu

	* po/tr.po: update translation for Turkish

2007-09-24 16:25  Pixel <pixel at mandriva.com>

	* NEWS, urpm.pm: 4.10.11

2007-09-24 13:52  Per Øyvind Karlsen <peroyvind at mandriva.org>

	* po/nb.po: minor fixes for s/-/–/..

2007-09-24 13:40  Per Øyvind Karlsen <peroyvind at mandriva.org>

	* po/nb.po: fix typos

2007-09-12 15:45  Pixel <pixel at mandriva.com>

	* urpm/install.pm, urpm/main_loop.pm: do display computed
	  transaction with --debug__do_not_install even if --debug
	  is not used

2007-09-12 15:14  Pixel <pixel at mandriva.com>

	* t/superuser--handle-conflict-deps.t: explain

2007-09-12 13:49  Pixel <pixel at mandriva.com>

	* urpm/get_pkgs.pm: previous commit was making some wrong
	  assumptions when simplifying
	  selected2list(). it needs to be a little more complex...

2007-09-12 09:51  Pixel <pixel at mandriva.com>

	* t/superuser--split-transactions--promote.t: promote fixed in
	  perl-URPM > 1.80

2007-09-11 22:25  acelli

	* po/it.po: update translation for Italian

2007-09-11 21:19  Wanderlei Antonio Cavassin <cavassin at mandriva.com>

	* po/pt_BR.po: Updated pt_BR translation

2007-09-11 13:52  Pixel <pixel at mandriva.com>

	* urpm/select.pm: simplify

2007-09-11 13:51  Pixel <pixel at mandriva.com>

	* urpm/select.pm: unrequested doesn't exist, removing it

2007-09-11 12:21  Pixel <pixel at mandriva.com>

	* NEWS, urpm/args.pm, urpmi: - urpmf
	  o fix --synthesis
	  
	  (by handling synthesis argument the same way in urpmq, urpmi and
	  urpmf)

2007-09-11 10:28  Pixel <pixel at mandriva.com>

	* urpm.pm: fix pod

2007-09-11 10:12  Thierry Vignaud <tvignaud at mandriva.com>

	* po/pl.po: fuzzying two strings in order to kill fatal errors

2007-09-11 09:18  Pixel <pixel at mandriva.com>

	* urpm/get_pkgs.pm: simplify selected2list() mess
	  => make it instantaneous instead of taking 20% of the time of a
	  small urpmi command

2007-09-11 08:56  Pixel <pixel at mandriva.com>

	* urpm/get_pkgs.pm, urpm/main_loop.pm: move cleaning of cachedir
	  out of selected2list()

2007-09-11 08:53  Pixel <pixel at mandriva.com>

	* urpm/get_pkgs.pm: simplify error handling

2007-09-11 08:41  Pixel <pixel at mandriva.com>

	* urpm.pm: better layout in doc

2007-09-11 08:36  Pixel <pixel at mandriva.com>

	* urpm.pm: add some doc

2007-09-10 17:12  Thierry Vignaud <tvignaud at mandriva.com>

	* ChangeLog: update

2007-09-10 17:11  Pixel <pixel at mandriva.com>

	* urpm/msg.pm: fix error in previous commit

2007-09-10 17:08  Pixel <pixel at mandriva.com>

	* urpm/select.pm: fix error in previous commit

2007-09-10 16:46  Pixel <pixel at mandriva.com>

	* t/02create_pkgs.t: silence gendistrib

2007-09-10 16:34  Pixel <pixel at mandriva.com>

	* NEWS, urpmi: - urpmi, urpme
	  o default to selecting all the prefered packages according to
	  installed
	  locales (need perl-URPM 1.81 to work)

2007-09-10 16:33  Pixel <pixel at mandriva.com>

	* urpm/select.pm: if there is a prefered package, it's the first
	  one

2007-09-10 16:21  Pixel <pixel at mandriva.com>

	* urpm/msg.pm: implement default choice for range
	  
	  (previous tentative was not very good.
	  i don't know in which case $input is undef)

2007-09-10 16:19  Pixel <pixel at mandriva.com>

	* NEWS, urpm/msg.pm, urpme, urpmi, urpmi.addmedia: - urpmi, urpme
	  o do not prompt questions if not waiting for user answer
	  (for urpmi --force or urpme --force)
	  
	  create message_input_() which deprecated message_input(),
	  $o_default_input is
	  dumb IMO

2007-09-10 12:17  Pixel <pixel at mandriva.com>

	* NEWS, urpm.pm: 4.10.8

2007-09-10 12:15  Pixel <pixel at mandriva.com>

	* urpm/msg.pm: use ">" instead of "*" to mean ellipsis
	  (as suggested by Olivier Faurax on cooker@)

2007-09-10 08:26  Pixel <pixel at mandriva.com>

	* NEWS, urpm/download.pm: do not use netrc for protocol ssh

2007-09-10 08:15  Pixel <pixel at mandriva.com>

	* urpm/download.pm: more debug info (rsync cmd)

2007-09-09 22:42  kamberd

	* po/he.po: update translation for Hebrew

2007-09-09 14:52  ybando

	* po/ja.po: Japanese translation updated.

2007-09-09 13:56  Karl Ove Hufthammer <karl at huftis.org>

	* po/nn.po: Updated Norwegian Nynorsk translation.

2007-09-09 13:04  jure

	* po/sl.po: Updated Slovenian translation

2007-09-08 22:35  Michal Bukovjan <bukovjan at mbox.dkm.cz>

	* po/cs.po: Updated Czech translation.

2007-09-08 20:18  kmashrab

	* po/uz.po, po/uz@Latn.po: New translations.

2007-09-08 15:31  kmashrab

	* po/uz.po, po/uz@Latn.po: New translations.

2007-09-08 03:30  mmodem

	* po/pt.po: up

2007-09-07 15:03  Pixel <pixel at mandriva.com>

	* t/data/SPECS/split-transactions--promote-1/g.spec,
	  t/data/SPECS/split-transactions--promote-1/h.spec,
	  t/data/SPECS/split-transactions--promote-2/g.spec,
	  t/data/SPECS/split-transactions--promote-2/h.spec,
	  t/superuser--split-transactions--promote.t: add a reverse
	  conflict test case, not nicely handled at the moment

2007-09-07 14:08  Pixel <pixel at mandriva.com>

	* NEWS, urpm/msg.pm, urpmi: - urpmi
	  o enhance "columns" display of packages to install (esp. fit on
	  80 columns)

2007-09-07 14:07  Pixel <pixel at mandriva.com>

	* MANIFEST: update

2007-09-07 12:45  Funda Wang <fundawang at linux.net.cn>

	* po/af.po, po/ar.po, po/az.po, po/bg.po, po/bn.po, po/br.po,
	  po/bs.po, po/ca.po, po/cs.po, po/cy.po, po/da.po, po/de.po,
	  po/el.po, po/eo.po, po/es.po, po/et.po, po/eu.po, po/fa.po,
	  po/fi.po, po/fr.po, po/fur.po, po/ga.po, po/gl.po, po/he.po,
	  po/hi.po, po/hr.po, po/hu.po, po/id.po, po/is.po, po/it.po,
	  po/ja.po, po/ka.po, po/ko.po, po/ky.po, po/lt.po, po/lv.po,
	  po/mk.po, po/mn.po, po/ms.po, po/mt.po, po/nb.po, po/nl.po,
	  po/nn.po, po/pa_IN.po, po/pl.po, po/pt.po, po/pt_BR.po, po/ro.po,
	  po/ru.po, po/sc.po, po/sk.po, po/sl.po, po/sq.po, po/sr.po,
	  po/sr@Latn.po, po/sv.po, po/tg.po, po/th.po, po/tl.po, po/tr.po,
	  po/uk.po, po/urpmi.pot, po/uz.po, po/uz@Latn.po, po/vi.po,
	  po/wa.po, po/zh_CN.po, po/zh_TW.po: Updated POT file

2007-09-07 12:38  Pixel <pixel at mandriva.com>

	* t/superuser--file-conflicts.t,
	  t/superuser--provide-and-no-obsolete.t,
	  t/superuser--split-transactions--conflict.t,
	  t/superuser--split-transactions--strict-require-and-obsolete.t:
	  mark clearly what are errors (ERROR) and what could be better
	  (WARNING)

2007-09-07 12:18  Pixel <pixel at mandriva.com>

	* t/superuser--split-transactions--conflict.t: add another test

2007-09-07 12:11  Pixel <pixel at mandriva.com>

	* t/data/SPECS/split-transactions--conflict-1/d.spec,
	  t/data/SPECS/split-transactions--conflict-1/e.spec,
	  t/data/SPECS/split-transactions--conflict-2/c.spec,
	  t/data/SPECS/split-transactions--conflict-2/e.spec,
	  t/superuser--split-transactions--conflict.t: add more tests
	  showing the need for promotion

2007-09-07 11:45  Pixel <pixel at mandriva.com>

	* t/superuser--split-transactions--strict-require-and-obsolete.t:
	  add a test showing the lack of promotion

2007-09-07 11:29  Pixel <pixel at mandriva.com>

	* t/data/SPECS/split-transactions--promote-1/e.spec,
	  t/data/SPECS/split-transactions--promote-1/f.spec,
	  t/data/SPECS/split-transactions--promote-2/e.spec,
	  t/data/SPECS/split-transactions--promote-2/f.spec,
	  t/superuser--split-transactions--promote.t: add a simple test
	  case for promotion on conflict

2007-09-07 11:06  Pixel <pixel at mandriva.com>

	* t/superuser--split-transactions--promote.t: nicer comment

2007-09-07 11:01  Pixel <pixel at mandriva.com>

	* MANIFEST, t/data/SPECS/split-transactions--promote-1,
	  t/data/SPECS/split-transactions--promote-2,
	  t/data/SPECS/split-transactions--strict-require-1,
	  t/data/SPECS/split-transactions--strict-require-2,
	  t/superuser--split-transactions--promote.t,
	  t/superuser--split-transactions--strict-require.t: rename test
	  into split-transactions--promote

2007-09-07 10:57  Pixel <pixel at mandriva.com>

	* t/data/SPECS/split-transactions--strict-require-1/c.spec,
	  t/data/SPECS/split-transactions--strict-require-1/d1.spec,
	  t/data/SPECS/split-transactions--strict-require-1/d2.spec,
	  t/data/SPECS/split-transactions--strict-require-2/d1.spec,
	  t/data/SPECS/split-transactions--strict-require-2/d2.spec,
	  t/superuser--split-transactions--strict-require.t: add a test
	  showing promotion of a new package on missing require

2007-09-07 09:34  Pixel <pixel at mandriva.com>

	* MANIFEST.SKIP: add more things to skip

2007-09-07 09:27  Pixel <pixel at mandriva.com>

	* MANIFEST.SKIP: add more things to skip

2007-09-07 09:20  Pixel <pixel at mandriva.com>

	* MANIFEST, NEWS, urpm.pm: 4.10.7

2007-09-07 08:51  Pixel <pixel at mandriva.com>

	* urpmi: small fix: there may be no medium name for a package (from
	  command line)

2007-09-07 06:31  Pixel <pixel at mandriva.com>

	* urpme: revert debug code

2007-09-06 17:00  Pixel <pixel at mandriva.com>

	* NEWS, urpmi: - urpmi
	  o display size that will be installed - removed with a nice
	  message (#32022)
	  o display packages which are going to installed with
	  name-version-release
	  info in columns
	  
	  (need enhancing a little more the "info in columns")

2007-09-06 16:58  Pixel <pixel at mandriva.com>

	* urpm/util.pm: add max()

2007-09-06 16:28  Pixel <pixel at mandriva.com>

	* urpm/select.pm: fix typo in previous previous commit

2007-09-06 16:22  Pixel <pixel at mandriva.com>

	* urpmi: simplify

2007-09-06 14:04  Pixel <pixel at mandriva.com>

	* urpm/media.pm, urpm/select.pm: handle --searchmedia
	  <media1>,...,<mediaN>
	  (ie more than one searchmedia)

2007-09-06 10:38  Pixel <pixel at mandriva.com>

	* urpm/select.pm: new functions:
	  - use URPM::build_listid
	  - prepare for next commit which will handle more than one
	  searchmedia

2007-09-06 10:13  Pixel <pixel at mandriva.com>

	* urpm/msg.pm: remove debug code

2007-09-06 09:30  Pixel <pixel at mandriva.com>

	* NEWS, urpm/msg.pm, urpme, urpmi: - urpmi
	  o display size that will be installed - removed
	  - urpmi, urpme
	  o use best unit (KB, MB...) to display size will be installed -
	  removed
	  
	  for this, use ->selected_size from perl-URPM
	  and import formatXiB from drakx common.pm

2007-09-06 09:06  Pixel <pixel at mandriva.com>

	* urpmi: remove duplicated $env code

2007-09-05 15:49  Pixel <pixel at mandriva.com>

	* t/data/SPECS/split-transactions--strict-require-1/a.spec,
	  t/data/SPECS/split-transactions--strict-require-1/b.spec,
	  t/data/SPECS/split-transactions--strict-require-1/bb.spec,
	  t/data/SPECS/split-transactions--strict-require-1/c-1.spec,
	  t/data/SPECS/split-transactions--strict-require-2/a.spec,
	  t/data/SPECS/split-transactions--strict-require-2/b.spec,
	  t/data/SPECS/split-transactions--strict-require-2/c-2.spec,
	  t/data/SPECS/split-transactions--strict-require-and-obsolete-1,
	  t/data/SPECS/split-transactions--strict-require-and-obsolete-2,
	  t/superuser--split-transactions--strict-require-and-obsolete.t,
	  t/superuser--split-transactions--strict-require.t: add a simple
	  test that shows urpmi promotes pkgs when a strict require fails

2007-09-05 15:41  Pixel <pixel at mandriva.com>

	* t/superuser--obsolete-and-conflict.t: add a test (that is not
	  fully well handled)

2007-09-05 15:28  Pixel <pixel at mandriva.com>

	* t/superuser--obsolete-and-conflict.t: add a comment

2007-09-05 15:27  Pixel <pixel at mandriva.com>

	* t/superuser--obsolete-and-conflict.t: test case is fixed since
	  perl-URPM defaults to "one big transaction" instead
	  of doing nonsense

2007-09-05 15:07  Pixel <pixel at mandriva.com>

	* t/data/SPECS/split-transactions--conflict-1,
	  t/data/SPECS/split-transactions--conflict-1/a.spec,
	  t/data/SPECS/split-transactions--conflict-1/b.spec,
	  t/data/SPECS/split-transactions--conflict-1/c.spec,
	  t/data/SPECS/split-transactions--conflict-2,
	  t/data/SPECS/split-transactions--conflict-2/b.spec,
	  t/data/SPECS/split-transactions--conflict-2/d.spec,
	  t/superuser--split-transactions--conflict.t: add a test case
	  which triggers "transaction is too small" error
	  (nb: it's not a fatal error since "one big transaction" fallback
	  is used)

2007-09-05 10:15  Pixel <pixel at mandriva.com>

	* urpm/main_loop.pm: fix using --debug__do_not_install with --env

2007-09-05 09:59  Pixel <pixel at mandriva.com>

	* NEWS, pod/urpmi.8.pod, urpm/media.pm: - urpmi
	  o handle --searchmedia <media1>,...,<mediaN>
	  
	  (asked by tvignaud for rpmdrake)

2007-09-05 09:54  Pixel <pixel at mandriva.com>

	* urpm/media.pm: inline function select_media() (for next commit)

2007-09-04 15:55  Pixel <pixel at mandriva.com>

	* urpm/args.pm, urpm/main_loop.pm, urpmi: add new urpmi option,
	  only for debugging purpose: --debug__do_not_install

2007-09-03 12:03  Pixel <pixel at mandriva.com>

	* pod/urpmi.cfg.5.pod: fix scrict-arch description

2007-09-02 12:36  Karl Ove Hufthammer <karl at huftis.org>

	* po/nn.po: Updated Norwegian Nynorsk translation.

2007-09-01 16:15  berthy

	* po/fr.po: Update fr translation

2007-09-01 13:20  Marek Laane <bald at starman.ee>

	* po/et.po: Updated Estonian translation.

2007-08-31 16:00  Pixel <pixel at mandriva.com>

	* NEWS, skip.list: - urpmi
	  o do auto upgrade mandriva kernels (ie remove kernel*-latest to
	  skip.list)

2007-08-30 16:40  Pixel <pixel at mandriva.com>

	* urpm/media.pm: make it more robust when no password is found in
	  urpmi's netrc

2007-08-29 21:34  mmodem

	* po/pt.po: up

2007-08-29 14:30  Pixel <pixel at mandriva.com>

	* t/superuser--file-conflicts.t: rpm patch
	  rpm-4.4.8-speedup-by-not-checking-same-files-with-different-paths-through-symlink.patch
	  breaks a+ga+gd test (it is meant to be that way)

2007-08-29 14:28  Thierry Vignaud <tvignaud at mandriva.com>

	* NEWS, urpm/lock.pm: (rpm_db) lock rpmdb in /var/lib/rpm rather
	  than in /var/lib/urpmi thus fixing locking with --root

2007-08-29 14:27  Thierry Vignaud <tvignaud at mandriva.com>

	* urpm.pm: (create_var_lib_rpm) enable to lock chrooted rpmdb with
	  --root too

2007-08-29 14:27  Thierry Vignaud <tvignaud at mandriva.com>

	* urpm.pm: (create_var_lib_rpm) split it out of set_files()

2007-08-29 13:43  Thierry Vignaud <tvignaud at mandriva.com>

	* urpm.pm: (set_files) document policy regarding chroot env

2007-08-29 12:02  ybando

	* po/ja.po: Japanese translation updated.

2007-08-29 10:40  Pixel <pixel at mandriva.com>

	* t/data/SPECS/file-conflicts/ga.spec,
	  t/data/SPECS/file-conflicts/gc.spec,
	  t/data/SPECS/file-conflicts/gc_.spec,
	  t/data/SPECS/file-conflicts/gd.spec,
	  t/superuser--file-conflicts.t: - add a test case for same files
	  but different paths through symlink
	  - perl-URPM do not drop tags anymore, so re-enable the test which
	  fails without tag RPMTAG_FILEDIGESTS

2007-08-28 23:16  Funda Wang <fundawang at linux.net.cn>

	* po/zh_CN.po: Updated zh_CN translation

2007-08-28 23:13  Funda Wang <fundawang at linux.net.cn>

	* po/af.po, po/ar.po, po/az.po, po/bg.po, po/bn.po, po/br.po,
	  po/bs.po, po/ca.po, po/cs.po, po/cy.po, po/da.po, po/de.po,
	  po/el.po, po/eo.po, po/es.po, po/et.po, po/eu.po, po/fa.po,
	  po/fi.po, po/fr.po, po/fur.po, po/ga.po, po/gl.po, po/he.po,
	  po/hi.po, po/hr.po, po/hu.po, po/id.po, po/is.po, po/it.po,
	  po/ja.po, po/ka.po, po/ko.po, po/ky.po, po/lt.po, po/lv.po,
	  po/mk.po, po/mn.po, po/ms.po, po/mt.po, po/nb.po, po/nl.po,
	  po/nn.po, po/pa_IN.po, po/pl.po, po/pt.po, po/pt_BR.po, po/ro.po,
	  po/ru.po, po/sc.po, po/sk.po, po/sl.po, po/sq.po, po/sr.po,
	  po/sr@Latn.po, po/sv.po, po/tg.po, po/th.po, po/tl.po, po/tr.po,
	  po/uk.po, po/urpmi.pot, po/uz.po, po/uz@Latn.po, po/vi.po,
	  po/wa.po, po/zh_CN.po, po/zh_TW.po: Updated POT file

2007-08-28 22:20  mmodem

	* po/pt.po: up

2007-08-28 14:37  Pixel <pixel at mandriva.com>

	* urpm/install.pm: simplify debug message: {install} is never set
	  (cf build_transaction_set() in perl-URPM)

2007-08-28 14:27  Pixel <pixel at mandriva.com>

	* NEWS, urpm.pm: 4.10.6

2007-08-28 14:24  Pixel <pixel at mandriva.com>

	* t/superuser--split-transactions--strict-require.t: update comment

2007-08-28 14:23  Pixel <pixel at mandriva.com>

	* t/superuser--split-transactions--strict-require.t: test fixed by
	  new perl-URPM 1.76

2007-08-28 13:47  Pixel <pixel at mandriva.com>

	* urpm/install.pm: better debug message

2007-08-28 11:51  Pixel <pixel at mandriva.com>

	* NEWS, urpm/args.pm, urpm/select.pm, urpmi: - urpmi
	  o handle changes in priority-upgrade list between old and new
	  urpmi (#32925)
	  
	  nb: keep --no-priority-upgrade since it is passed by older urpmi
	  when restarting

2007-08-28 11:00  Pixel <pixel at mandriva.com>

	* NEWS, urpm/signature.pm: urpmi: do not verify signature of .spec
	  files (#32824)
	  
	  (see also a fix in perl-URPM so that
	  URPM::spec2srcheader($_)->arch returns
	  "src" and so urpmi doesn't say it's going to install it (even if
	  it skips it))

2007-08-28 10:30  Pixel <pixel at mandriva.com>

	* urpm.pm: simplify comment

2007-08-28 09:27  Pixel <pixel at mandriva.com>

	* urpm/get_pkgs.pm: better error message as suggested on
	  cooker-i18n

2007-08-28 09:09  Pixel <pixel at mandriva.com>

	* urpm/get_pkgs.pm: better error message as suggested on
	  cooker-i18n

2007-08-28 03:11  mmodem

	* po/pt.po: update

2007-08-27 22:51  Reinout van Schouwen <reinout at cs.vu.nl>

	* po/nl.po: * 2007-08-28 Reinout van Schouwen <reinouts@gnome.org>
	  
	  - nl.po: Updated Dutch translation

2007-08-25 09:50  berthy

	* po/fr.po: Update fr translation

2007-08-25 06:55  ybando

	* po/ja.po: Japanese translation updated.

2007-08-24 15:40  Thierry Vignaud <tvignaud at mandriva.com>

	* ChangeLog: update

2007-08-24 15:39  Thierry Vignaud <tvignaud at mandriva.com>

	* Makefile.PL: --strip-prefix is uneeded with latest svn2cl

2007-08-23 14:15  Pixel <pixel at mandriva.com>

	* urpm/install.pm: fix typo in debug message

2007-08-23 14:11  Pixel <pixel at mandriva.com>

	* urpm/install.pm: display computed transaction set in debug mode

2007-08-23 13:43  Pixel <pixel at mandriva.com>

	* urpm/install.pm: - debug message when scheduling a pkg removal
	  - don't translate debug message

2007-08-23 13:33  Pixel <pixel at mandriva.com>

	* urpm/install.pm: nicer debug message,
	  esp. remove eid= which is the same as id=

2007-08-23 13:30  Pixel <pixel at mandriva.com>

	* urpm/install.pm: this is debug stuff, hide it from -v

2007-08-23 13:24  Pixel <pixel at mandriva.com>

	* NEWS, pod/urpmi.8.pod, urpm/args.pm, urpm/install.pm,
	  urpm/main_loop.pm, urpmi, urpmi.bash-completion: - urpmi
	  o new option --justdb (new perl-URPM 1.76)

2007-08-23 13:14  Pixel <pixel at mandriva.com>

	* urpm/install.pm, urpm/main_loop.pm: rename
	  urpm::install::create_transaction() into build_transaction_set_()
	  (to avoid confusion with $db->create_transaction from URPM.xs)

2007-08-22 16:25  Pixel <pixel at mandriva.com>

	* t/superuser--split-transactions--strict-require.t: better comment

2007-08-22 16:24  Pixel <pixel at mandriva.com>

	* t/data/SPECS/split-transactions--strict-require-1,
	  t/data/SPECS/split-transactions--strict-require-1/a.spec,
	  t/data/SPECS/split-transactions--strict-require-1/bb.spec,
	  t/data/SPECS/split-transactions--strict-require-1/c-1.spec,
	  t/data/SPECS/split-transactions--strict-require-2,
	  t/data/SPECS/split-transactions--strict-require-2/a.spec,
	  t/data/SPECS/split-transactions--strict-require-2/b.spec,
	  t/data/SPECS/split-transactions--strict-require-2/c-2.spec,
	  t/helper.pm, t/superuser--split-transactions--strict-require.t:
	  add a test case for #31969, need to fix urpmi now...

2007-08-22 09:28  Marek Laane <bald at starman.ee>

	* po/et.po: Updated Estonian translation.

2007-08-22 08:02  Funda Wang <fundawang at linux.net.cn>

	* po/zh_CN.po: Updated urpmi translation

2007-08-22 07:57  Funda Wang <fundawang at linux.net.cn>

	* po/af.po, po/ar.po, po/az.po, po/bg.po, po/bn.po, po/br.po,
	  po/bs.po, po/ca.po, po/cs.po, po/cy.po, po/da.po, po/de.po,
	  po/el.po, po/eo.po, po/es.po, po/et.po, po/eu.po, po/fa.po,
	  po/fi.po, po/fr.po, po/fur.po, po/ga.po, po/gl.po, po/he.po,
	  po/hi.po, po/hr.po, po/hu.po, po/id.po, po/is.po, po/it.po,
	  po/ja.po, po/ka.po, po/ko.po, po/ky.po, po/lt.po, po/lv.po,
	  po/mk.po, po/mn.po, po/ms.po, po/mt.po, po/nb.po, po/nl.po,
	  po/nn.po, po/pa_IN.po, po/pl.po, po/pt.po, po/pt_BR.po, po/ro.po,
	  po/ru.po, po/sc.po, po/sk.po, po/sl.po, po/sq.po, po/sr.po,
	  po/sr@Latn.po, po/sv.po, po/tg.po, po/th.po, po/tl.po, po/tr.po,
	  po/uk.po, po/urpmi.pot, po/uz.po, po/uz@Latn.po, po/vi.po,
	  po/wa.po, po/zh_CN.po, po/zh_TW.po: Updated POT file

2007-08-22 00:03  kamberd

	* po/he.po: update translation for Hebrew

2007-08-21 12:30  Pixel <pixel at mandriva.com>

	* NEWS, urpmi: - urpmi
	  o fix --bug when there is no /etc/urpmi/prefer.list file

2007-08-21 09:25  Pixel <pixel at mandriva.com>

	* NEWS, urpmf: - urpmf
	  o display "usage" when no <pattern-expression> is given (#32658)

2007-08-19 21:24  berthy

	* po/fr.po: Update fr translation

2007-08-18 11:57  Pixel <pixel at mandriva.com>

	* NEWS, urpm.pm, urpm/install.pm: 4.10.5

2007-08-14 21:51  Reinout van Schouwen <reinout at cs.vu.nl>

	* po/nl.po: * 2007-08-14 Reinout van Schouwen <reinout@gmail.com>
	  
	  - nl.po: updated Dutch translation

2007-08-14 08:51  Thierry Vignaud <tvignaud at mandriva.com>

	* NEWS: log last commit

2007-08-14 08:51  Thierry Vignaud <tvignaud at mandriva.com>

	* urpmi: add 'meta-task' to 'priority-upgrade' because of
	  /etc/urpmi/prefer.vendor.list

2007-08-13 20:44  Pixel <pixel at mandriva.com>

	* NEWS, urpm.pm: 4.10.4

2007-08-13 17:29  Pixel <pixel at mandriva.com>

	* t/data/SPECS/file-conflicts/e.spec,
	  t/superuser--file-conflicts.t: add a test for dir vs symlink
	  conflict

2007-08-13 17:06  Pixel <pixel at mandriva.com>

	* NEWS, urpm/install.pm: - urpmi
	  o bugfix 4.10.0: a circular reference was causing rpmdb to be
	  opened many times
	  
	  hence "Too many open files" error

2007-08-13 16:58  Pixel <pixel at mandriva.com>

	* NEWS, urpm.pm: - urpmi
	  o --urpmi-root: if <root>/etc/urpmi/*.list are available, use
	  them.
	  otherwise defaults to /etc/urpmi/*.list

2007-08-13 16:54  Pixel <pixel at mandriva.com>

	* urpm/install.pm: document the new callback passed

2007-08-13 15:55  Thierry Vignaud <tvignaud at mandriva.com>

	* NEWS: typo fix

2007-08-13 14:35  Pixel <pixel at mandriva.com>

	* t/superuser--file-conflicts.t: revert things wrongly committed in
	  previous commit (thanks titi)

2007-08-13 14:30  Pixel <pixel at mandriva.com>

	* t/superuser--file-conflicts.t: add the bug number of the rpm
	  issue

2007-08-13 14:21  Pixel <pixel at mandriva.com>

	* t/data/SPECS/file-conflicts/a.spec,
	  t/data/SPECS/file-conflicts/d.spec,
	  t/superuser--file-conflicts.t: add one "directory owned by 2
	  rpms" test

2007-08-13 13:52  Thierry Vignaud <tvignaud at mandriva.com>

	* NEWS, urpm.pm: 4.10.3

2007-08-13 13:37  Thierry Vignaud <tvignaud at mandriva.com>

	* NEWS, urpm/select.pm: (translate_why_removed_one) if we got back
	  an explanation unknown of
	  use, just report it back

2007-08-13 13:35  Thierry Vignaud <tvignaud at mandriva.com>

	* urpmi: do try to umount removable media when using --debug
	  (fixing commit rafel's
	  commit r15048 on 2005-06-09)

2007-08-13 13:34  Thierry Vignaud <tvignaud at mandriva.com>

	* NEWS, urpm/select.pm: (translate_why_unselected_one) try harder
	  to explain why we cannot
	  select a package (eg: because i586 package is already installed
	  on x86_64)

2007-08-13 13:07  Thierry Vignaud <tvignaud at mandriva.com>

	* NEWS: typo fix

2007-08-13 13:06  Thierry Vignaud <tvignaud at mandriva.com>

	* NEWS: kill log of rafael commit

2007-08-13 13:04  Thierry Vignaud <tvignaud at mandriva.com>

	* NEWS: do try to umount removable media when using --debug (fixing
	  commit rafel's
	  commit r15048 on 2005-06-09)

2007-08-13 13:02  Thierry Vignaud <tvignaud at mandriva.com>

	* NEWS, urpm/args.pm: (set_root) do not default to --nolock when
	  using --root (reverting rafael
	  commit on 2006-01-11 13:17)

2007-08-13 12:52  Pixel <pixel at mandriva.com>

	* urpm/args.pm: re-indent

2007-08-13 11:26  Pixel <pixel at mandriva.com>

	* t/data/SPECS/file-conflicts, t/data/SPECS/file-conflicts/a.spec,
	  t/data/SPECS/file-conflicts/b.spec,
	  t/data/SPECS/file-conflicts/c.spec, t/helper.pm,
	  t/superuser--file-conflicts.t: new test for file conflicts

2007-08-13 09:51  Thierry Vignaud <tvignaud at mandriva.com>

	* NEWS, urpm.pm: 4.10.2

2007-08-13 09:51  Thierry Vignaud <tvignaud at mandriva.com>

	* ChangeLog: update

2007-08-13 09:09  Thierry Vignaud <tvignaud at mandriva.com>

	* NEWS, gurpmi2: (completed callback) umount removable media as
	  soon as possible

2007-08-13 09:09  Thierry Vignaud <tvignaud at mandriva.com>

	* NEWS, gurpmi2: (completed callback) unlock RPM & URPMI dbs locks
	  as soon as possible like rpmdrake

2007-08-13 09:09  Thierry Vignaud <tvignaud at mandriva.com>

	* NEWS, gurpmi2: (do_install_3) reuse urpm::main_loop

2007-08-13 09:08  Thierry Vignaud <tvignaud at mandriva.com>

	* NEWS, urpm/main_loop.pm: (run) introduce
	  "already_installed_or_not_installable" callback for GUIes

2007-08-13 09:08  Thierry Vignaud <tvignaud at mandriva.com>

	* urpm/main_loop.pm: (run) forward callback_report_uninst callback

2007-08-13 09:07  Thierry Vignaud <tvignaud at mandriva.com>

	* NEWS, urpm/install.pm: (install) add support for
	  "callback_report_uninst" callback for rpmdrake

2007-08-13 09:07  Thierry Vignaud <tvignaud at mandriva.com>

	* urpm/args.pm: (set_root) split it out in order to be reused by
	  rpmdrake

2007-08-12 19:53  Pixel <pixel at mandriva.com>

	* NEWS, t/superuser--exclude.t, urpm.pm: - urpmi
	  o when using --urpmi-root, load <root>/etc/rpm/macros
	  this allow using _install_langs in the rooted directory
	  
	  - fix test exclude.t: the build computer macro _install_langs
	  don't interfere
	  anymore
	  - add one test to exclude.t: test wether urpmi correctly honor
	  _install_langs

2007-08-12 18:37  Pixel <pixel at mandriva.com>

	* t/superuser--rpmnew.t: one more test

2007-08-12 18:21  Pixel <pixel at mandriva.com>

	* t/superuser--rpmnew.t: also test through urpmi

2007-08-12 18:14  Pixel <pixel at mandriva.com>

	* t/superuser--rpmnew.t: prepare next commit

2007-08-12 12:48  Pixel <pixel at mandriva.com>

	* NEWS, urpm/cfg.pm: - urpmi.cfg
	  o really add global option no-suggests
	  
	  (thanks to Frederik Himpe)

2007-08-12 12:20  Pixel <pixel at mandriva.com>

	* urpm/main_loop.pm: drop unneeded svn:executable

2007-08-12 12:15  Pixel <pixel at mandriva.com>

	* NEWS, urpm.pm: 4.10.1

2007-08-12 12:15  Pixel <pixel at mandriva.com>

	* NEWS, urpm/select.pm, urpm/sys.pm, urpmi: - library
	  o urpm::select: new function get_preferred() replacing
	  sort_choices()
	  (for drakx)
	  o get rid of "use of unitialized" when file is unset (for drakx)

2007-08-11 16:30  Pixel <pixel at mandriva.com>

	* NEWS, urpm.pm: 4.10.0

2007-08-11 16:27  Pixel <pixel at mandriva.com>

	* NEWS: need perl-URPM 1.73

2007-08-11 16:25  Pixel <pixel at mandriva.com>

	* NEWS, urpm.pm: 4.9.31

2007-08-11 16:25  Pixel <pixel at mandriva.com>

	* NEWS, pod/urpmi.8.pod, pod/urpmi.files.5.pod, pod/urpmq.8.pod,
	  t/data/SPECS/prefer, t/data/SPECS/prefer/a.spec,
	  t/data/SPECS/prefer/b.spec, t/data/SPECS/prefer/b_foo.spec,
	  t/data/SPECS/prefer/c.spec, t/data/SPECS/prefer/c_foo.spec,
	  t/superuser--prefer.t, urpm.pm, urpm/args.pm, urpm/select.pm,
	  urpmi, urpmi.bash-completion, urpmq: - urpmi
	  o handle preferred choices (through --prefer,
	  /etc/urpmi/prefer.list
	  and /etc/urpmi/prefer.vendor.list)

2007-08-11 15:37  Pixel <pixel at mandriva.com>

	* urpm/sys.pm: - get rid of a warning reading empty file
	  - have extra first in the list (useful for --preferred being
	  taken into
	  account before /etc/urpmi/preferred.list)
	  - cleanup

2007-08-11 15:32  Pixel <pixel at mandriva.com>

	* urpm/media.pm, urpm/sys.pm: move get_packages_list() (for next
	  commit)

2007-08-11 14:04  Pixel <pixel at mandriva.com>

	* t/superuser--README-urpmi.t, t/superuser--handle-conflict-deps.t,
	  t/superuser--obsolete-and-conflict.t,
	  t/superuser--split-transactions.t, t/superuser--suggests.t:
	  remove useless "use Expect"

2007-08-11 13:54  Pixel <pixel at mandriva.com>

	* urpm/media.pm: allow using --skip even if skip.list file is
	  missing

2007-08-11 13:17  Pixel <pixel at mandriva.com>

	* urpm/args.pm: factorize

2007-08-11 12:46  Pixel <pixel at mandriva.com>

	* NEWS, pod/urpmi.8.pod, urpm/args.pm, urpm/main_loop.pm, urpmi,
	  urpmi.bash-completion: - urpmi
	  o new option --replacepkgs (same as rpm --replacepkgs) (#16112)

2007-08-11 12:14  Pixel <pixel at mandriva.com>

	* NEWS, urpm/install.pm, urpm/main_loop.pm: - urpmi
	  o fix --quiet (regression introduced in 4.9.28)

2007-08-11 11:40  Pixel <pixel at mandriva.com>

	* NEWS, pod/urpme.8.pod, pod/urpmf.8.pod, pod/urpmi.8.pod,
	  pod/urpmi.addmedia.8.pod, pod/urpmi.removemedia.8.pod,
	  pod/urpmi.update.8.pod, pod/urpmq.8.pod, urpm/args.pm,
	  urpm/lock.pm, urpm/media.pm, urpme, urpmf, urpmi, urpmi.addmedia,
	  urpmi.bash-completion, urpmi.removemedia, urpmi.update, urpmq: -
	  all tools
	  o new option --wait-lock (#13025)

2007-08-11 11:39  Pixel <pixel at mandriva.com>

	* urpmi.bash-completion: factorize common options

2007-08-11 11:08  Pixel <pixel at mandriva.com>

	* urpm.pm: document

2007-08-10 22:39  Thierry Vignaud <tvignaud at mandriva.com>

	* urpm.pm: (get_updates_description) reindent

2007-08-10 22:37  Thierry Vignaud <tvignaud at mandriva.com>

	* urpm.pm: (get_updates_description) add some comments from old
	  commits

2007-08-10 22:33  Thierry Vignaud <tvignaud at mandriva.com>

	* urpm.pm: (get_updates_description) simplify construction of "cur"

2007-08-10 22:31  Thierry Vignaud <tvignaud at mandriva.com>

	* urpm.pm: (get_updates_description) backport part of rafael commit
	  in CVS r1.301:1.302:
	  Make the parsing of "descriptions" file a bit better
	  
	  skip other tests once matched (no gain)

2007-08-10 22:30  Thierry Vignaud <tvignaud at mandriva.com>

	* urpm.pm: (get_updates_description) backport part of rafael commit
	  in CVS r1.301:1.302:
	  Make the parsing of "descriptions" file a bit better
	  
	  be more tolerant regarding spacing (not a issue with current
	  description files)

2007-08-10 22:28  Thierry Vignaud <tvignaud at mandriva.com>

	* urpm.pm: (get_updates_description) use member()

2007-08-10 22:05  Thierry Vignaud <tvignaud at mandriva.com>

	* urpm.pm: (get_updates_description) descriptions files really come
	  with
	  "Update:" field today; let's be more open

2007-08-10 21:46  Thierry Vignaud <tvignaud at mandriva.com>

	* urpm.pm: (get_updates_description) parse the MDKSA ids and the
	  URL when reading the "descriptions" file

2007-08-10 21:44  Thierry Vignaud <tvignaud at mandriva.com>

	* urpm.pm: (get_updates_description) further factorize

2007-08-10 21:41  Thierry Vignaud <tvignaud at mandriva.com>

	* urpm.pm: (get_updates_description) merge 'pre' & 'description'
	  management

2007-08-10 21:38  Thierry Vignaud <tvignaud at mandriva.com>

	* urpm.pm: (get_updates_description) rpmdrake wants the medium name

2007-08-10 15:08  Pixel <pixel at mandriva.com>

	* NEWS, urpm.pm: 4.9.30

2007-08-10 10:16  Pixel <pixel at mandriva.com>

	* NEWS: add thanks

2007-08-10 09:38  Pixel <pixel at mandriva.com>

	* urpmi: fix typo in previous commit

2007-08-09 20:53  Pixel <pixel at mandriva.com>

	* NEWS: fix typo

2007-08-09 20:53  Pixel <pixel at mandriva.com>

	* MANIFEST, NEWS, t/01compile.t, urpm/main_loop.pm, urpmi: - urpmi
	  o move some code to new module urpm::main_loop to share it with
	  rpmdrake

2007-08-09 20:49  Pixel <pixel at mandriva.com>

	* t/superuser--priority-upgrade.t: fix testing with local urpmi
	  after urpmi restart

2007-08-09 16:20  Thierry Vignaud <tvignaud at mandriva.com>

	* po/fr.po: fix a wrongly translated message

2007-08-09 14:59  Thierry Vignaud <tvignaud at mandriva.com>

	* urpmi: we already computed the number of package (cosmetic)

2007-08-09 14:07  Pixel <pixel at mandriva.com>

	* NEWS: make it explicit that perl-URPM 1.69 is "needed"
	  (well, not really needed, without it suggests are still requires)

2007-08-09 14:04  Pixel <pixel at mandriva.com>

	* NEWS, urpm.pm: 4.9.29

2007-08-09 14:04  Pixel <pixel at mandriva.com>

	* NEWS, pod/urpmf.8.pod, pod/urpmi.8.pod, pod/urpmi.cfg.5.pod,
	  t/data/SPECS/suggests, t/data/SPECS/suggests/a-1.spec,
	  t/data/SPECS/suggests/a-2.spec, t/data/SPECS/suggests/a-3.spec,
	  t/data/SPECS/suggests/b.spec, t/data/SPECS/suggests/bb.spec,
	  t/data/SPECS/suggests/c.spec, t/data/SPECS/suggests/cc.spec,
	  t/data/SPECS/suggests/suggested_b.spec,
	  t/data/SPECS/suggests/suggested_c.spec,
	  t/data/SPECS/suggests/with-invalid.spec, t/superuser--suggests.t,
	  urpm/args.pm, urpm/select.pm, urpmf, urpmi,
	  urpmi.bash-completion: - urpmi
	  o explicit error when using "urpmi ---install-src" as user with
	  remote media
	  o add support for "suggests": a newly suggested package is
	  installed as if
	  required, but one can remove it afterwards, or use --no-suggests
	  - urpmf
	  o handle --suggests
	  
	  all the work is done in perl-URPM 1.69

2007-08-08 15:59  Pixel <pixel at mandriva.com>

	* urpm/get_pkgs.pm: fix typo

2007-08-08 15:58  Pixel <pixel at mandriva.com>

	* NEWS, urpm/get_pkgs.pm: - urpmi
	  o explicit error when using "urpmi ---install-src" as user with
	  remote media

2007-08-07 14:07  Marek Laane <bald at starman.ee>

	* po/et.po: Updated Estonian translation.

2007-08-07 08:28  ybando

	* po/ja.po: Japanese translation updated.

2007-08-03 14:48  Pixel <pixel at mandriva.com>

	* po/pt.po: fix typo

2007-08-03 14:46  Pixel <pixel at mandriva.com>

	* NEWS, urpm.pm: 4.9.28

2007-08-03 14:45  Pixel <pixel at mandriva.com>

	* NEWS: need perl-URPM 1.68

2007-08-03 14:14  Pixel <pixel at mandriva.com>

	* NEWS, t/data/SPECS/README-urpmi/a.spec,
	  t/data/SPECS/README-urpmi/b.spec,
	  t/data/SPECS/README-urpmi/b_2.spec,
	  t/data/SPECS/README-urpmi/b_3.spec,
	  t/data/SPECS/README-urpmi/c.spec,
	  t/data/SPECS/README-urpmi/d.spec, t/superuser--README-urpmi.t,
	  urpm/install.pm: - urpmi
	  o handle README.<version>.upgrade.urpmi and
	  README.<version>-<release>.upgrade.urpmi: the content is
	  displayed
	  when upgrading from rpm older than <version> (#30187)
	  - fix build of some test rpms

2007-08-03 13:27  Thierry Vignaud <tvignaud at mandriva.com>

	* urpm/install.pm: (install) callback_open & callback_close are no
	  more supported since
	  they are no more used

2007-08-03 13:10  Pixel <pixel at mandriva.com>

	* urpm/install.pm: - fix typo in previous commit
	  - export code in its own function: get_README_files()

2007-08-03 13:07  Pixel <pixel at mandriva.com>

	* NEWS, urpm/install.pm: - library
	  o urpm::install: export %readmes so that rpmdrake can access it

2007-08-02 20:46  Thierry Vignaud <tvignaud at mandriva.com>

	* po/br.po: typo fixes

2007-08-02 19:48  Thierry Vignaud <tvignaud at mandriva.com>

	* urpm/sys.pm: (open_safe) since these errors messages are
	  displayed by
	  urpmi/rpmdrake, let's display translated messages

2007-08-02 18:34  Pixel <pixel at mandriva.com>

	* NEWS, pod/urpmf.8.pod, urpm/args.pm, urpmf,
	  urpmi.bash-completion: handle urpmf --license

2007-08-02 18:29  Pixel <pixel at mandriva.com>

	* urpm/args.pm: get rid of some "Use of uninitialized value"

2007-08-02 18:29  Pixel <pixel at mandriva.com>

	* urpmf: fix debugging urpmf callback

2007-08-01 15:44  Pixel <pixel at mandriva.com>

	* NEWS, urpm/args.pm, urpme, urpmf, urpmi, urpmi.addmedia,
	  urpmi.removemedia, urpmi.update, urpmq: factorize handling of
	  -q|--quiet and -v|--verbose for all tools
	  
	  this fixes -q option not handled by urpmi.update (#31890)

2007-08-01 15:39  Pixel <pixel at mandriva.com>

	* urpmq: simplify code by using directly $options{...} (exported
	  from urpm::args)
	  instead of using $urpm::args::options{...}

2007-08-01 15:38  Pixel <pixel at mandriva.com>

	* urpmq: remove dead code:
	  
	  urpmq is not using use_provides by default since 13 May 2004 when
	  rgs
	  refactorization somewhat failed. since then the documentation has
	  been adapted
	  to show -p is not the default anymore, so not reverting to
	  previous behaviour.

2007-08-01 15:14  Pixel <pixel at mandriva.com>

	* urpm/args.pm, urpme, urpmf, urpmi: - normalize verbose option
	  handling over $options{verbose}
	  - handle $rpm_opt where it is used

2007-08-01 00:14  kamberd

	* po/he.po: update translation for Hebrew

2007-07-30 15:41  Thierry Vignaud <tvignaud at mandriva.com>

	* ChangeLog: update

2007-07-26 00:35  mmodem

	* po/pt.po: update

2007-07-20 18:32  Karl Ove Hufthammer <karl at huftis.org>

	* po/nn.po: Updated Norwegian Nynorsk translation.

2007-07-18 18:24  Karl Ove Hufthammer <karl at huftis.org>

	* po/nn.po: Updated Norwegian Nynorsk translation.

2007-07-15 13:17  Karl Ove Hufthammer <karl at huftis.org>

	* po/nn.po: Updated Norwegian Nynorsk translation.

2007-07-08 12:17  berthy

	* po/fr.po: Update fr translation

2007-07-06 11:02  Pixel <pixel at mandriva.com>

	* urpm/media.pm: remove duplicated \n

2007-07-06 10:56  Pixel <pixel at mandriva.com>

	* t/superuser--rpmnew.t: fix & enhance test

2007-07-06 10:31  Pixel <pixel at mandriva.com>

	* NEWS, urpmq: - urpmq
	  o --whatrequires: fix skipping packages through provides provided
	  by other
	  packages, when the other package is the same pkg name (#31773)

2007-07-05 15:10  Pixel <pixel at mandriva.com>

	* t/data/SPECS/rpmnew, t/data/SPECS/rpmnew/a-1.spec,
	  t/data/SPECS/rpmnew/a-2.spec, t/data/SPECS/rpmnew/a-3.spec,
	  t/superuser--rpmnew.t: add test on rpmnew creation for %config
	  files

2007-07-05 14:12  Pixel <pixel at mandriva.com>

	* urpm/media.pm: fix typos

2007-07-05 13:55  nanardon

	* urpm/media.pm: - when adding media with --distrib, ignore
	  incompatible media according arch

2007-07-04 23:01  nanardon

	* MANIFEST: - remove t/data/ from MANIFEST causing useless warning

2007-07-04 16:52  Thierry Vignaud <tvignaud at mandriva.com>

	* urpmi: make sure comments appear in po catalogs

2007-07-02 08:06  Pixel <pixel at mandriva.com>

	* po/fr.po: s/mÃ©dium/mÃ©dia/ to be coherent

2007-07-01 06:25  Funda Wang <fundawang at linux.net.cn>

	* po/zh_CN.po: Updated zh_CN translation

2007-07-01 06:18  Funda Wang <fundawang at linux.net.cn>

	* po/af.po, po/ar.po, po/az.po, po/bg.po, po/bn.po, po/br.po,
	  po/bs.po, po/ca.po, po/cs.po, po/cy.po, po/da.po, po/de.po,
	  po/el.po, po/eo.po, po/es.po, po/et.po, po/eu.po, po/fa.po,
	  po/fi.po, po/fr.po, po/fur.po, po/ga.po, po/gl.po, po/he.po,
	  po/hi.po, po/hr.po, po/hu.po, po/id.po, po/is.po, po/it.po,
	  po/ja.po, po/ka.po, po/ko.po, po/ky.po, po/lt.po, po/lv.po,
	  po/mk.po, po/mn.po, po/ms.po, po/mt.po, po/nb.po, po/nl.po,
	  po/nn.po, po/pa_IN.po, po/pl.po, po/pt.po, po/pt_BR.po, po/ro.po,
	  po/ru.po, po/sc.po, po/sk.po, po/sl.po, po/sq.po, po/sr.po,
	  po/sr@Latn.po, po/sv.po, po/tg.po, po/th.po, po/tl.po, po/tr.po,
	  po/uk.po, po/urpmi.pot, po/uz.po, po/uz@Latn.po, po/vi.po,
	  po/wa.po, po/zh_CN.po, po/zh_TW.po: Updated POT file

2007-06-22 11:27  Pixel <pixel at mandriva.com>

	* t/superuser--provide-and-no-obsolete.t: do rename medium name too

2007-06-22 08:01  Pixel <pixel at mandriva.com>

	* t/data/SPECS/obsolete-and-provide,
	  t/data/SPECS/provide-and-no-obsolete,
	  t/superuser--obsolete-and-provide.t,
	  t/superuser--provide-and-no-obsolete.t: obsolete-and-provide test
	  into provide-and-no-obsolete (much better name since there really
	  is no obsolete used)

2007-06-22 06:53  Pixel <pixel at mandriva.com>

	* urpm/util.pm: remove debug code

2007-06-19 16:43  Pixel <pixel at mandriva.com>

	* urpmf, urpmq: we really don't want logs on stdout for urpmq/urpmf
	  (esp. for "adding medium ..." when using --use-distrib)

2007-06-18 16:56  Pixel <pixel at mandriva.com>

	* NEWS, urpm.pm: 4.9.27

2007-06-18 16:54  Pixel <pixel at mandriva.com>

	* NEWS, urpm/download.pm: - all tools
	  o 4.9.26 is broken when downloading with wget since it creates
	  hdlist.cz.1
	  files. fixing using --force-clobber option (! need a patched wget
	  !)
	  
	  (need wget 1.10.2-6mdv2008.0)

2007-06-18 15:55  Pixel <pixel at mandriva.com>

	* urpm/download.pm: help debugging curl/wget commands

2007-06-18 15:47  Pixel <pixel at mandriva.com>

	* NEWS, t/superuser--addmedia.t, urpm/args.pm, urpm/media.pm: -
	  urpmi.addmedia --distrib, urpmi/urpme/urpmf/urpmq --use-distrib
	  o media.cfg per media field hdlist=hdlist_xxx.cz is not used
	  anymore,
	  xxx/media_info/hdlist.cz is used instead. To get previous
	  behaviour, use
	  option --use-copied-hdlist or use_copied_hdlist=1 in media.cfg
	  
	  beware: this modifies the behaviour of urpmi, especially for
	  multi CDs media
	  which were the only one really using the
	  hdlist-copied-in-media/media_info
	  feature

2007-06-18 14:45  Pixel <pixel at mandriva.com>

	* NEWS, urpm/media.pm: - urpmi.addmedia
	  o fix reconfig.urpmi use

2007-06-18 14:11  Pixel <pixel at mandriva.com>

	* NEWS, urpm/download.pm: - all tools
	  o hide rsync errors by default to hide false positives,
	  but allow getting them with --debug

2007-06-18 13:56  Pixel <pixel at mandriva.com>

	* NEWS, urpm/media.pm: - urpmi.update
	  o only copy previous hdlist in cache dir for rsync, don't do it
	  for wget/curl
	  (it's useless and potentially dangerous when used with "resume")

2007-06-18 13:44  Pixel <pixel at mandriva.com>

	* NEWS, urpmf: - urpmf
	  o bug fix -m (#31452)
	  
	  (bug introduced when moving code to urpm::media)

2007-06-18 11:33  Pixel <pixel at mandriva.com>

	* urpm/media.pm: cleanup

2007-06-18 07:03  Pixel <pixel at mandriva.com>

	* NEWS, urpm/install.pm: - urpmi
	  o for long package names, ensure progression of installation
	  (####...) is
	  still properly indented (#28639)

2007-06-17 14:37  Pavel Maryanov <acid_jack at ukr.net>

	* po/ru.po: updated translation

2007-06-14 16:57  Pixel <pixel at mandriva.com>

	* pod/urpmi.cfg.5.pod: fix documentation regarding password in urls
	  
	  cf 4.9.0 change:
	  
	  o do not use list.<media_name> to store passwords, use
	  /etc/urpmi/netrc
	  instead. Also do have the url in urpmi.cfg, only the password is
	  removed

2007-06-14 16:27  Pixel <pixel at mandriva.com>

	* NEWS, urpm.pm: 4.9.26

2007-06-14 16:07  Pixel <pixel at mandriva.com>

	* NEWS, pod/urpmf.8.pod, urpm/args.pm, urpmf,
	  urpmi.bash-completion: - urpmf
	  o add option --use-distrib

2007-06-14 16:06  Pixel <pixel at mandriva.com>

	* NEWS: - urpmq
	  o allow using --use-distrib as non-root
	  
	  nb: reverting commit r15208 2005-10-12 "Forbid urpmq
	  --use-distrib when non
	  root" since i can't see any valid reason for this

2007-06-14 16:04  Pixel <pixel at mandriva.com>

	* pod/urpmq.8.pod, urpm/args.pm: - urpmq
	  o allow using --use-distrib as non-root
	  
	  nb: reverting commit r15208 2005-10-12 "Forbid urpmq
	  --use-distrib when non
	  root" since i can't see any valid reason for this

2007-06-14 09:29  ybando

	* po/ja.po: Japanese translation updated.

2007-06-14 07:01  Tomasz Bednarski <tbednarski at mandrivalinux.pl>

	* po/pl.po: update

2007-06-11 16:25  Pixel <pixel at mandriva.com>

	* urpm/download.pm: wait for total to be given before displaying
	  progress (#31302)

2007-06-11 15:42  Pixel <pixel at mandriva.com>

	* NEWS, urpm/download.pm: - all tools
	  o don't use time-stamping when downloading with wget
	  (useless and slow since it forces to download the whole directory
	  listing)
	  (as suggested by Andrey Borzenkov on cooker)

2007-06-08 07:23  Pixel <pixel at mandriva.com>

	* NEWS, urpm.pm: 4.9.25

2007-06-08 07:23  Pixel <pixel at mandriva.com>

	* urpm/select.pm: fix previous "prefer best architecture over exact
	  name" commit:
	  noarch pkgs need to be taken into account differently
	  
	  (nb: is it a pb that the list order is not kept?)

2007-06-08 06:56  Pixel <pixel at mandriva.com>

	* NEWS, urpmi: - [bugfix] fix plural handling in "Packages foo can
	  not be installed" (#31229)
	  - fix quite a few more plurals using perl_checker

2007-06-08 06:54  Pixel <pixel at mandriva.com>

	* urpm/signature.pm: one more debug message

2007-06-07 18:22  Pixel <pixel at mandriva.com>

	* NEWS, urpm/select.pm, urpm/util.pm: - urpmi
	  o prefer best architecture over exact name
	  (eg: urpmi libfoo-devel prefers lib64foo-devel over libfoo-devel)
	  - add function min()

2007-06-01 12:12  Pixel <pixel at mandriva.com>

	* NEWS, urpm/args.pm: - all tools
	  o --debug now implies --verbose

2007-06-01 08:35  Pixel <pixel at mandriva.com>

	* NEWS, urpmi: - urpmi
	  o [bugfix] fix urpmi --parallel (#30996)

2007-05-31 16:24  Pixel <pixel at mandriva.com>

	* NEWS, urpmf: - urpmf
	  o fix an *old* bug (since december 2002) making urpmf keeps
	  parsed hdlist
	  files in memory

2007-05-31 15:49  Pixel <pixel at mandriva.com>

	* urpm/media.pm: simplify (callback is never passed as parameter)

2007-05-31 14:07  Pixel <pixel at mandriva.com>

	* t/data/SPECS/obsolete-and-provide,
	  t/data/SPECS/obsolete-and-provide/a-1.spec,
	  t/data/SPECS/obsolete-and-provide/a-2.spec,
	  t/data/SPECS/obsolete-and-provide/b-3.spec, t/helper.pm,
	  t/superuser--obsolete-and-provide.t: add a test case for bug
	  #31130 (--auto-select not upgrading pkg "a" providing
	  "c" because pkg "b" provides a new version of "c")

2007-05-31 09:43  Pixel <pixel at mandriva.com>

	* t/cfg.t: - adapt test to change in urpm/cfg.pm
	  - when something goes wrong, display the diff using
	  $file.verbatim, which may
	  be more useful since things are "tidied up"

2007-05-29 07:00  Pixel <pixel at mandriva.com>

	* NEWS, urpm/media.pm: - urpmi.addmedia
	  o [bugfix] fix using "with synthesis.hdlist.cz" (#31081)
	  
	  (regexp m!(^|/)synthesis\.! is tricky in list context :-/)

2007-05-21 16:55  Pixel <pixel at mandriva.com>

	* NEWS, urpm/cfg.pm, urpm/util.pm: - urpmi.addmedia
	  o don't overwrite existing urpmi.cfg with an empty file
	  when disk is full (#30945)

2007-05-18 12:39  Pixel <pixel at mandriva.com>

	* NEWS, urpm/download.pm: - urpmi
	  o fix "Argument list too long" when calling curl/wget/proz
	  (things should work even in case of one big transaction) (#30848)

2007-05-17 17:33  berthy

	* po/fr.po: Update fr translation

2007-05-17 13:48  berthy

	* po/fr.po: Update fr translation

2007-05-16 14:42  Pixel <pixel at mandriva.com>

	* urpm/download.pm: nicer code

2007-05-09 16:55  Pixel <pixel at mandriva.com>

	* urpmi.addmedia: remove "\n" from error message for re-use in
	  gurpmi.addmedia

2007-05-09 16:28  Pixel <pixel at mandriva.com>

	* NEWS, urpm.pm: 4.9.24

2007-05-09 16:24  Pixel <pixel at mandriva.com>

	* NEWS, t/superuser--obsolete-and-conflict.t, urpm/install.pm,
	  urpmi: - urpmi
	  o display "removing package ..." when removing an obsolete or
	  conflicting
	  package (need perl-URPM 1.63), and not before
	  o in verbose mode, display "removing upgraded package ..."
	  (should make it more understandable by users)

2007-05-09 15:04  Pixel <pixel at mandriva.com>

	* urpm/media.pm: urpmf: allow using hdlist on mounted cdrom
	  (a better fix would be to ask to mount cdrom)

2007-05-09 15:00  Pixel <pixel at mandriva.com>

	* NEWS, urpm/media.pm: fix urpmi.addmedia foo removable://...
	  (#30257)

2007-05-07 23:15  mmodem

	* po/pt.po: up

2007-05-07 23:03  mmodem

	* po/pt.po: up

2007-05-05 15:21  Funda Wang <fundawang at linux.net.cn>

	* po/zh_CN.po: Updated Simplified Chinese translation.

2007-05-05 15:17  Funda Wang <fundawang at linux.net.cn>

	* po/af.po, po/ar.po, po/az.po, po/bg.po, po/bn.po, po/br.po,
	  po/bs.po, po/ca.po, po/cs.po, po/cy.po, po/da.po, po/de.po,
	  po/el.po, po/eo.po, po/es.po, po/et.po, po/eu.po, po/fa.po,
	  po/fi.po, po/fr.po, po/fur.po, po/ga.po, po/gl.po, po/he.po,
	  po/hi.po, po/hr.po, po/hu.po, po/id.po, po/is.po, po/it.po,
	  po/ja.po, po/ka.po, po/ko.po, po/ky.po, po/lt.po, po/lv.po,
	  po/mk.po, po/mn.po, po/ms.po, po/mt.po, po/nb.po, po/nl.po,
	  po/nn.po, po/pa_IN.po, po/pl.po, po/pt.po, po/pt_BR.po, po/ro.po,
	  po/ru.po, po/sc.po, po/sk.po, po/sl.po, po/sq.po, po/sr.po,
	  po/sr@Latn.po, po/sv.po, po/tg.po, po/th.po, po/tl.po, po/tr.po,
	  po/uk.po, po/urpmi.pot, po/uz.po, po/uz@Latn.po, po/vi.po,
	  po/wa.po, po/zh_CN.po, po/zh_TW.po: Updated POT file.

2007-05-04 13:51  Pixel <pixel at mandriva.com>

	* NEWS: make it clear that it's a bugfix

2007-05-04 13:51  Pixel <pixel at mandriva.com>

	* NEWS, urpm/media.pm: - urpmi.addmedia
	  o [bugfix] look for media/$media_dir/media_info/pubkey instead of
	  media/$media_dir/pubkey

2007-05-04 13:18  Pixel <pixel at mandriva.com>

	* NEWS, urpm/media.pm: - urpmi.addmedia
	  o with --distrib, don't use previous media's pubkey if a pubkey
	  is missing
	  (eg: use pubkey_main for media "Main Updates" when
	  pubkey_main_updates is missing)

2007-05-04 12:43  Pixel <pixel at mandriva.com>

	* urpm/media.pm: log the copying of pubkey

2007-05-03 15:06  Pixel <pixel at mandriva.com>

	* NEWS: make it explicit that perl-URPM 1.62 is needed

2007-05-03 15:01  Pixel <pixel at mandriva.com>

	* NEWS, urpm.pm: 4.9.23

2007-05-03 14:56  Pixel <pixel at mandriva.com>

	* NEWS, urpmi: display "In order to satisfy the '%s' dependency,
	  one of the following
	  packages is needed:" so that user can understand what dependency
	  is used
	  (as suggested by Guillaume Rousse on cooker)

2007-05-03 14:55  Pixel <pixel at mandriva.com>

	* NEWS: 4.9.22 has not been released, will release directly 4.9.23

2007-04-30 13:37  Pixel <pixel at mandriva.com>

	* t/data/SPECS/split-transactions,
	  t/data/SPECS/split-transactions/a.spec,
	  t/data/SPECS/split-transactions/b.spec,
	  t/data/SPECS/split-transactions/c.spec,
	  t/data/SPECS/split-transactions/d.spec,
	  t/superuser--split-transactions.t: add a simple test case on
	  split transactions

2007-04-30 10:24  Pixel <pixel at mandriva.com>

	* t/superuser--obsolete-and-conflict.t: check the output displays
	  "removing package a"

2007-04-30 10:01  Pixel <pixel at mandriva.com>

	* ., t: ignore some temp files

2007-04-30 10:01  Pixel <pixel at mandriva.com>

	* t/data/SPECS/obsolete-and-conflict/d.spec,
	  t/superuser--obsolete-and-conflict.t: add test checking the bad
	  upgrade of mandriva-release in 2007.1: basesystem is removed!

2007-04-27 12:40  Pixel <pixel at mandriva.com>

	* NEWS: 4.9.22

2007-04-27 12:40  Pixel <pixel at mandriva.com>

	* NEWS, urpm.pm, urpm/install.pm: - display "removing package ..."
	  when removing, not before.
	  - display "removing package ..." when upgrading package
	  (may be too verbose though)

2007-04-24 19:34  Pixel <pixel at mandriva.com>

	* Makefile.PL, NEWS, gurpmi, gurpmi.pm, gurpmi2, po/af.po,
	  po/ar.po, po/az.po, po/bg.po, po/bn.po, po/br.po, po/bs.po,
	  po/ca.po, po/cs.po, po/cy.po, po/da.po, po/de.po, po/el.po,
	  po/eo.po, po/es.po, po/et.po, po/eu.po, po/fa.po, po/fi.po,
	  po/fr.po, po/fur.po, po/ga.po, po/gl.po, po/he.po, po/hi.po,
	  po/hr.po, po/hu.po, po/id.po, po/is.po, po/it.po, po/ja.po,
	  po/ka.po, po/ko.po, po/ky.po, po/lt.po, po/lv.po, po/mk.po,
	  po/mn.po, po/ms.po, po/mt.po, po/nb.po, po/nl.po, po/nn.po,
	  po/pa_IN.po, po/pl.po, po/pt.po, po/pt_BR.po, po/ro.po, po/ru.po,
	  po/sc.po, po/sk.po, po/sl.po, po/sq.po, po/sr.po, po/sr@Latn.po,
	  po/sv.po, po/tg.po, po/th.po, po/tl.po, po/tr.po, po/uk.po,
	  po/urpmi.pot, po/uz.po, po/uz@Latn.po, po/vi.po, po/wa.po,
	  po/zh_CN.po, po/zh_TW.po, pod/urpmi.files.5.pod, skip.list,
	  t/01compile.t, t/02create_pkgs.t, t/README, t/SPECS, t/cfg.t,
	  t/data, t/data/SPECS, t/data/SPECS/README-urpmi,
	  t/data/SPECS/README-urpmi/a.spec,
	  t/data/SPECS/README-urpmi/b.spec,
	  t/data/SPECS/README-urpmi/b_2.spec,
	  t/data/SPECS/README-urpmi/c.spec,
	  t/data/SPECS/README-urpmi/d.spec,
	  t/data/SPECS/README-urpmi/d_.spec,
	  t/data/SPECS/handle-conflict-deps,
	  t/data/SPECS/handle-conflict-deps/a-sup.spec,
	  t/data/SPECS/handle-conflict-deps/a.spec,
	  t/data/SPECS/handle-conflict-deps/b-sub.spec,
	  t/data/SPECS/handle-conflict-deps/b.spec,
	  t/data/SPECS/obsolete-and-conflict,
	  t/data/SPECS/obsolete-and-conflict/a.spec,
	  t/data/SPECS/obsolete-and-conflict/b.spec,
	  t/data/SPECS/obsolete-and-conflict/c.spec,
	  t/data/SPECS/ordering-scriptlets,
	  t/data/SPECS/ordering-scriptlets/ash_1.spec,
	  t/data/SPECS/ordering-scriptlets/ash_2.spec,
	  t/data/SPECS/ordering-scriptlets/requires_post_1.spec,
	  t/data/SPECS/ordering-scriptlets/requires_post_2.spec,
	  t/data/SPECS/ordering-scriptlets/requires_postun_1.spec,
	  t/data/SPECS/ordering-scriptlets/requires_postun_2.spec,
	  t/data/SPECS/ordering-scriptlets/requires_pre_1.spec,
	  t/data/SPECS/ordering-scriptlets/requires_pre_2.spec,
	  t/data/SPECS/ordering-scriptlets/requires_preun_1.spec,
	  t/data/SPECS/ordering-scriptlets/requires_preun_2.spec,
	  t/data/SPECS/priority-upgrade-1,
	  t/data/SPECS/priority-upgrade-1/a-strict_1.spec,
	  t/data/SPECS/priority-upgrade-1/a_1.spec,
	  t/data/SPECS/priority-upgrade-1/b_1.spec,
	  t/data/SPECS/priority-upgrade-2,
	  t/data/SPECS/priority-upgrade-2/a-strict_2.spec,
	  t/data/SPECS/priority-upgrade-2/a_2.spec,
	  t/data/SPECS/priority-upgrade-2/b_2.spec,
	  t/data/SPECS/priority-upgrade-2/bb1_2.spec,
	  t/data/SPECS/priority-upgrade-2/bb2_2.spec,
	  t/data/SPECS/srpm-bootstrapping.spec, t/data/SPECS/various2.spec,
	  t/data/SPECS/various3.spec, t/data/media.cfg, t/data/rpm-buggy,
	  t/data/rpm-buggy/invalid-signature.rpm,
	  t/data/rpm-buggy/not-a-rpm.rpm,
	  t/data/rpm-buggy/weird-header.rpm, t/data/rpm-v3, t/helper.pm,
	  t/rpm-v3, t/superuser--README-urpmi.t, t/superuser--addmedia.t,
	  t/superuser--buggy-rpms.t, t/superuser--handle-conflict-deps.t,
	  t/superuser--media_info_dir.t,
	  t/superuser--obsolete-and-conflict.t,
	  t/superuser--ordering-scriptlets.t,
	  t/superuser--priority-upgrade.t,
	  t/superuser--srpm-bootstrapping.t, urpm.pm, urpm/args.pm,
	  urpm/bug_report.pm, urpm/cfg.pm, urpm/download.pm,
	  urpm/install.pm, urpm/lock.pm, urpm/md5sum.pm, urpm/media.pm,
	  urpm/msg.pm, urpm/select.pm, urpm/util.pm, urpmi.bash-completion,
	  urpmi.removemedia, urpmi.update, urpmq: re-sync after the big svn
	  loss

2007-04-06 22:32  mmodem

	* po/pt.po: up

2007-03-27 14:40  Thierry Vignaud <tvignaud at mandriva.com>

	* urpme, urpmi.addmedia: ensure comments end in po

2007-03-27 14:33  Thierry Vignaud <tvignaud at mandriva.com>

	* urpmi.addmedia: (usage) don't advertize twice --probe-hdlist

2007-03-26 13:25  Michal Bukovjan <bukovjan at mbox.dkm.cz>

	* po/cs.po: Updated Czech translators.

2007-03-26 11:27  Thierry Vignaud <tvignaud at mandriva.com>

	* man/C/proxy.cfg.5, man/C/rurpmi.8, man/C/urpme.8, man/C/urpmf.8,
	  man/C/urpmi.8, man/C/urpmi.addmedia.8, man/C/urpmi.cfg.5,
	  man/C/urpmi.removemedia.8, man/C/urpmi.update.8, man/C/urpmq.8,
	  man/cs/urpmf.8, man/cs/urpmi.8, man/cs/urpmi.addmedia.8,
	  man/cs/urpmi.removemedia.8, man/cs/urpmi.update.8,
	  man/cs/urpmq.8, man/et/urpmf.8, man/et/urpmi.8,
	  man/et/urpmi.addmedia.8, man/et/urpmi.removemedia.8,
	  man/et/urpmi.update.8, man/et/urpmq.8, man/eu/urpmf.8,
	  man/eu/urpmi.8, man/eu/urpmi.addmedia.8,
	  man/eu/urpmi.removemedia.8, man/eu/urpmi.update.8,
	  man/eu/urpmq.8, man/fi/urpmf.8, man/fi/urpmi.8,
	  man/fi/urpmi.addmedia.8, man/fi/urpmi.removemedia.8,
	  man/fi/urpmi.update.8, man/fi/urpmq.8, man/fr/urpmf.8,
	  man/fr/urpmi.8, man/fr/urpmi.addmedia.8,
	  man/fr/urpmi.removemedia.8, man/fr/urpmi.update.8,
	  man/nl/urpmi.addmedia.8, man/nl/urpmi.removemedia.8,
	  man/nl/urpmi.update.8, man/nl/urpmq.8, man/ru/urpmf.8,
	  man/ru/urpmi.8, man/ru/urpmi.addmedia.8,
	  man/ru/urpmi.removemedia.8, man/ru/urpmi.update.8,
	  man/ru/urpmq.8, man/uk/urpmf.8, man/uk/urpmi.8,
	  man/uk/urpmi.addmedia.8, man/uk/urpmi.removemedia.8,
	  man/uk/urpmi.update.8, man/uk/urpmq.8, pod/fr/urpmi.fr.8.pod,
	  pod/proxy.cfg.5.pod, pod/rurpme.8.pod, pod/rurpmi.8.pod,
	  pod/urpme.8.pod, pod/urpmf.8.pod, pod/urpmi.8.pod,
	  pod/urpmi.addmedia.8.pod, pod/urpmi.cfg.5.pod,
	  pod/urpmi.recover.8.pod, pod/urpmi.removemedia.8.pod,
	  pod/urpmi.update.8.pod, pod/urpmq.8.pod: kill dead emails of
	  previous maintainers

2007-03-23 10:55  Pixel <pixel at mandriva.com>

	* t/helper.pm: catch "module Net::Server::Simple is missing" case

2007-03-23 10:51  Pixel <pixel at mandriva.com>

	* t/simple-httpd: group nobody is not standard (?)

2007-03-22 19:55  Thierry Vignaud <tvignaud at mandriva.com>

	* po/br.po: update

2007-03-22 08:24  Pixel <pixel at mandriva.com>

	* po: ignore *.mo files

2007-03-20 21:09  Reinout van Schouwen <reinout at cs.vu.nl>

	* po/nl.po: - nl.po: Updated Dutch translation

2007-03-20 12:03  ybando

	* po/ja.po: Japanese translation updated

2007-03-20 07:43  Tomasz Bednarski <tbednarski at mandrivalinux.pl>

	* po/pl.po: update

2007-03-19 19:43  Arpad Biro <biro_arpad at yahoo.com>

	* po/hu.po: update

2007-03-19 13:50  Funda Wang <fundawang at linux.net.cn>

	* po/zh_CN.po: Updated zh_CN translation.

2007-03-18 21:56  acelli

	* po/it.po: update translation for Italian

2007-03-18 20:03  nbauer

	* po/de.po: Update German translation (Nicolas Bauer)

2007-03-18 10:51  Marek Laane <bald at starman.ee>

	* po/et.po: Updated Estonian translation.

2007-03-17 17:52  acelli

	* po/it.po: update translation for Italian

2007-03-16 21:40  Michal Bukovjan <bukovjan at mbox.dkm.cz>

	* po/cs.po: Updated Czech translation.

2007-03-15 23:11  Olivier Blin <oblin at mandriva.com>

	* urpm.pm, urpm/util.pm: move RFC/API/protocol doc in a dhcp-doc
	  sub-package

2005-05-24 14:40  Sawyer

	* urpm.pm: LOST

2005-05-24 14:40  Sawyer

	* urpm.pm: LOST

2007-03-15 13:36  Pixel <pixel at mandriva.com>

	* urpm/parallel_ka_run.pm: fix bug introduced together with
	  _parse_rshp_output()

2007-03-15 13:11  Pixel <pixel at mandriva.com>

	* urpm/parallel_ka_run.pm: fix typo in regexp

2007-03-14 08:34  Tomasz Bednarski <tbednarski at mandrivalinux.pl>

	* po/pl.po: update

2007-03-12 00:09  Reinout van Schouwen <reinout at cs.vu.nl>

	* po/nl.po: * 2007-03-12 Reinout van Schouwen <reinout@gmail.com>
	  
	  - nl.po: Updated Dutch translation by Rob Teng

2007-03-10 22:34  Karl Ove Hufthammer <karl at huftis.org>

	* po/nn.po: Fixed syntax error in Norwegian Nynorsk translation.

2007-03-10 22:33  Karl Ove Hufthammer <karl at huftis.org>

	* po/nn.po: Updated Norwegian Nynorsk translation.

2007-03-08 22:45  mmodem

	* po/pt.po: up

2007-03-08 14:55  Pablo Saratxaga <pablo at mandriva.com>

	* po/th.po, po/tr.po, po/vi.po: ngettext fix

2007-03-08 14:48  Pablo Saratxaga <pablo at mandriva.com>

	* po/ko.po: ngettext fix

2007-03-08 06:01  nbauer

	* po/de.po: Update German translation (Nicolas Bauer)

2007-03-08 00:04  Reinout van Schouwen <reinout at cs.vu.nl>

	* po/nl.po: * 2007-03-08 Reinout van Schouwen <reinout@gmail.com>
	  
	  - nl.po: Updated Dutch translation

2007-03-07 09:32  Pixel <pixel at mandriva.com>

	* urpmq: cleanup

2007-03-06 17:35  Pixel <pixel at mandriva.com>

	* po/pt_BR.po: revert last commit which has no change *except*
	  having everything in iso-8859-1 instead of utf8

2007-03-06 16:55  felipe

	* po/pt_BR.po: fixing some bad translations

2007-03-06 11:43  Thierry Vignaud <tvignaud at mandriva.com>

	* urpmi: kill dead code

2007-03-05 18:16  Thierry Vignaud <tvignaud at mandriva.com>

	* urpmi: (ask_choice) display translated summary

2007-03-05 16:46  Thierry Vignaud <tvignaud at mandriva.com>

	* gurpmi2, urpmi: merge some strings (thus giving more control to
	  translators for the
	  second occurence)

2007-03-05 14:52  Pixel <pixel at mandriva.com>

	* MANIFEST, MANIFEST.SKIP: update MANIFEST using "make manifest"
	  and MANIFEST.SKIP

2007-03-05 13:33  Pixel <pixel at mandriva.com>

	* po/.cvsignore: obsolete

2007-03-05 13:22  Pixel <pixel at mandriva.com>

	* MANIFEST: add missing test files

2007-03-05 09:53  Pablo Saratxaga <pablo at mandriva.com>

	* po/cy.po: updated Welsh file

2007-03-01 10:34  ybando

	* po/ja.po: Japanese translation revised

2007-02-28 22:16  nbauer

	* po/de.po: Update German translation (Nicolas Bauer)

2007-02-27 22:14  Arpad Biro <biro_arpad at yahoo.com>

	* po/hu.po: update

2007-02-27 20:46  felipe

	* po/pt_BR.po: translating and fixing entries

2007-02-27 16:16  Pixel <pixel at mandriva.com>

	* po/de.po: fix (#28961)

2007-02-26 22:15  ybando

	* po/ja.po: Japanese translation updated.

2007-02-26 15:29  Pixel <pixel at mandriva.com>

	* urpmf: perl_checker compliance

2007-02-26 15:29  Pixel <pixel at mandriva.com>

	* .perl_checker: help perl_checker

2007-02-25 12:17  nbauer

	* po/de.po: Update German translation (Nicolas Bauer)

2007-02-25 10:07  Funda Wang <fundawang at linux.net.cn>

	* po/zh_CN.po: urpmi translation.

2007-02-25 06:21  Willy Sudiarto Raharjo <willysr at gmail.com>

	* po/id.po: Updated

2007-02-24 09:19  Marek Laane <bald at starman.ee>

	* po/et.po: Updated Estonian translation.

2007-02-23 19:56  Pablo Saratxaga <pablo at mandriva.com>

	* po/urpmi.pot, urpme, urpmi, urpmi.recover: more ngettext

2007-02-23 14:36  Pablo Saratxaga <pablo at mandriva.com>

	* po/br.po, po/ru.po, po/zh_CN.po, po/zh_TW.po: small fixes

2007-02-23 13:29  Thierry Vignaud <tvignaud at mandriva.com>

	* po/br.po: update

2007-02-23 11:24  Pablo Saratxaga <pablo at mandriva.com>

	* po/pl.po: updated Polish file

2007-02-22 18:03  Thierry Vignaud <tvignaud at mandriva.com>

	* gurpmi, gurpmi2, urpmi: bump copyright header

2007-02-22 17:30  Pjetur G. Hjaltason <pjetur at pjetur.net>

	* po/is.po: few revised strings

2007-02-22 11:38  Pablo Saratxaga <pablo at mandriva.com>

	* po/zh_TW.po: updated po files

2007-02-22 11:38  Pablo Saratxaga <pablo at mandriva.com>

	* po/ro.po, po/ru.po, po/sc.po, po/sk.po, po/sl.po, po/sq.po,
	  po/sr.po, po/sr@Latn.po, po/sv.po, po/tg.po, po/th.po, po/tl.po,
	  po/tr.po, po/uk.po, po/vi.po, po/wa.po, po/zh_CN.po, po/zh_TW.po:
	  updated po files

2007-02-21 13:22  Pablo Saratxaga <pablo at mandriva.com>

	* po/urpmi.pot, urpme: fixed some ngettext use

2007-02-21 11:18  Pablo Saratxaga <pablo at mandriva.com>

	* urpmi: fixed ngettext use

2007-02-21 11:15  Pablo Saratxaga <pablo at mandriva.com>

	* urpmq: fixed ngettext use

2007-02-21 11:12  Pablo Saratxaga <pablo at mandriva.com>

	* gurpmi2, urpm/ldap.pm, urpmi: fixed some ngettext use

2007-02-19 23:47  Pjetur G. Hjaltason <pjetur at pjetur.net>

	* po/is.po: latest translations

2007-02-19 20:04  acelli

	* po/it.po: update translation for Italian

2007-02-14 13:10  Pixel <pixel at mandriva.com>

	* urpmi.bash-completion, urpmq: add option "-m" in usage (was
	  already documented in manpage)

2007-02-14 13:08  Pixel <pixel at mandriva.com>

	* urpm/removable.pm: displaying "medium xxx is not selected" when
	  doing "urpmi --auto" on a CDROM is no good
	  (maybe we should fix --auto to still prompt for CDs?)

2007-02-08 07:48  Funda Wang <fundawang at linux.net.cn>

	* po/zh_CN.po: Updated Simplified Chinese translations.

2007-02-07 09:43  Pablo Saratxaga <pablo at mandriva.com>

	* po/uz.po, po/uz@Latn.po: updated Uzbek files

2007-02-06 21:28  berthy

	* po/fr.po: Update fr translation

2007-02-06 20:11  nbauer

	* po/de.po: Update German translation (Nicolas Bauer)

2007-02-06 12:51  Pixel <pixel at mandriva.com>

	* po/de.po: replace the remaining non-latin1 chars

2007-02-06 11:44  nbauer

	* po/de.po: Update German translation (Nicolas Bauer)

2007-02-06 10:31  nbauer

	* po/de.po: Update German translation (Nicolas Bauer)

2007-02-05 14:17  nbauer

	* po/de.po: Update German translation (Nicolas Bauer)

2007-02-05 12:03  nbauer

	* po/de.po: Update German translation (Nicolas Bauer)

2007-01-31 17:41  nbauer

	* po/de.po: Update German translation (Nicolas Bauer)

2007-01-29 10:56  Pablo Saratxaga <pablo at mandriva.com>

	* po/cy.po: updated Welsh file

2005-05-24 14:40  Sawyer

	* po/et.po: LOST

2007-01-28 01:43  ybando

	* po/ja.po: Japanese translation updated.

2007-01-26 13:36  Pixel <pixel at mandriva.com>

	* urpmq: explain --whatrequires-recursive when {debug}

2007-01-25 09:00  Pixel <pixel at mandriva.com>

	* urpmi: cleanup

2007-01-24 13:31  Pablo Saratxaga <pablo at mandriva.com>

	* po/fur.po, po/sc.po: adapted to plural-forms

2007-01-22 20:41  nbauer

	* po/de.po: Update German translation (Nicolas Bauer)

2007-01-22 20:39  nbauer

	* po/de.po: Update German translation (Nicolas Bauer)

2007-01-21 23:25  Pavel Maryanov <acid_jack at ukr.net>

	* po/ru.po: updated translation

2007-01-21 17:01  nbauer

	* po/de.po: Update German translation (Nicolas Bauer)

2007-01-21 12:38  nbauer

	* po/de.po: Update German translation (Nicolas Bauer)

2007-01-21 04:08  Willy Sudiarto Raharjo <willysr at gmail.com>

	* po/id.po: Updated

2007-01-20 12:31  nbauer

	* po/de.po: Update German translation (Nicolas Bauer)

2007-01-20 12:24  nbauer

	* po/de.po: Update German translation (Nicolas Bauer)

2007-01-19 11:33  Pablo Saratxaga <pablo at mandriva.com>

	* po/af.po, po/ar.po, po/az.po, po/bg.po, po/bn.po, po/bs.po,
	  po/ca.po, po/cs.po, po/cy.po, po/da.po, po/el.po, po/eo.po,
	  po/et.po, po/eu.po, po/fa.po, po/fi.po, po/he.po, po/hi.po,
	  po/hr.po, po/id.po, po/ka.po, po/ko.po, po/lt.po, po/lv.po,
	  po/mk.po, po/mn.po, po/nb.po, po/pa_IN.po, po/pl.po, po/ro.po,
	  po/sk.po, po/sl.po, po/sq.po, po/sr.po, po/sr@Latn.po, po/sv.po,
	  po/th.po, po/tr.po, po/uk.po, po/vi.po, po/wa.po, po/zh_CN.po,
	  po/zh_TW.po: adapted and checked to plural-form

2007-01-19 09:22  Pixel <pixel at mandriva.com>

	* urpmq: from_utf8 no more needed with: new perl-URPM + new
	  perl-Locale-gettext + "use open ':locale'"

2007-01-19 09:09  Pixel <pixel at mandriva.com>

	* .perl_checker: skip "use open ':locale'"

2007-01-18 18:12  Pjetur G. Hjaltason <pjetur at pjetur.net>

	* po/is.po: Update to latest

2007-01-18 15:10  Thierry Vignaud <tvignaud at mandriva.com>

	* po/Makefile: revert

2007-01-18 15:10  Thierry Vignaud <tvignaud at mandriva.com>

	* po/br.po, po/fr.po: update

2007-01-18 15:05  Thierry Vignaud <tvignaud at mandriva.com>

	* po/Makefile, po/af.po, po/ar.po, po/az.po, po/bg.po, po/bn.po,
	  po/br.po, po/bs.po, po/ca.po, po/cs.po, po/cy.po, po/da.po,
	  po/de.po, po/el.po, po/eo.po, po/es.po, po/et.po, po/eu.po,
	  po/fa.po, po/fi.po, po/fr.po, po/fur.po, po/ga.po, po/gl.po,
	  po/he.po, po/hi.po, po/hr.po, po/hu.po, po/id.po, po/is.po,
	  po/it.po, po/ja.po, po/ka.po, po/ko.po, po/ky.po, po/lt.po,
	  po/lv.po, po/mk.po, po/mn.po, po/ms.po, po/mt.po, po/nb.po,
	  po/nl.po, po/nn.po, po/pa_IN.po, po/pl.po, po/pt.po, po/pt_BR.po,
	  po/ro.po, po/ru.po, po/sc.po, po/sk.po, po/sl.po, po/sq.po,
	  po/sr.po, po/sr@Latn.po, po/sv.po, po/tg.po, po/th.po, po/tl.po,
	  po/tr.po, po/uk.po, po/urpmi.pot, po/uz.po, po/uz@Latn.po,
	  po/vi.po, po/wa.po, po/zh_CN.po, po/zh_TW.po: sync with code

2007-01-18 14:53  Pavel Maryanov <acid_jack at ukr.net>

	* po/ru.po: updated translation

2007-01-18 14:43  Thierry Vignaud <tvignaud at mandriva.com>

	* gurpmi2: (do_install_2) display the same info as the text version
	  (number and size of packages)

2007-01-18 14:39  Thierry Vignaud <tvignaud at mandriva.com>

	* gurpmi2: use urpm::msg for P()

2007-01-18 14:33  Thierry Vignaud <tvignaud at mandriva.com>

	* gurpmi2: (do_install_2) really factorize string

2007-01-18 14:31  Thierry Vignaud <tvignaud at mandriva.com>

	* urpmi: give better control on string to translators (appending
	  ":" isn't nice
	  for quite some languages) and factorize a string

2007-01-18 14:29  Thierry Vignaud <tvignaud at mandriva.com>

	* po/af.po, po/ar.po, po/az.po, po/bg.po, po/bn.po, po/br.po,
	  po/bs.po, po/ca.po, po/cs.po, po/cy.po, po/da.po, po/de.po,
	  po/el.po, po/eo.po, po/es.po, po/et.po, po/eu.po, po/fa.po,
	  po/fi.po, po/fr.po, po/fur.po, po/ga.po, po/gl.po, po/he.po,
	  po/hi.po, po/hr.po, po/hu.po, po/id.po, po/is.po, po/it.po,
	  po/ja.po, po/ka.po, po/ko.po, po/ky.po, po/lt.po, po/lv.po,
	  po/mk.po, po/mn.po, po/ms.po, po/mt.po, po/nb.po, po/nl.po,
	  po/nn.po, po/pa_IN.po, po/pl.po, po/pt.po, po/pt_BR.po, po/ro.po,
	  po/ru.po, po/sc.po, po/sk.po, po/sl.po, po/sq.po, po/sr.po,
	  po/sr@Latn.po, po/sv.po, po/tg.po, po/th.po, po/tl.po, po/tr.po,
	  po/uk.po, po/urpmi.pot, po/uz.po, po/uz@Latn.po, po/vi.po,
	  po/wa.po, po/zh_CN.po, po/zh_TW.po: sync with code

2007-01-18 14:27  Thierry Vignaud <tvignaud at mandriva.com>

	* gurpmi2: (do_install_2) factorize string with urpmi

2007-01-18 14:26  Thierry Vignaud <tvignaud at mandriva.com>

	* urpmi: give better control on string to translators (appending
	  ":" isn't nice
	  for quite some languages)

2007-01-18 14:22  Thierry Vignaud <tvignaud at mandriva.com>

	* po/Makefile: kill useless command

2007-01-18 14:14  Thierry Vignaud <tvignaud at mandriva.com>

	* gurpmi2: (do_install_2) handle sing/plural forms

2007-01-18 08:51  Pixel <pixel at mandriva.com>

	* urpmi: plural and singular were inverted (thanks to Frank Griffin
	  for reporting)

2007-01-17 10:37  ybando

	* po/ja.po: Japanese translation updated.

2007-01-17 09:18  Willy Sudiarto Raharjo <willysr at gmail.com>

	* po/id.po: Updated

2007-01-15 17:07  Thierry Vignaud <tvignaud at mandriva.com>

	* po/fr.po: update

2007-01-15 17:07  Thierry Vignaud <tvignaud at mandriva.com>

	* po/fr.po: update

2007-01-15 15:43  Thierry Vignaud <tvignaud at mandriva.com>

	* po/br.po: add a dummy plural definition

2007-01-15 14:45  Thierry Vignaud <tvignaud at mandriva.com>

	* po/br.po, po/fr.po: update

2007-01-15 13:58  Thierry Vignaud <tvignaud at mandriva.com>

	* po/br.po: update

2007-01-15 13:51  Thierry Vignaud <tvignaud at mandriva.com>

	* po/cy.po, po/de.po, po/fr.po, po/ja.po, po/pl.po, po/pt.po: readd
	  translations lost in r85293

2007-01-15 13:49  Thierry Vignaud <tvignaud at mandriva.com>

	* po/af.po, po/ar.po, po/az.po, po/bg.po, po/bn.po, po/br.po,
	  po/bs.po, po/ca.po, po/cs.po, po/cy.po, po/da.po, po/de.po,
	  po/el.po, po/eo.po, po/es.po, po/et.po, po/eu.po, po/fa.po,
	  po/fi.po, po/fr.po, po/fur.po, po/ga.po, po/gl.po, po/he.po,
	  po/hi.po, po/hr.po, po/hu.po, po/id.po, po/is.po, po/it.po,
	  po/ja.po, po/ka.po, po/ko.po, po/ky.po, po/lt.po, po/lv.po,
	  po/mk.po, po/mn.po, po/ms.po, po/mt.po, po/nb.po, po/nl.po,
	  po/nn.po, po/pa_IN.po, po/pl.po, po/pt.po, po/pt_BR.po, po/ro.po,
	  po/ru.po, po/sc.po, po/sk.po, po/sl.po, po/sq.po, po/sr.po,
	  po/sr@Latn.po, po/sv.po, po/tg.po, po/th.po, po/tl.po, po/tr.po,
	  po/uk.po, po/urpmi.pot, po/uz.po, po/uz@Latn.po, po/vi.po,
	  po/wa.po, po/zh_CN.po, po/zh_TW.po: update catalogs with strings
	  lost in r88462 on 2006-11-29

2007-01-15 12:50  Thierry Vignaud <tvignaud at mandriva.com>

	* po/cy.po: update (Rhoslyn Prys)

2007-01-11 19:31  Pixel <pixel at mandriva.com>

	* po/Makefile: do take all urpm/*.pm files

2007-01-11 16:57  Pixel <pixel at mandriva.com>

	* urpmq: use uniq() and factorize

2007-01-11 16:54  Pixel <pixel at mandriva.com>

	* urpmq: cleanup: @headers is independent of the "foreach my
	  $medium", moving it out of the loop

2007-01-11 09:37  Guillaume Rousse <guillomovitch at mandriva.org>

	* urpmi.bash-completion: fix urpmi context-dependent options

2007-01-11 08:36  Pixel <pixel at mandriva.com>

	* urpmi.bash-completion: - add --nokeep for urpmi
	  - add --probe-rpms for urpmi.addmedia

2007-01-11 07:33  Pixel <pixel at mandriva.com>

	* po/fr.po: fix missing \n

2007-01-10 19:02  Thierry Vignaud <tvignaud at mandriva.com>

	* po/cy.po: update

2007-01-10 17:28  Pixel <pixel at mandriva.com>

	* urpm/media.pm: create _tempignore() and use it

2007-01-10 16:38  Pixel <pixel at mandriva.com>

	* urpm/get_pkgs.pm: restore cleaning /var/cache/urpmi/rpms

2007-01-10 16:36  Pixel <pixel at mandriva.com>

	* urpm/get_pkgs.pm: simplify

2007-01-10 16:33  Pixel <pixel at mandriva.com>

	* urpm/get_pkgs.pm: fix using N()

2007-01-10 16:32  Pixel <pixel at mandriva.com>

	* urpm/get_pkgs.pm: simplify

2007-01-10 16:02  Pixel <pixel at mandriva.com>

	* urpm/get_pkgs.pm: log the cleaning of /var/cache/urpmi/partial

2007-01-10 11:19  Pixel <pixel at mandriva.com>

	* urpm/media.pm: simplify

2007-01-10 11:17  Pixel <pixel at mandriva.com>

	* .perl_checker: skip File::Glob

2007-01-09 18:39  nbauer

	* po/de.po: Update German translation (Nicolas Bauer)

2007-01-09 18:35  nbauer

	* po/de.po: Update German translation (Nicolas Bauer)

2007-01-09 17:51  Pixel <pixel at mandriva.com>

	* urpm/args.pm: display URPM debug messages when using --debug

2007-01-09 14:20  Thierry Vignaud <tvignaud at mandriva.com>

	* po/Makefile: do not hardcode a non standard width

2007-01-09 14:10  Olivier Blin <oblin at mandriva.com>

	* po/fr.po: fix typo

2007-01-09 14:01  Thierry Vignaud <tvignaud at mandriva.com>

	* po/sl.po: copy plural form definition from
	  perl-install/share/po/sl.po

2007-01-09 13:29  Thierry Vignaud <tvignaud at mandriva.com>

	* po/fr.po: further update

2007-01-09 13:23  Thierry Vignaud <tvignaud at mandriva.com>

	* po/af.po, po/ar.po, po/az.po, po/bg.po, po/bn.po, po/br.po,
	  po/bs.po, po/ca.po, po/cs.po, po/cy.po, po/da.po, po/de.po,
	  po/el.po, po/eo.po, po/es.po, po/et.po, po/eu.po, po/fa.po,
	  po/fi.po, po/fr.po, po/fur.po, po/ga.po, po/gl.po, po/he.po,
	  po/hi.po, po/hr.po, po/hu.po, po/id.po, po/is.po, po/it.po,
	  po/ja.po, po/ka.po, po/ko.po, po/ky.po, po/lt.po, po/lv.po,
	  po/mk.po, po/mn.po, po/ms.po, po/mt.po, po/nb.po, po/nl.po,
	  po/nn.po, po/pa_IN.po, po/pl.po, po/pt.po, po/pt_BR.po, po/ro.po,
	  po/ru.po, po/sc.po, po/sk.po, po/sl.po, po/sq.po, po/sr.po,
	  po/sr@Latn.po, po/sv.po, po/tg.po, po/th.po, po/tl.po, po/tr.po,
	  po/uk.po, po/urpmi.pot, po/uz.po, po/uz@Latn.po, po/vi.po,
	  po/wa.po, po/zh_CN.po, po/zh_TW.po: sync with code

2007-01-09 13:22  Thierry Vignaud <tvignaud at mandriva.com>

	* urpmi: really add this singular variant for an existing plural
	  string

2007-01-09 13:22  Thierry Vignaud <tvignaud at mandriva.com>

	* po/fr.po: update

2007-01-09 13:17  Thierry Vignaud <tvignaud at mandriva.com>

	* po/af.po, po/ar.po, po/az.po, po/bg.po, po/bn.po, po/br.po,
	  po/bs.po, po/ca.po, po/cs.po, po/cy.po, po/da.po, po/de.po,
	  po/el.po, po/eo.po, po/es.po, po/et.po, po/eu.po, po/fa.po,
	  po/fi.po, po/fr.po, po/fur.po, po/ga.po, po/gl.po, po/he.po,
	  po/hi.po, po/hr.po, po/hu.po, po/id.po, po/is.po, po/it.po,
	  po/ja.po, po/ka.po, po/ko.po, po/ky.po, po/lt.po, po/lv.po,
	  po/mk.po, po/mn.po, po/ms.po, po/mt.po, po/nb.po, po/nl.po,
	  po/nn.po, po/pa_IN.po, po/pl.po, po/pt.po, po/pt_BR.po, po/ro.po,
	  po/ru.po, po/sc.po, po/sk.po, po/sl.po, po/sq.po, po/sr.po,
	  po/sr@Latn.po, po/sv.po, po/tg.po, po/th.po, po/tl.po, po/tr.po,
	  po/uk.po, po/urpmi.pot, po/uz.po, po/uz@Latn.po, po/vi.po,
	  po/wa.po, po/zh_CN.po, po/zh_TW.po: sync with code

2007-01-09 13:16  Thierry Vignaud <tvignaud at mandriva.com>

	* po/Makefile: use perl_checker instead of xgettext in order to
	  extract plural forms (which is
	  simpler than adding even more options to xgettext)

2007-01-09 12:44  Thierry Vignaud <tvignaud at mandriva.com>

	* po/fr.po: typo fix (rafael)

2007-01-09 12:36  Thierry Vignaud <tvignaud at mandriva.com>

	* urpmi: add singular variant for existing plural strings

2007-01-09 12:35  Thierry Vignaud <tvignaud at mandriva.com>

	* urpmi: use plural for existing translations

2007-01-06 23:30  mandrake

	* po/fr.po: Copying release 1.39-4mdv2007.1 to pristine/ directory.

2005-05-24 14:40  Sawyer

	* po/fr.po: LOST

2007-01-04 17:46  mandrake

	* urpm/cfg.pm: %repsys markrelease
	  version: 0.10
	  release: 1mdv2007.1
	  revision: 104210
	  
	  Copying 0.10-1mdv2007.1 to releases/ directory.

2006-12-22 11:37  ybando

	* po/ja.po: adding Plural-Forms definition to ja.po

2006-12-18 10:27  nbauer

	* po/de.po: Update German translation (Nicolas Bauer)

2006-12-18 01:56  mmodem

	* po/pt.po: update

2006-12-14 15:40  Pixel <pixel at mandriva.com>

	* urpmi.addmedia: oops, restore the check (it's only the variable
	  we don't want)

2006-12-14 15:29  Pixel <pixel at mandriva.com>

	* urpmi.addmedia: simplify

2006-12-14 15:28  Pixel <pixel at mandriva.com>

	* urpmi.addmedia: remove broken deprecated check
	  ($type was "http:/", and so the elsif was always failing...)

2006-12-14 01:34  Pavel Maryanov <acid_jack at ukr.net>

	* po/ru.po: updated translation

2006-12-13 20:32  Pablo Saratxaga <pablo at mandriva.com>

	* po/cy.po: updated po file

2006-12-13 12:33  Pixel <pixel at mandriva.com>

	* pod/urpmi.addmedia.8.pod, urpmi.addmedia: don't document "-f"
	  which does nothing, directly document "-f -f"

2006-12-13 12:12  Thierry Vignaud <tvignaud at mandriva.com>

	* po/cy.po: update (Rhoslyn Prys)

2006-12-12 18:01  Pixel <pixel at mandriva.com>

	* t/superuser--specify-media.t: check things like --media,
	  --excludemedia...

2006-12-12 17:57  Pixel <pixel at mandriva.com>

	* t/helper.pm: create urpm_cmd()

2006-12-09 03:31  Pablo Saratxaga <pablo at mandriva.com>

	* ChangeLog: converted to utf-8

2006-12-08 18:15  mandrake

	* gurpmi2, urpm.pm, urpme, urpmi: Copying release 1.5-2mdv2007.1 to
	  pristine/ directory.

2006-12-08 16:19  Pixel <pixel at mandriva.com>

	* urpm/media.pm: log fetching pubkeys, and cleanup

2006-12-08 12:17  Pixel <pixel at mandriva.com>

	* t/helper.pm: add urpmi_update()

2006-12-08 10:29  Pixel <pixel at mandriva.com>

	* t/superuser--exclude.t: remove function now in helper

2006-12-08 09:33  Pixel <pixel at mandriva.com>

	* t/helper.pm: add set_urpmi_cfg_global_options()

2006-12-08 08:40  Pixel <pixel at mandriva.com>

	* t/.perl_checker: help perl_checker

2006-12-07 08:44  Pixel <pixel at mandriva.com>

	* t/superuser--addmedia.t: try with one, then try with two media

2006-12-07 08:14  Pixel <pixel at mandriva.com>

	* t/superuser--addmedia.t: prepare next commit

2006-12-06 16:54  Pixel <pixel at mandriva.com>

	* urpm/args.pm: add code to help debugging bugs like #26256

2006-12-06 11:00  Pixel <pixel at mandriva.com>

	* t/superuser--addmedia.t: also test urpmi works with that
	  configuration

2006-12-05 19:48  Thierry Vignaud <tvignaud at mandriva.com>

	* gurpmi2: (configure_urpm) fix crash in do_install_3() and really
	  lock the urpm db

2006-12-05 19:41  Thierry Vignaud <tvignaud at mandriva.com>

	* gurpmi2: don't ignore exceptions in callbacks

2006-12-04 23:12  mmodem

	* po/pt.po: update

2006-12-04 18:25  nbauer

	* po/de.po: Update German translation (Nicolas Bauer)

2006-12-04 16:34  Pixel <pixel at mandriva.com>

	* po/fr.po: fix typo

2006-12-04 15:38  Pixel <pixel at mandriva.com>

	* urpmi: display all found packages (when there is a choice, only
	  the first was displayed)

2006-12-04 14:50  Pixel <pixel at mandriva.com>

	* t/superuser--buggy-rpms.t: silent the errors (which are normal
	  for buggy rpms)

2006-12-04 12:56  Pixel <pixel at mandriva.com>

	* NEWS, pod/urpme.8.pod, pod/urpmi.8.pod, pod/urpmq.8.pod,
	  urpm/args.pm, urpme, urpmi, urpmq: add the long version of -q/-v
	  (ie --quiet/--verbose)

2006-12-04 12:54  Pixel <pixel at mandriva.com>

	* NEWS, urpmi: in quiet mode, be quiet

2006-12-04 12:53  Pixel <pixel at mandriva.com>

	* urpm/media.pm: use media_info_dir for media just created with
	  "... with <relative hdlist>"

2006-12-04 12:45  Pixel <pixel at mandriva.com>

	* t/02create_pkgs.t, t/data/SPECS/various2.spec, t/data/media.cfg,
	  t/superuser--addmedia.t: test "urpmi.addmedia ... with ..."

2006-12-04 12:44  Pixel <pixel at mandriva.com>

	* t/helper.pm: fix typo

2006-12-04 12:42  Pixel <pixel at mandriva.com>

	* t/helper.pm: fix typo (remove a "undefined value" warning)

2006-12-04 11:32  Pixel <pixel at mandriva.com>

	* NEWS, t/superuser--addmedia.t, urpm/media.pm: fix "... with
	  hdlist.cz" (only "... with synthesis.hdlist.cz" was working)

2006-12-04 11:23  Pixel <pixel at mandriva.com>

	* t/superuser--addmedia.t: add tests for
	  --probe-synthesis/--probe-hdlist

2006-12-04 10:57  Pixel <pixel at mandriva.com>

	* NEWS, urpm/media.pm: fix --probe-hdlist

2006-12-04 08:08  Pixel <pixel at mandriva.com>

	* urpm/media.pm: nicer comment

2006-12-03 23:14  Marek Laane <bald at starman.ee>

	* po/et.po: Updated Estonian translation.

2006-12-02 15:12  ybando

	* po/ja.po: updating Japanese translation

2006-12-01 23:29  Olivier Blin <oblin at mandriva.com>

	* urpmi.bash-completion: --all is not available in urpmf

2006-12-01 17:43  Pixel <pixel at mandriva.com>

	* NEWS, urpm.pm: 4.9.6

2006-12-01 17:39  Pixel <pixel at mandriva.com>

	* NEWS, urpm/media.pm: fix downloading pubkey in media_info/

2006-12-01 17:35  Pixel <pixel at mandriva.com>

	* NEWS, urpm/media.pm: fix downloading synthesis which is done
	  twice when remote

2006-12-01 16:48  Pixel <pixel at mandriva.com>

	* NEWS, urpmf: urpmf didn't handle --urpmi-root, fixing

2006-12-01 16:31  Pixel <pixel at mandriva.com>

	* urpmi.addmedia: no urpmi.cfg is now a simple warning

2006-12-01 16:28  Pixel <pixel at mandriva.com>

	* t/superuser--buggy-rpms.t: also check signature using
	  URPM::verify_signature()

2006-12-01 15:40  Pixel <pixel at mandriva.com>

	* t/data/rpm-buggy, t/data/rpm-buggy/invalid-signature.rpm,
	  t/data/rpm-buggy/not-a-rpm.rpm,
	  t/data/rpm-buggy/weird-header.rpm, t/helper.pm,
	  t/superuser--buggy-rpms.t: test buggy rpms fail "correctly"

2006-12-01 15:04  Pixel <pixel at mandriva.com>

	* t/02create_pkgs.t, t/SPECS, t/data, t/data/SPECS, t/data/rpm-v3,
	  t/helper.pm, t/rpm-v3: move some things in data/ and tmp/ dirs

2006-12-01 10:35  Pixel <pixel at mandriva.com>

	* t/02create_pkgs.t, t/rpm-v3,
	  t/rpm-v3/libtermcap-2.0.8-2.i386.rpm,
	  t/rpm-v3/nls-1.0-2.i386.rpm, t/rpm-v3/p2c-1.20-7.i386.rpm,
	  t/superuser--media_info_dir.t: add some *old* pkgs (from redhat
	  4.0) to test rpm&URPM handle it correctly
	  so that bug #27263 won't happen again :)

2006-12-01 01:53  Willy Sudiarto Raharjo <willysr at gmail.com>

	* po/id.po: Updated

2006-11-30 17:57  Pixel <pixel at mandriva.com>

	* t/02create_pkgs.t, t/helper.pm, t/simple-httpd,
	  t/superuser--arch_to_noarch.t, t/superuser--exclude.t,
	  t/superuser--http.t, t/superuser--media_info_dir.t: more tests,
	  clean some others, enhance helper.pm

2006-11-30 17:48  berthy

	* po/fr.po: Update fr translation

2006-11-30 17:02  Pixel <pixel at mandriva.com>

	* t/superuser--exclude.t: simplify

2006-11-30 15:45  Pixel <pixel at mandriva.com>

	* NEWS, urpm.pm: 4.9.5

2006-11-30 15:42  Pixel <pixel at mandriva.com>

	* Makefile.PL, t/README: add rules TAGS and testall

2006-11-30 15:36  Pixel <pixel at mandriva.com>

	* NEWS, urpm/media.pm: - handle buggy "list: xxx" in urpmi.cfg
	  (when the list can't be found)
	  - handle no "synthesis" together with "with_hdlist:
	  synthesis.hdlist.cz"

2006-11-30 13:28  Pixel <pixel at mandriva.com>

	* ., t, t/02create_pkgs.t, t/README, t/SPECS,
	  t/SPECS/arch_to_noarch_1.spec, t/SPECS/arch_to_noarch_2.spec,
	  t/SPECS/arch_to_noarch_3.spec, t/SPECS/arch_to_noarch_4.spec,
	  t/SPECS/various.spec, t/helper.pm,
	  t/superuser--arch_to_noarch.t, t/superuser--exclude.t: using
	  --urpmi-root, create some tests using urpmi.addmedia, urpmi,
	  urpme
	  
	  one drawback of the superuser--*.t is the need to be root
	  (the rpmlib needs it to install in a root partition), so for now
	  "make test"
	  tests *.t but superuser--*.t are skipped. Then as root, run
	  "sudo make test TEST_FILES='t/superuser--*.t'"

2006-11-30 10:25  Pixel <pixel at mandriva.com>

	* urpme: fix handling --root and --debug

2006-11-30 10:23  Pixel <pixel at mandriva.com>

	* urpm.pm: log opening db when --debug

2006-11-30 10:19  Pixel <pixel at mandriva.com>

	* urpm/select.pm: log rpmdb search for removal

2006-11-30 10:17  Pixel <pixel at mandriva.com>

	* urpme: simplify

2006-11-30 09:54  Tomasz Bednarski <tbednarski at mandrivalinux.pl>

	* po/pl.po: update

2006-11-29 18:20  Pixel <pixel at mandriva.com>

	* urpm.pm: create $root/var/lib/rpm (it would need to be done with
	  --root too...)

2006-11-29 18:10  Pixel <pixel at mandriva.com>

	* urpm/media.pm: create /dev/null in chroot

2006-11-29 17:36  Pixel <pixel at mandriva.com>

	* urpm.pm: fix typo

2006-11-29 17:34  Pixel <pixel at mandriva.com>

	* urpmi.addmedia: instead of displaying usage, say what's wrong

2006-11-29 16:52  Pixel <pixel at mandriva.com>

	* NEWS, pod/urpme.8.pod, pod/urpmf.8.pod, pod/urpmi.8.pod,
	  pod/urpmi.addmedia.8.pod, pod/urpmi.recover.8.pod,
	  pod/urpmi.removemedia.8.pod, pod/urpmi.update.8.pod,
	  pod/urpmq.8.pod, urpm.pm, urpm/args.pm, urpm/lock.pm, urpme,
	  urpmf, urpmi, urpmi.addmedia, urpmi.recover, urpmi.removemedia,
	  urpmi.update, urpmq: add --urpmi-root (thanks to misc for the
	  name)

2006-11-29 16:07  Pixel <pixel at mandriva.com>

	* urpm/lock.pm: fix warning msg

2006-11-29 15:46  Pixel <pixel at mandriva.com>

	* urpm/args.pm, urpm/get_pkgs.pm, urpm/media.pm, urpm/select.pm,
	  urpme, urpmi, urpmq: directly set $urpm->{root}, it's simpler
	  (also use it in urpm::get_pkgs::selected2list() even if callers
	  didn't pass it)

2006-11-29 14:39  Pixel <pixel at mandriva.com>

	* urpm/args.pm, urpme, urpmi: factorize --nolock and --root option
	  handling

2006-11-29 14:25  Pixel <pixel at mandriva.com>

	* urpm/args.pm, urpmi.removemedia, urpmi.update: urpmi.removemedia
	  now use urpm::args, and some cleanup

2006-11-29 13:00  Pixel <pixel at mandriva.com>

	* urpm/media.pm: log recovering url (with password) from list

2006-11-29 12:50  Pixel <pixel at mandriva.com>

	* NEWS, urpmi.removemedia: do not allow both "-a" and <name>, fix
	  usage

2006-11-29 11:51  Thierry Vignaud <tvignaud at mandriva.com>

	* urpmi: further explain the fd leak hack comment

2006-11-29 11:50  Thierry Vignaud <tvignaud at mandriva.com>

	* po/br.po, po/fr.po: update

2006-11-29 11:49  Thierry Vignaud <tvignaud at mandriva.com>

	* po/af.po, po/ar.po, po/az.po, po/bg.po, po/bn.po, po/br.po,
	  po/bs.po, po/ca.po, po/cs.po, po/cy.po, po/da.po, po/de.po,
	  po/el.po, po/eo.po, po/es.po, po/et.po, po/eu.po, po/fa.po,
	  po/fi.po, po/fr.po, po/fur.po, po/ga.po, po/gl.po, po/he.po,
	  po/hi.po, po/hr.po, po/hu.po, po/id.po, po/is.po, po/it.po,
	  po/ja.po, po/ka.po, po/ko.po, po/ky.po, po/lt.po, po/lv.po,
	  po/mk.po, po/mn.po, po/ms.po, po/mt.po, po/nb.po, po/nl.po,
	  po/nn.po, po/pa_IN.po, po/pl.po, po/pt.po, po/pt_BR.po,
	  po/ro.po, po/ru.po, po/sc.po, po/sk.po, po/sl.po, po/sq.po,
	  po/sr.po, po/sr@Latn.po, po/sv.po, po/tg.po, po/th.po, po/tl.po,
	  po/tr.po, po/uk.po, po/urpmi.pot, po/uz.po, po/uz@Latn.po,
	  po/vi.po, po/wa.po, po/zh_CN.po, po/zh_TW.po: update catalogs
	* urpmi: (ask_choice) add more comments for translators

2006-11-29 11:48  Thierry Vignaud <tvignaud at mandriva.com>

	* urpmi: (ask_choice) enable translator to control what is
	  displayed

2006-11-29 11:47  Thierry Vignaud <tvignaud at mandriva.com>

	* urpmi: (ask_choice) simplify
	* urpmi: (ask_choice) there's no space before ":" in english

2006-11-28 17:25  Thierry Vignaud <tvignaud at mandriva.com>

	* urpm/media.pm: (add_medium) enable to set per medium downloader

2006-11-28 17:09  Pixel <pixel at mandriva.com>

	* urpm/media.pm: priority is dead (it was only used internally)

2006-11-28 17:07  Pixel <pixel at mandriva.com>

	* urpm/media.pm: simplify the control path

2006-11-28 15:56  Pixel <pixel at mandriva.com>

	* urpm/media.pm: simplify

2006-11-28 15:32  Pixel <pixel at mandriva.com>

	* NEWS, urpm/media.pm, urpmi.addmedia: do not default to
	  --probe-synthesis but use both hdlist/synthesis

2006-11-28 15:18  Pixel <pixel at mandriva.com>

	* urpm/media.pm: perl_checker compliance

2006-11-28 15:17  Pixel <pixel at mandriva.com>

	* urpm/args.pm: --debug for all progs

2006-11-28 14:33  Pixel <pixel at mandriva.com>

	* urpm/media.pm: - don't do second pass when non useful
	  - display the unresolved dependencies that imply a second pass

2006-11-28 14:15  Pixel <pixel at mandriva.com>

	* urpm/media.pm: fix typo in previous commit

2006-11-28 14:12  Pixel <pixel at mandriva.com>

	* urpm/media.pm: verify {synthesis} is used correctly, and cleanup

2006-11-28 14:09  Pixel <pixel at mandriva.com>

	* urpm/media.pm: drop obsolete function

2006-11-28 13:27  Pixel <pixel at mandriva.com>

	* NEWS, urpm/md5sum.pm, urpm/media.pm, urpmq: when "hdlist:" nor
	  "synthesis" is set, urpm can now use directly hdlist on
	  local file system without having to copy it in /var/lib/urpmi.
	  This should
	  allow fast urpmi.update (if second pass not needed) without
	  loosing the
	  ability to use hdlist.
	  
	  still todo:
	  - when neither -probe-synthesis nor --probe-hdlist is passed,
	  don't choose
	  - download hdlist when needed (if not local)
	  - save synthesis generated by urpmi when using hdlist-based
	  virtual media,
	  but ensure it is not used if out-dated

2006-11-28 12:05  Pixel <pixel at mandriva.com>

	* urpm/select.pm, urpm/util.pm: move uniq to urpm::util (i need it
	  in urpm::media)

2006-11-28 11:36  Pixel <pixel at mandriva.com>

	* NEWS, pod/urpmi.cfg.5.pod, urpm/cfg.pm, urpm/ldap.pm,
	  urpm/media.pm: new per-medium field "media_info_dir:" which
	  replaces "with_hdlist:" in most
	  cases. It will allow using either hdlist & synthesis when nor
	  "hdlist:" nor
	  "synthesis" is set.

2006-11-28 10:04  Pixel <pixel at mandriva.com>

	* urpm.pm, urpm/args.pm, urpm/download.pm, urpm/media.pm: - add
	  {debug} level messages
	  - add some debug message before downloading
	  - always display the retrieved url (using {log})

2006-11-28 10:01  Pixel <pixel at mandriva.com>

	* urpm/media.pm: - factorize code from
	  _update_medium__parse_if_unmodified__remote() to make it
	  similar to _update_medium__parse_if_unmodified__local()
	  - rationalize error handling

2006-11-28 09:56  Pixel <pixel at mandriva.com>

	* urpm/download.pm: factorize code with new function _error().
	  make separate message for either bad exit status or signal caught

2006-11-28 09:07  Pixel <pixel at mandriva.com>

	* urpm/media.pm: factorize

2006-11-28 09:04  Pixel <pixel at mandriva.com>

	* urpm/media.pm: we don't need to pass $hdlist_or to
	  _read_existing_synthesis_and_hdlist_if_same_time_and_msize()
	  anymore :)

2006-11-28 09:03  Pixel <pixel at mandriva.com>

	* urpm/media.pm: stop using {hdlist} name in cache/partial, use
	  the downloaded name
	  (otherwise things are handled differently for local and remote,
	  and the
	  partial file name for synthesis.hdlist.cz is hdlist.cz which is
	  misleading)

2006-11-28 08:47  Pixel <pixel at mandriva.com>

	* NEWS, urpm.pm, urpm/media.pm, urpmi.addmedia, urpmi.removemedia,
	  urpmi.update: - create {info} level
	  - urpmi.update: not so verbose by default,
	  only display 'medium "foo" is up-to-date' or 'medium "foo"
	  updated'
	  - urpmi.removemedia: not so verbose by default,
	  only display 'removing medium "foo"'
	  - urpmi.addmedia: not so verbose by default,
	  only display 'adding medium "foo"'
	  (as suggested by cavassin)

2006-11-27 17:49  Pixel <pixel at mandriva.com>

	* urpm/media.pm: - create cachedir_with_hdlist() and use it to get
	  rid of $basename
	  - _read_existing_synthesis_and_hdlist_if_same_time_and_msize()
	  now takes a
	  hdlist_or instead of the basename

2006-11-27 17:04  Pixel <pixel at mandriva.com>

	* urpm/media.pm: fix previous commit (it was the case where
	  {hdlist} was unset and we set it)

2006-11-27 16:23  Pixel <pixel at mandriva.com>

	* pod/urpmi.cfg.5.pod: "hdlist:" is not mandatory nor useful any
	  more

2006-11-27 16:20  Pixel <pixel at mandriva.com>

	* NEWS, urpm/bug_report.pm, urpm/media.pm: - do not add "hdlist:
	  hdlist.<name>.cz" lines in urpmi.cfg,
	  compute it from <name> (one can still enforce a file name)
	  - do defensive programming on {name}, it must exist

2006-11-27 16:14  Pixel <pixel at mandriva.com>

	* urpmi: add commented line allowing to have rpmlib debug messages

2006-11-27 15:54  Pixel <pixel at mandriva.com>

	* urpm/media.pm: when parsing virtual media, do check for new
	  missing provides, those may come
	  from non virtual media

2006-11-27 09:31  Pixel <pixel at mandriva.com>

	* urpm/install.pm: simplify

2006-11-27 09:30  Pixel <pixel at mandriva.com>

	* urpm/install.pm: simplify

2006-11-27 09:26  Pixel <pixel at mandriva.com>

	* urpmi: add --auto-update to "urpmi --help", and move --no-md5sum
	  and --force-key next to it

2006-11-24 21:03  Pixel <pixel at mandriva.com>

	* urpm/media.pm: fix display error message when need_hdlist and no
	  hdlist

2006-11-24 20:57  Pixel <pixel at mandriva.com>

	* urpm/media.pm: parse a statedir synthesis if it exists, even on
	  virtual
	  (preparing for having a synthesis built on virtual & hdlist)

2006-11-24 20:55  Pixel <pixel at mandriva.com>

	* urpm/media.pm: use _parse_hdlist_or_synthesis()

2006-11-24 20:48  Pixel <pixel at mandriva.com>

	* urpm/media.pm: create _parse_hdlist_or_synthesis() and use it.
	  (nb: {must_build_synthesis} can still be set on {virtual} media,
	  it won't do
	  anything... for now :)

2006-11-24 20:45  Pixel <pixel at mandriva.com>

	* urpm/media.pm: do display the error

2006-11-24 20:43  Pixel <pixel at mandriva.com>

	* urpm/media.pm: remove defensive programming checks, which are
	  already done in
	  check_existing_medium() or add_medium()

2006-11-24 20:41  Pixel <pixel at mandriva.com>

	* urpm/media.pm: remove check already done in
	  check_existing_medium()

2006-11-24 19:25  Pixel <pixel at mandriva.com>

	* NEWS, urpm.pm: 4.9.4

2006-11-24 19:13  Pixel <pixel at mandriva.com>

	* urpm/args.pm: don't allow --probe-synthesis or --probe-hdlist
	  without --use-distrib for
	  urpmi/urpmq/urpme

2006-11-24 19:09  Pixel <pixel at mandriva.com>

	* urpm/args.pm, urpme, urpmi: use $options{usedistrib} for all
	  progs (prepare for next commit)

2006-11-24 19:08  Pixel <pixel at mandriva.com>

	* urpme, urpmi: simplify (%urpm::args::options is exported)

2006-11-24 19:00  Pixel <pixel at mandriva.com>

	* NEWS, pod/urpme.8.pod, pod/urpmi.8.pod, pod/urpmq.8.pod,
	  urpm/args.pm, urpm/media.pm, urpme, urpmi, urpmq: urpmi, urpme,
	  urpmq: add option --probe-synthesis (allowed with --use-distrib)

2006-11-24 17:51  Pixel <pixel at mandriva.com>

	* NEWS, t/cfg.t, urpm/cfg.pm, urpm/ldap.pm, urpm/media.pm: -
	  change the format returned by dump_config and load_config
	  - create function dump_config_raw and load_config_raw returning
	  intermediate
	  data structures
	  - don't use {priority} anymore, since we now use a list instead
	  of a hash
	  - this fixes random media ordering using --distrib on a
	  non-remote medium
	  - insert new non remote medium before first remote medium, not
	  at the
	  beginning

2006-11-24 16:26  Pixel <pixel at mandriva.com>

	* t/cfg.t: add some more tests

2006-11-24 15:54  Pixel <pixel at mandriva.com>

	* urpm/util.pm: add partition (from MDK::Common)

2006-11-24 14:53  Pixel <pixel at mandriva.com>

	* NEWS, urpm.pm: 4.9.3

2006-11-24 14:52  Pixel <pixel at mandriva.com>

	* urpm/cfg.pm: bugfix: allow empty urpmi.cfg

2006-11-24 14:30  Pixel <pixel at mandriva.com>

	* urpm/media.pm: better var name ($medium is always used to hold a
	  medium, not a number)

2006-11-24 14:19  Pixel <pixel at mandriva.com>

	* urpm/media.pm: cleaner

2006-11-24 14:06  Pixel <pixel at mandriva.com>

	* urpm/media.pm: rename var $second_pass into $need_second_pass
	  (more clear)

2006-11-24 14:02  Pixel <pixel at mandriva.com>

	* NEWS, urpm/media.pm, urpmf: urpmf: fix it on multiple virtual
	  hdlist files

2006-11-24 08:47  Pixel <pixel at mandriva.com>

	* NEWS, urpm.pm: 4.9.2

2006-11-24 08:34  Pixel <pixel at mandriva.com>

	* urpm.pm: fix protocol_from_url for things like
	  /foo/@86875:bar.src.rpm

2006-11-23 16:31  Pixel <pixel at mandriva.com>

	* MANIFEST: add urpm/lock.pm

2006-11-23 16:17  Pixel <pixel at mandriva.com>

	* ChangeLog, NEWS, urpm.pm: 4.9.1

2006-11-23 16:10  Pixel <pixel at mandriva.com>

	* t/01compile.t: new module added

2006-11-23 11:01  Pixel <pixel at mandriva.com>

	* urpmi: remove a "Use of uninitialized value ..."

2006-11-23 10:59  Pixel <pixel at mandriva.com>

	* urpm.pm: remove a "Use of undefined value ..."

2006-11-23 10:49  Pixel <pixel at mandriva.com>

	* gurpmi2, urpm/lock.pm, urpm/media.pm, urpm/sys.pm, urpme, urpmf,
	  urpmi, urpmi.addmedia, urpmi.removemedia, urpmi.update, urpmq: -
	  move lock functions to a full blown module
	  - handle get_exclusive and release_exclusive on existing lock,
	  *but* don't use it for now! (not useful)
	  - remove urpmi_db locking from add_medium and update_media
	  - move rpm_db locking into _read_cachedir_pubkey
	  - update_media: restrict rpm_db exclusive locking to
	  parse_pubkeys
	  - urpmi: move locking rpm_db near its use
	  - handle lock directly in urpmi.addmedia, urpmi.update, urpme,
	  urpmf
	  - log locking/unlocking

2006-11-23 11:01  Pixel <pixel at mandriva.com>

	* urpmi: remove a "Use of uninitialized value ..."

2006-11-23 10:59  Pixel <pixel at mandriva.com>

	* urpm.pm: remove a "Use of undefined value ..."

2006-11-23 10:49  Pixel <pixel at mandriva.com>

	* gurpmi2, urpm/lock.pm, urpm/media.pm, urpm/sys.pm, urpme, urpmf,
	  urpmi, urpmi.addmedia, urpmi.removemedia, urpmi.update, urpmq: -
	  move lock functions to a full blown module
	  - handle get_exclusive and release_exclusive on existing lock,
	  *but* don't use it for now! (not useful)
	  - remove urpmi_db locking from add_medium and update_media
	  - move rpm_db locking into _read_cachedir_pubkey
	  - update_media: restrict rpm_db exclusive locking to
	  parse_pubkeys
	  - urpmi: move locking rpm_db near its use
	  - handle lock directly in urpmi.addmedia, urpmi.update, urpme,
	  urpmf
	  - log locking/unlocking

2006-11-23 09:30  Pixel <pixel at mandriva.com>

	* urpm.pm: better no lock than bad lock on should-not-be-used
	  function

2006-11-23 08:58  Pixel <pixel at mandriva.com>

	* urpm.pm: db_open_or_die: better parameter name

2006-11-23 08:41  Pixel <pixel at mandriva.com>

	* urpm/sys.pm: don't say "urpmi database locked" when it's the rpm
	  database that is locked

2006-11-23 08:33  Pixel <pixel at mandriva.com>

	* gurpmi2, urpm.pm, urpm/media.pm, urpm/sys.pm, urpmf, urpmi,
	  urpmq: don't have a global variable to hold locks, otherwise
	  code can't lock twice
	  non-exclusive

2006-11-23 07:41  Pixel <pixel at mandriva.com>

	* NEWS, urpm/args.pm: add --nokeep (which overrides urpmi.cfg
	  global option "keep") (#27272)

2006-11-23 07:39  Pixel <pixel at mandriva.com>

	* NEWS: use rpm changelog preferred syntax

2006-11-22 12:41  Pixel <pixel at mandriva.com>

	* ChangeLog, MANIFEST, NEWS, urpm.pm: release 4.9.0

2006-11-22 12:23  Pixel <pixel at mandriva.com>

	* urpm/ldap.pm, urpm/media.pm: remove md5sum from @PER_MEDIA_OPT
	  (which only list per-medium options in
	  urpmi.cfg), so that urpmi.cfg do not contain the md5sum (and so
	  urpmi.cfg
	  doesn't need to be modified on urpmi.update, only
	  /var/lib/urpmi/MD5SUM is
	  modified)
	  
	  (bug introduced when creating @PER_MEDIA_OPT in r35745, fixed in
	  r35832, but
	  broken again in r35953)

2006-11-22 11:09  Pixel <pixel at mandriva.com>

	* urpm/ldap.pm: @PER_MEDIA_OPT is now in urpm::media

2006-11-22 10:26  Pixel <pixel at mandriva.com>

	* urpm/media.pm: restore removing list.<media_name> file when no
	  longer necessary
	  (useful when upgrading from old urpmi which used
	  list.<media_name> to contain passwords)

2006-11-21 19:58  Pixel <pixel at mandriva.com>

	* MANIFEST, t/01compile.t, urpm.pm: prepare release new version

2006-11-21 18:50  Pixel <pixel at mandriva.com>

	* gurpmi2, urpm.pm, urpm/select.pm, urpme, urpmi, urpmq: move many
	  functions from urpm.pm to new module urpm/select.pm

2006-11-21 19:58  Pixel <pixel at mandriva.com>

	* MANIFEST, t/01compile.t, urpm.pm: prepare release new version

2006-11-21 18:50  Pixel <pixel at mandriva.com>

	* gurpmi2, urpm.pm, urpm/select.pm, urpme, urpmi, urpmq: move many
	  functions from urpm.pm to new module urpm/select.pm

2006-11-21 18:35  Pixel <pixel at mandriva.com>

	* gurpmi2, urpm.pm, urpm/get_pkgs.pm, urpmi, urpmq: - move
	  download_packages_of_distant_media() from urpm.pm to
	  urpm::get_pkgs
	  - move urpm::get_source_packages() ->
	  urpm::get_pkgs::selected2list()

2006-11-21 18:17  Pixel <pixel at mandriva.com>

	* gurpmi2, urpm.pm, urpm/signature.pm, urpmi: create
	  urpm::signature out of urpm.pm

2006-11-21 18:10  Pixel <pixel at mandriva.com>

	* gurpmi2, urpm.pm, urpm/media.pm, urpm/removable.pm, urpmi,
	  urpmi.addmedia, urpmi.update: create urpm::removable out of
	  urpm.pm

2006-11-21 17:45  Pixel <pixel at mandriva.com>

	* urpm.pm, urpm/sys.pm: move clean_dir()

2006-11-21 17:43  Pixel <pixel at mandriva.com>

	* gurpmi2, urpm.pm, urpm/bug_report.pm, urpm/download.pm,
	  urpm/ldap.pm, urpm/md5sum.pm, urpm/media.pm, urpm/parallel.pm,
	  urpme, urpmf, urpmi, urpmi.addmedia, urpmi.removemedia,
	  urpmi.update, urpmq: move many functions from urpm.pm to
	  urpm/media.pm

2006-11-21 17:41  Pixel <pixel at mandriva.com>

	* urpm/sys.pm: help perl_checker

2006-11-21 16:44  Pixel <pixel at mandriva.com>

	* gurpmi2, urpm.pm, urpm/install.pm, urpmi: move
	  create_transaction() and prepare_transaction() from urpm.pm into
	  urpm/install.pm

2006-11-21 16:37  Pixel <pixel at mandriva.com>

	* urpm/bug_report.pm, urpm/md5sum.pm, urpm/parallel.pm: add Id svn
	  keyword

2006-11-21 16:36  Pixel <pixel at mandriva.com>

	* gurpmi2, urpm.pm, urpm/install.pm, urpme, urpmi: move
	  urpm::install() into urpm::install::install() (new module)

2006-11-21 16:26  Pixel <pixel at mandriva.com>

	* urpm/bug_report.pm, urpm/md5sum.pm, urpm/parallel.pm: add svn Id

2006-11-21 16:20  Pixel <pixel at mandriva.com>

	* urpm.pm, urpm/md5sum.pm, urpm/util.pm: create urpm::md5sum, move
	  md5sum functions into it:
	  - urpm::util::md5sum() -> urpm::md5sum::compute()
	  - urpm::local_md5sum() -> urpm::md5sum::on_local_medium()

2006-11-21 16:10  Pixel <pixel at mandriva.com>

	* urpm.pm, urpm/bug_report.pm, urpm/sys.pm: move open_safe,
	  opendir_safe and syserror to urpm::sys

2006-11-21 16:05  Pixel <pixel at mandriva.com>

	* urpm.pm, urpm/download.pm: move urpm::sync_webfetch() to
	  urpm::download::sync()

2006-11-21 15:50  Pixel <pixel at mandriva.com>

	* urpm.pm: - rename get_md5sum() into from_MD5SUM()
	  - rename parse_md5sum() into from_MD5SUM__or_warn()
	  - in from_MD5SUM__or_warn(), display the name of the MD5SUM file
	  used

2006-11-21 15:48  Pixel <pixel at mandriva.com>

	* urpm.pm: when computing the md5sum of an hdlist, display the
	  file name in the log

2006-11-21 15:43  Pixel <pixel at mandriva.com>

	* urpm.pm: fix an optimisation i introduced which breaks generated
	  /var/lib/urpmi/MD5SUM

2006-11-21 15:40  Pixel <pixel at mandriva.com>

	* urpm.pm: 20 is the minimal valid size for an empty synthesis
	  (which should be valid)

2006-11-21 15:19  Pixel <pixel at mandriva.com>

	* gurpmi2, urpm.pm, urpm/sys.pm, urpmf, urpmi, urpmq: move lock
	  functions to urpm::sys

2006-11-21 15:03  Pixel <pixel at mandriva.com>

	* urpm.pm, urpm/parallel.pm, urpme: move urpm::parallel_remove to
	  urpm::parallel::remove
	  (but keep urpm::parallel_remove for backward compatibility since
	  rpmdrake uses it)

2006-11-21 14:59  Pixel <pixel at mandriva.com>

	* urpm.pm, urpmi: drop urpm::parallel_install(), directly use
	  {parallel_handler}->parallel_install

2006-11-21 14:57  Pixel <pixel at mandriva.com>

	* urpm.pm, urpm/parallel.pm: create urpm::parallel and move some
	  things from urpm.pm

2006-11-21 14:50  Pixel <pixel at mandriva.com>

	* urpm.pm: cleanup

2006-11-21 14:47  Pixel <pixel at mandriva.com>

	* urpm.pm: create _parse_media() out of configure()

2006-11-21 14:34  Pixel <pixel at mandriva.com>

	* urpm.pm: create _compute_flags_for_skiplist() and
	  _compute_flags_for_instlist() out of configure()

2006-11-21 12:53  Pixel <pixel at mandriva.com>

	* urpm.pm: only do generate_medium_names() on really_modified (ie
	  updated) media

2006-11-21 12:48  Pixel <pixel at mandriva.com>

	* urpm.pm: introduce $medium->{really_modified} which is what
	  $medium->{modified} should
	  be... but {modified} is over-used (eg: it often means "to
	  update")

2006-11-21 12:38  Pixel <pixel at mandriva.com>

	* urpm.pm: use function names more appropriate

2006-11-21 12:34  Pixel <pixel at mandriva.com>

	* urpm.pm: adapt function names to pubkey and descriptions being
	  done later

2006-11-21 12:32  Pixel <pixel at mandriva.com>

	* urpm.pm: handle pubkey and descriptions after the whole
	  hdlist/synthesis/list mess is settled down

2006-11-21 12:28  Pixel <pixel at mandriva.com>

	* urpm.pm: restore removing {list} (it was done in
	  _write_rpm_list_if_needed)

2006-11-21 12:16  Pixel <pixel at mandriva.com>

	* urpm.pm: set $medium->{list} only when needed

2006-11-21 12:13  Pixel <pixel at mandriva.com>

	* urpm.pm: create _get_pubkey_and_descriptions() out of various
	  code that was done in the
	  middle of code parsing hdlist/synthesis

2006-11-21 12:01  Pixel <pixel at mandriva.com>

	* urpm.pm: don't pass rpm_files around, use $medium->{rpm_files}

2006-11-21 11:47  Pixel <pixel at mandriva.com>

	* urpm.pm: don't pass around $retrieved_md5sum, set
	  $medium->{md5sum} as soon as we
	  checked against {md5sum}. but remove it if parsing fail later on.
	  
	  also restore parsing current synthesis when new hdlist/synthesis
	  is buggy.
	  (it was in _update_medium_first_pass_failed())

2006-11-21 11:34  Pixel <pixel at mandriva.com>

	* urpm.pm: create _read_rpms_from_dir() out of
	  _update_medium__parse_if_unmodified__or_get_files__local

2006-11-21 11:27  Pixel <pixel at mandriva.com>

	* urpm.pm: no {with_hdlist} is valid (it will end up setting
	  {force_building_hdlist} and using *.rpm)

2006-11-21 11:24  Pixel <pixel at mandriva.com>

	* urpm.pm: remove hopefully now non useful reparsing of synthesis
	  on error
	  (since URPM 1.48, parse_synthesis doesn't modify {depslist} if
	  it doesn't succeed)

2006-11-21 11:19  Pixel <pixel at mandriva.com>

	* urpm.pm: create
	  get_hdlist_or_synthesis_and_check_md5sum__local() out of
	  _update_medium__parse_if_unmodified__or_get_files__local() and
	  so make things
	  clearer

2006-11-21 11:08  Pixel <pixel at mandriva.com>

	* urpm.pm: rename recompute_local_md5sum() to local_md5sum()

2006-11-21 11:06  Pixel <pixel at mandriva.com>

	* urpm.pm: simplify

2006-11-21 10:54  Pixel <pixel at mandriva.com>

	* urpm.pm: handle error by returning

2006-11-21 10:29  Pixel <pixel at mandriva.com>

	* urpm.pm: _update_medium_second_pass: move what is not
	  $second_pass dependent in _update_medium_build_hdlist_synthesis()

2006-11-21 09:40  Pixel <pixel at mandriva.com>

	* urpm.pm: separate what is dependent on $second_pass and what is
	  not

2006-11-21 09:34  Pixel <pixel at mandriva.com>

	* urpm.pm: use _parse_maybe_hdlist_or_synthesis()

2006-11-21 09:32  Pixel <pixel at mandriva.com>

	* urpm.pm: revert buggy change

2006-11-21 09:27  Pixel <pixel at mandriva.com>

	* urpm.pm: use _parse_maybe_hdlist_or_synthesis()

2006-11-21 09:24  Pixel <pixel at mandriva.com>

	* urpm.pm: fully clean {cachedir}/partial/ on error

2006-11-21 09:17  Pixel <pixel at mandriva.com>

	* urpm.pm: handle error by returning, it allows removing many
	  unless ($error) ...

2006-11-21 09:08  Pixel <pixel at mandriva.com>

	* urpm.pm: factorize code in _parse_maybe_hdlist_or_synthesis()

2006-11-21 08:26  Pixel <pixel at mandriva.com>

	* urpmf: fix typo

2006-11-20 17:02  Pixel <pixel at mandriva.com>

	* urpm.pm: don't blindly probe for named hdlist. This feature is
	  only available through
	  media.cfg which gives things precisely without having to probe
	  in the dark

2006-11-20 16:59  Pixel <pixel at mandriva.com>

	* pod/urpmi.addmedia.8.pod, pod/urpmihowto.8.pod, urpmi.addmedia:
	  deprecate [with <relative path of synthesis|hdlist>]: don't
	  document it anymore

2006-11-20 16:49  Pixel <pixel at mandriva.com>

	* urpm.pm: cleanup (at last!) the f*cking $with_hdlist_dir, use
	  the better _hdlist_dir(),
	  which really returns a dir, with reduce_pathname already called.

2006-11-20 16:18  Pixel <pixel at mandriva.com>

	* urpm.pm: $with_hdlist_dir really is something simple, so
	  simplify _parse_hdlist_or_synthesis__virtual()

2006-11-20 16:11  Pixel <pixel at mandriva.com>

	* urpm.pm: {with_dir} is more important than {probe_with}

2006-11-20 16:02  Pixel <pixel at mandriva.com>

	* urpm.pm: {probe_with} and {with_hdlist} should not be together.
	  In any case, we don't want to workaround a bad {with_hdlist}

2006-11-20 15:44  Pixel <pixel at mandriva.com>

	* urpm.pm: simplify call to _probe_with_try_list()

2006-11-20 15:42  Pixel <pixel at mandriva.com>

	* urpm.pm: have same _guess_hdlist_suffix parameters(), and
	  simplify

2006-11-20 14:49  Pixel <pixel at mandriva.com>

	* urpm.pm: by safe

2006-11-20 14:44  Pixel <pixel at mandriva.com>

	* pod/urpmi.addmedia.8.pod: the standard way to access hdlist is
	  media_info/hdlist.cz

2006-11-20 14:40  Pixel <pixel at mandriva.com>

	* urpm.pm: fix previous commit

2006-11-20 14:39  Pixel <pixel at mandriva.com>

	* urpm.pm: - remove code handling remote "list" files (we don't
	  support it anymore)
	  - cleanup

2006-11-20 14:19  Pixel <pixel at mandriva.com>

	* urpm.pm: replace "or" with "if (!..."

2006-11-20 14:09  Pixel <pixel at mandriva.com>

	* pod/proxy.cfg.5.pod, pod/urpme.8.pod, pod/urpmf.8.pod,
	  pod/urpmi.8.pod, pod/urpmi.addmedia.8.pod, pod/urpmi.cfg.5.pod,
	  pod/urpmi.removemedia.8.pod, pod/urpmi.update.8.pod,
	  pod/urpmq.8.pod: update AUTHOR in pod files

2006-11-20 14:02  Pixel <pixel at mandriva.com>

	* urpmq: don't use obsolete method download_source_packages
	  anymore.
	  
	  nb: not handling anymore urpmq on removable media with no hdlist
	  (does it exist?)

2006-11-20 13:30  Pixel <pixel at mandriva.com>

	* urpm.pm: really don't go the force_building_hdlist way if there
	  is an invalid hdlist/synthesis

2006-11-20 13:29  Pixel <pixel at mandriva.com>

	* urpmi.removemedia: add a FIXME

2006-11-20 13:01  Pixel <pixel at mandriva.com>

	* urpmq: cleanup

2006-11-20 12:57  Pixel <pixel at mandriva.com>

	* urpmq: cleanup

2006-11-20 12:35  Pixel <pixel at mandriva.com>

	* gurpmi2, urpm.pm, urpmi: simplify
	  copy_packages_of_removable_media() prototype

2006-11-20 12:32  Pixel <pixel at mandriva.com>

	* urpmi: verbose is not a known option of
	  download_packages_of_distant_media()

2006-11-20 12:31  Pixel <pixel at mandriva.com>

	* urpm.pm: document options

2006-11-20 12:29  Pixel <pixel at mandriva.com>

	* gurpmi2, urpm.pm, urpme, urpmi: make translate_message the
	  default in install() since we always use it

2006-11-20 12:15  Pixel <pixel at mandriva.com>

	* gurpmi2, urpm.pm, urpmi: make translate the default in
	  check_sources_signatures() code since it is
	  always used with translate

2006-11-20 12:07  Pixel <pixel at mandriva.com>

	* urpm.pm: check_sources_signatures callback is only used in
	  rpmdrake, and doesn't use it
	  parameters. At least remove passing %options which makes it hard
	  to know what
	  options are really used

2006-11-20 12:02  Pixel <pixel at mandriva.com>

	* urpm.pm: tell what options are used through ->resolve_requested

2006-11-20 11:53  Pixel <pixel at mandriva.com>

	* urpm.pm: better prototype for _findindeps()

2006-11-20 11:51  Pixel <pixel at mandriva.com>

	* urpm.pm, urpmi.removemedia: simplify select_media_by_name()
	  prototype

2006-11-20 11:45  Pixel <pixel at mandriva.com>

	* urpm.pm: cleanup

2006-11-20 11:44  Pixel <pixel at mandriva.com>

	* urpm.pm: document used flags

2006-11-20 11:23  Pixel <pixel at mandriva.com>

	* urpm.pm: list all options used by add_distrib_media

2006-11-20 11:13  Pixel <pixel at mandriva.com>

	* urpm.pm: document add_medium known options

2006-11-20 11:10  Pixel <pixel at mandriva.com>

	* urpm.pm: better comments

2006-11-20 11:01  Pixel <pixel at mandriva.com>

	* urpm.pm: simplify sync_webfetch() args. std_options is no more
	  needed when quiet is forced.
	  
	  this allow simplifying may_reconfig_urpmi(),
	  _get_list_or_pubkey__remote() and
	  get_descriptions_remote() prototype

2006-11-20 10:52  Pixel <pixel at mandriva.com>

	* urpm.pm: make it more explicit that read_config has one option
	  (nocheck_access)

2006-11-20 10:48  Pixel <pixel at mandriva.com>

	* urpm.pm, urpm/bug_report.pm, urpmi: move some things to new
	  module urpm::bug_report

2006-11-20 10:30  Pixel <pixel at mandriva.com>

	* urpm/cfg.pm: oops, remove debug code wrongly introduced in
	  previous commit

2006-11-20 10:21  Pixel <pixel at mandriva.com>

	* urpm.pm, urpmi, urpmq: rename {skip} into {cmdline_skiplist}
	  (neater)

2006-11-20 09:00  Pixel <pixel at mandriva.com>

	* urpm.pm: configure: better documentation

2006-11-20 08:55  Pixel <pixel at mandriva.com>

	* urpm.pm, urpmq: - {nodepslist} now implies {no_skiplist}
	  - drop {noinstalling}, use {nodepslist} instead
	  (since {noinstalling} is only used when {nodepslist} is set)

2006-11-20 08:38  Pixel <pixel at mandriva.com>

	* urpm.pm: can't use --use-distrib when --synthesis is used

2006-11-20 08:33  Pixel <pixel at mandriva.com>

	* urpm.pm: configure: document {callback} is used by and only used
	  by urpmf

2006-11-20 08:32  Pixel <pixel at mandriva.com>

	* urpm.pm, urpmf: configure: {call_back_only_once} is always used
	  when using {callback}, simplify

2006-11-20 08:30  Pixel <pixel at mandriva.com>

	* urpm.pm: document option need_hdlist

2006-11-20 08:28  Pixel <pixel at mandriva.com>

	* urpm.pm, urpmf, urpmq: rename noskipping to no_skiplist

2006-11-20 08:14  Pixel <pixel at mandriva.com>

	* urpm/cfg.pm: simplify

2006-11-20 08:07  Pixel <pixel at mandriva.com>

	* urpm.pm: drop support for "list" file. remote must have a
	  hdlist/synthesis, and local
	  can be either a hdlist/synthesis or simply rpm files

2006-11-17 18:06  Thierry Vignaud <tvignaud at mandriva.com>

	* po/Makefile: revert (ahem...)

2006-11-17 18:03  Thierry Vignaud <tvignaud at mandriva.com>

	* gurpmi.pm: (create_scrolled_window) explain
	* gurpmi.pm: (create_scrolled_window) fix unvisible content

2006-11-17 17:51  Pixel <pixel at mandriva.com>

	* Makefile.PL: need recent URPM (which allow packing in
	  parse_rpms_build_headers)

2006-11-17 17:47  Pixel <pixel at mandriva.com>

	* urpm.pm: fix error building synthesis (need commit 85329 in
	  perl-URPM)

2006-11-17 17:41  Thierry Vignaud <tvignaud at mandriva.com>

	* gurpmi.pm, gurpmi2: factorize code through
	  create_scrolled_window()

2006-11-17 17:40  Thierry Vignaud <tvignaud at mandriva.com>

	* gurpmi.pm: (create_scrolled_window) introduce it

2006-11-17 17:38  Thierry Vignaud <tvignaud at mandriva.com>

	* po/Makefile, po/af.po, po/ar.po, po/az.po, po/bg.po, po/bn.po,
	  po/br.po, po/bs.po, po/ca.po, po/cs.po, po/cy.po, po/da.po,
	  po/de.po, po/el.po, po/eo.po, po/es.po, po/et.po, po/eu.po,
	  po/fa.po, po/fi.po, po/fr.po, po/fur.po, po/ga.po, po/gl.po,
	  po/he.po, po/hi.po, po/hr.po, po/hu.po, po/id.po, po/is.po,
	  po/it.po, po/ja.po, po/ka.po, po/ko.po, po/ky.po, po/lt.po,
	  po/lv.po, po/mk.po, po/mn.po, po/ms.po, po/mt.po, po/nb.po,
	  po/nl.po, po/nn.po, po/pa_IN.po, po/pl.po, po/pt.po,
	  po/pt_BR.po, po/ro.po, po/ru.po, po/sc.po, po/sk.po, po/sl.po,
	  po/sq.po, po/sr.po, po/sr@Latn.po, po/sv.po, po/tg.po, po/th.po,
	  po/tl.po, po/tr.po, po/uk.po, po/urpmi.pot, po/uz.po,
	  po/uz@Latn.po, po/vi.po, po/wa.po, po/zh_CN.po, po/zh_TW.po,
	  urpm.pm: this message is better looking once upercased

2006-11-17 17:09  Thierry Vignaud <tvignaud at mandriva.com>

	* gurpmi: make it executable

2006-11-17 16:58  Thierry Vignaud <tvignaud at mandriva.com>

	* gurpmi.pm: reduce noise with perl_checker

2006-11-17 15:22  Pixel <pixel at mandriva.com>

	* urpm.pm: - non backward behaviour change: don't look for rpm
	  files recursively
	  - this allows simplifying the format of list.<media_name> which
	  is now a list
	  of rpms with no directory/url. the medium url is used instead
	  of duplicating
	  this information
	  - no need to hide file list.<media_name> anymore
	  (it doesn't contain any password anymore)
	  - give directly a list of file to _write_rpm_list_if_needed(),
	  it now calls basename()
	  - simplify parsing partial/list

2006-11-17 15:15  Pixel <pixel at mandriva.com>

	* urpm.pm: fix typo in previous commit

2006-11-17 15:14  Pixel <pixel at mandriva.com>

	* urpm.pm: when no {with_hdlist} is given, try to find rpms with
	  no need to use build-hdlist-on-error

2006-11-17 15:11  Pixel <pixel at mandriva.com>

	* urpm.pm: in next commit, list.<media_name> file will only
	  contain a list of files with
	  no url or prefix. We don't need to handle weird stuff anymore

2006-11-17 13:48  Pixel <pixel at mandriva.com>

	* urpm.pm: create _write_rpm_list_if_needed() out of
	  _update_medium_first_pass()

2006-11-17 13:19  Pixel <pixel at mandriva.com>

	* urpm.pm: create _check_sources_signatures() out of
	  check_sources_signatures()

2006-11-17 12:56  Pixel <pixel at mandriva.com>

	* urpm.pm: rewrite

2006-11-17 12:16  Pixel <pixel at mandriva.com>

	* urpm.pm: document search_packages() known options

2006-11-17 12:12  Pixel <pixel at mandriva.com>

	* urpm/args.pm, urpmq: urpmq should handle urpmi.cfg global option
	  fuzzy (?)

2006-11-17 12:04  Pixel <pixel at mandriva.com>

	* gurpmi2, urpm.pm, urpm/args.pm, urpmi, urpmi.addmedia,
	  urpmi.update: handle {limit_rate} directly through urpmi global
	  options

2006-11-17 11:59  Pixel <pixel at mandriva.com>

	* gurpmi2, urpm.pm, urpmi: directly use urpmi global option

2006-11-17 11:56  Pixel <pixel at mandriva.com>

	* urpm.pm: option "ratio" is used anymore for some time

2006-11-17 11:53  Pixel <pixel at mandriva.com>

	* gurpmi2, urpm.pm, urpmi: don't pass around {compress}, directly
	  use urpmi global option

2006-11-17 11:48  Pixel <pixel at mandriva.com>

	* urpm.pm: create _update_media__handle_some_flags()

2006-11-17 11:47  Pixel <pixel at mandriva.com>

	* urpm.pm: fix previous commit

2006-11-17 11:36  Pixel <pixel at mandriva.com>

	* urpm.pm: move checking {ignore} out

2006-11-17 11:31  Pixel <pixel at mandriva.com>

	* urpm.pm: stop checking at various places that {hdlist} doesn't
	  contain "list" or
	  "pubkey". Do it in check_existing_medium() once and for all!

2006-11-17 11:24  Pixel <pixel at mandriva.com>

	* urpm.pm, urpmf: rename option {hdlist} into {need_hdlist}

2006-11-17 11:13  Pixel <pixel at mandriva.com>

	* urpm.pm: rename _update_media__sync_file() into
	  _get_list_or_pubkey__remote()

2006-11-17 11:12  Pixel <pixel at mandriva.com>

	* urpm.pm: create _get_list_or_pubkey__local() out of
	  _update_medium__parse_if_unmodified__or_get_files__local()
	  
	  the returned value is bit weird, but it is there to keep exact
	  same behaviour

2006-11-17 11:03  Pixel <pixel at mandriva.com>

	* urpm.pm: inline $local_list

2006-11-17 09:57  Pixel <pixel at mandriva.com>

	* urpm.pm: fix what looks like a typo (or ???)

2006-11-17 09:45  Pixel <pixel at mandriva.com>

	* urpm.pm: create _build_hdlist_using_rpm_headers() out of
	  _update_medium_second_pass()

2006-11-17 09:41  Pixel <pixel at mandriva.com>

	* urpm.pm: create _build_synthesis() out of 2 same code from
	  _update_medium_second_pass()

2006-11-17 09:36  Pixel <pixel at mandriva.com>

	* urpm.pm: simplify
	  
	  (nb: {md5sum_modified} is always set for virtual medium. but why
	  do we never
	  build synthesis for virtual media?)

2006-11-17 09:33  Pixel <pixel at mandriva.com>

	* urpm.pm: rename {modified_synthesis} into {must_build_synthesis}

2006-11-17 09:31  Pixel <pixel at mandriva.com>

	* urpm.pm: remove useless comment

2006-11-17 08:58  Pixel <pixel at mandriva.com>

	* urpm.pm: simplify

2006-11-17 08:57  Pixel <pixel at mandriva.com>

	* gurpmi2, urpm.pm, urpmi: remove code handling forking on
	  multiple transactions (nb: was already
	  disabled for gurpmi2), this automatically fixes displaying
	  README.urpmi files
	  which was broken when forking.
	  
	  forking was introduced in 2003 by fpons, implementing the same
	  trick as was
	  introduced in DrakX to workaround librpm segfaulting in weird
	  case. DrakX
	  doesn't have this trick anymore since august 2005. It's time for
	  urpmi to get
	  rid of it too :)

2006-11-17 08:51  Pixel <pixel at mandriva.com>

	* pod/rurpmi.8.pod, pod/urpmi.8.pod, pod/urpmi.addmedia.8.pod,
	  pod/urpmi.cfg.5.pod, pod/urpmi.update.8.pod, urpm.pm,
	  urpm/args.pm, urpmi, urpmi.addmedia, urpmi.bash-completion,
	  urpmi.update: - make --norebuild the default
	  - keep handling --norebuild for backward compatibility, but
	  remove it from the doc
	  - obsolete global option norebuild in urpmi.cfg
	  - internally rename {norebuild} into !{build-hdlist-on-error}

